[VERSIONE] 41 - Versione beta iniziale
[SEZIONE]
[NODOT] <CENTRO><SIZE:large> La Build 41 è l'aggiornamento più fondamentale e di ampio respiro che Project Zomboid abbia mai avuto. <BR><LINE> Intendiamo che sia una base stabile su cui costruire per molti anni a venire. Anche per questo, però, anticipiamo una public beta abbastanza lunga mentre tutte le varie problematiche che ci vengono presentate dai community tester vengono messe a fuoco e risolte. <LINE> Alcune funzionalità chiave, principalmente MP, sono disabilitate nella versione beta. <LINEA>
<SINISTRA> Nuovi stili di gioco: Builder, Brawler e Survivor
Equilibrio di gioco più letale "Survivor" (Survival): il giocatore può essere trascinato giù da un'orda e banchettato ecc.
Nuove abilità per i sopravvissuti: seduto, furtivamente, sprint, jogging, racking, ricaricare, arrampicarsi, saltare la recinzione, crollare e molto altro ancora.
Nuovi combattimenti, nuove armi, nuovo bilanciamento della difficoltà.
Creazione di un nuovo personaggio: molte, molte nuove opzioni di abbigliamento sia sullo spawn che rilevabili nel mondo come bottino o sugli zombi.
Nuovo comportamento degli zombi: banchettare con i cadaveri recenti, ciondolare contro i muri, cadere oltre le recinzioni, ecc.
Sistema sanguigno che insanguina progressivamente corpi e vestiti di sopravvissuti e zombi
Nuovo sistema di lesioni: movimento e combattimento visibilmente ostacolati in caso di infortunio. Lacerazioni ora possibili, uno stato di lesione che si trova tra morsi e graffi.
Gunplay migliorato: contorno di mira verde/rosso, nuove pistole, potenziamento delle scaffalature e ricaricamento, maggiore spawn del bottino delle armi.
Scene di morte di zombi: zombi scoperti nelle situazioni in cui le persone sono morte. Incontri di preghiera, feste sportive, zed sopravvissuti che indossano zaini ecc.
Tipo/abbigliamento e inventari di zombi situazionali: poliziotti alla stazione di polizia, vigili del fuoco negli edifici bruciati, chef nelle cucine dei ristoranti, sposi a una cerimonia di matrimonio in chiesa, ecc.
Protezione dell'abbigliamento: diversi indumenti offrono diversi livelli di protezione dagli attacchi di zombi.
Indumenti visibilmente strappati e danneggiati.
Nuovo sistema di visione a spalla mancante in stile Sims.
Miglioramenti alla gestione del veicolo, ridimensionamento e modifiche all'aspetto.
Colonna sonora a tema Kentucky aggiornata, rimasterizzata e migliorata. Musica originale ancora in rotazione e accessibile anche tramite le opzioni di gioco.
Nuovi effetti sonori: armi, gemiti di zombi, ecc.
Nuove immagini dell'acqua, inclusa la direzione del flusso visibile.
Nuovo sistema di pozzanghera in caso di forti piogge.
Vetri rotti e relative lesioni.
Le porte del garage possono essere aperte/chiuse e tremare quando vengono colpite.
Nuove mappe Sfida: Film Studio e Kingsmouth Vacation Island
Manichini 3D Store: possono essere vestiti come preferisci
Lavatrici e asciugatrici funzionanti
Nuovo cursore di gioco
Nuovo suono per salire di livello e sistema di livellamento ottimizzato.
Cursore di puntamento isometrico debole che mostra dove stai mirando nello spazio iso.
Nuovo bilanciamento del bottino e sistema di bilanciamento del bottino: case e negozi ora hanno il bottino nei contenitori che ti aspetteresti dalla vita reale, e non in un miscuglio.
Due livelli di priorità del bottino: consentendo un bottino "riempitivo" più realistico tra gli oggetti di gioco più preziosi.
Molte, molte correzioni generali, inclusi rimedi per: auto galleggianti, problemi agricoli, allarmi domestici impercettibili, arbusti dell'erosione che bloccano i veicoli, sopravvissuti desensibilizzati che vengono presi dal panico dai crawler e molto altro.
ZAINI VISIBILI!

[VERSIONE] 41.13
[SEZIONE]
jassimp64.dll ricostruito con libreria c++ collegata in modo statico (rimuove la dipendenza da msvcp140.dll).
Risolta l'eccezione in MouseState con il mouse a 2 pulsanti.
Risolto l'errore lua con il comando del menu contestuale della finestra di scorrimento.
Risolti gli oggetti solidtrans accanto ai frame delle finestre senza che le finestre fossero solide.
Rimosse le opzioni dei modelli 3D e dei cadaveri 3D per riparare i corpi di zombi invisibili.
Rimosso AutoZombieManager.java che regolava il numero di modelli 3D in base alle prestazioni.
Risolta l'eccezione con "Nuovo nascondiglio sul tetto" = Nessuna opzione che causa uno schermo nero all'esterno.
Risolto il problema con "Benvenuto nella build 41" che era fuori centro.
Possibilmente corretti i corpi color arcobaleno su Mac OS.
Possibile problema risolto durante il caricamento dell'animazione bob/bob_idle su Windows utilizzando le impostazioni locali turche (e potenzialmente altre).

[VERSIONE] 41.14
[SEZIONE]
Varie correzioni di movimento/rotazione, si spera una correzione finale del problema della lingua turca, varie altre correzioni di bug e modalità Brawler e Builder funzionanti
[SEZIONE]ANIM
Ora considera la mira/mitragliamento come uno stato a slancio zero, come inattivo.
Turn180 ora usa idleToRun180 invece di runToTurn180 quando si passa da strafe -> corri nella direzione opposta di marcia.
Si unisce (con animazioni) a defaultWalk/Run/Sprint se isTurningAround==false
In caso contrario, utilizza transizioni senza animazione. Ciò impedisce agli anim di transizione di raddoppiare con gli anim di turn180.
ZNetFriends continua a eseguire il ping in singleplayer, è possibile che sia una fonte di rilascio di FPS
Corri -> Muoversi -> Corri ora si mantiene su una linea retta di viaggio. Non fa più lo strano movimento dell'arco durante la transizione
Strafe -> Esegui transizioni ora usa gli anim di transizione solo se non ruota più di 90 gradi.
Mitraglia -> transizioni di movimento aggiornate per correggere i bersagli quando è Turning90/Around.

[SEZIONE] BILANCIO
Aumenta la qualità dei pneumatici delle auto almeno del 20-30% in modalità Sopravvivenza

[SEZIONE]SOLUZIONI
Risolto il problema con l'arresto del veicolo subito dopo lo scoppio del pneumatico
Impossibile eseguire il polling Lo spam del dispositivo dovrebbe essere nascosto, potrebbe essere fonte di rilascio di FPS per chi ha Blutooth o altro hardware wireless
Risolto il problema con bob/bob_idle mancanti sui sistemi turchi.
Risolto bug di ricerca di AnimationSet con la lingua turca ("Idle" -> "idle").
Risolto il problema con EmptyStackException in IsoSpriteInstance.get().
Risolto il problema con il giocatore che non si avviava senza vestiti in AReallyCDDAy.
Risolto il problema con icone personalizzate per vestiti e contenitori persi dopo aver ricaricato un gioco.
Risolto il problema con la pulizia del sangue con un asciugamano da bagno.
Risolto il problema con i fucili a caricamento d'eccezione (o qualsiasi pistola senza caricatore).
GrabItemAction trasferisce più articoli contemporaneamente in modo simile a InventoryTransferAction.
Risolto il problema con il trasferimento di grandi pile di oggetti che caricavano FPS.
Risolto il problema con la perdita di munizioni durante la creazione di un fucile a canne mozze.
Risolto il problema con il comportamento di ridimensionamento della schermata Personalizza carattere.
Risolto il problema con la combinazione di InventoryTransferActions quando i contenitori di origine e di destinazione non sono gli stessi.
Modificata "versione 110" in "versione 120" in alcuni shader che utilizzano funzioni nelle espressioni const.
Risolto il problema con la gestione degli arresti anomali di MainThread/GameThread.
[NODOT]<INDENT:40> Un crash in RenderThread non blocca più il gioco.
[NODOT]<INDENT:40> - Gli errori non rilevati ora vengono assorbiti, registrati e viene effettuato un tentativo di preservare i dati di salvataggio.
[NODOT]<INDENT:40> Aggiunti gestori di eccezioni non rilevati a MainThread, GameThread e qualsiasi altro thread interno che sono riuscito a trovare.
[NODOT]<INDENT:40> Aggiunto gestore non catturato predefinito per qualsiasi thread esterno.
[NODOT]<INDENT:40> Aggiunto gestore personalizzato per MainThread, imposta bGameThreadExited e segnala RenderThread.
[NODOT]<INDENT:40> Aggiunto gestore personalizzato per RenderThread, imposta m_isCloseRequested, elimina le code di attesa e attende il salvataggio e la chiusura di MainThread.
[NODOT]<INDENT:40> - Opzioni di debug
[NODOT]<INDENT:40> Aggiunto il meccanismo testThreadCrash, utilizzato per generare un arresto anomalo su richiesta, in remoto da AnimZed.
Risolto il problema con le svolte ad arco dispari durante la transizione da camminata -> mitragliamento
Risolto il problema con le opzioni dello stile di gioco Brawler e Builder nel menu per impedire loro di avviare Survivor per errore
Corretto il crash per quando a getVectorFromDirection viene assegnato un vettore nullo.

[VERSIONE] 41.15
[SEZIONE]NUOVO
Stili di gioco rinominati per chiarezza e per enfatizzare l'intento dello sviluppatore su come dovrebbero essere giocati. Brawler diventa Survivor, Survivor diventa Apocalypse.
Aggiunte transizioni senza animazioni per sneakWalk -> strafe, sneakRun -> strafe, sneakWalkLow -> strafe e sneakRunLow -> strafe
[NODOT]<INDENT:40> - Elimina l'arco di virata dispari durante la transizione al mitragliamento.
Rimossa l'animazione strafeToWalk da strafeSneak -> cammina/corri/ecc.
[NODOT]<INDENT:40> - Riduce la quantità di salti del personaggio durante la transizione da strafeSneak a detti stati.
SFX implementato per collisioni di auto a basso impatto
Aggiunto lo stato di zombi in caduta.
Aggiunta la descrizione comando del menu contestuale per aprire/chiudere le tende per visualizzare le scorciatoie da tastiera e mouse.
Aggiunta VERSIONE=1 a keys.ini. Rimappa da C a L quando VERSION non è presente o è inferiore a 1.
Aggiunta la transizione di stato dall'affondo all'innamorarsi degli zombi.
Aggiunto il passaggio dalla recinzione alla caduta (quando non c'è pavimento sull'altro lato).
Aggiunta la texture della mappa dell'altezza per le pozzanghere. Questa texture dovrebbe aumentare le prestazioni quando si disegnano le pozzanghere.
Aggiunti Logs/ZombieSpawn.txt per registrare gli spawn di zombi. Dovrebbe registrare la deposizione delle uova di zombi all'interno degli edifici, non tanto all'esterno.

[SEZIONE]EQUILIBRIO
Zombi attenuati e zombi si generano un po' in Survivor (ex Brawler)
Ridotto il ritardo dopo aver scavalcato una finestra o oltre una recinzione prima che il giocatore possa muoversi.
Cambiamento della temperatura corporea temporaneamente disabilitato per aiutare le persone a sopravvivere all'inverno
Reso un po' più generoso il rilevamento dei colpi su parti del corpo degli zombi abbattuti
Le mani nude in multicolpo ora possono spingere fino a 3 zombi - in modalità Sopravvissuto (ex Brawler)
Imposta generatore ConditionMax=100.
Impostare alcune parti del veicolo ConditionMax=100.

[SEZIONE] CAMBIAMENTI ANIM E MODELLO
Modificati diversi anim di turno
Logo mccoy van rovesciato

[SEZIONE]SOLUZIONI
Risolto il problema con lo spostamento del primo zombi entro la portata, anziché lo zombi più vicino entro la portata.
Risolto il problema con il percorso errato di Ambient Piano
Tentativo di risoluzione dei problemi del Mac tramite l'"illuminazione" del Mac ricostruita libLighting.dylib
Risolto il problema con la zombificazione dai graffi degli alberi.
Risolto il problema con i lavori RenderThread che a volte venivano segnalati come terminati prima di essere richiamati.
Risolto il problema con il pulsante "Casuale" nella schermata Personalizza personaggio che reimpostava la professione del giocatore.
Risolto il problema con le molotov e le armi rotte che non venivano rimosse dalle mani del giocatore.
Risolto il problema con le icone degli oggetti a terra che erano il doppio della dimensione normale quando "Trame di dimensioni doppie" = No.
Risolti problemi che salvavano il giocatore nel database veicoli.db.
Risolto il problema con i nomi di file Unicode non supportati dall'importatore di animazione/modelli.
Risolto il problema con l'impossibilità di aprire/chiudere le finestre tramite il menu contestuale quando il giocatore si trova già al centro esatto del quadrato.
Hai fermato gli zombi che trascinavano verso la morte un giocatore in modalità dio.
Posizioni dei passeggeri esterne abbassate di SportsCar (risolve un problema tecnico della fotocamera).
Strappare abbigliamento e Craft Sheet Rope funzionano su tutti gli oggetti selezionati (se sono validi).
Rimossi PerformanceSettings.modelsEnabled e PerformanceSettings.support3D.
Ridotto il numero di thread di caricamento delle risorse da 4 a 2 su sistemi con 4 o meno thread hardware. cioè dual-core con hyperthreading o quad-core senza hyperthreading.
Risolte le icone dei tratti mancanti quando si utilizzava la lingua turca. (Propenso alla malattia, analfabeta, ecc.). Qualsiasi cosa con la I maiuscola.
Facendo doppio clic sul tutorial e sulle etichette dello stile di gioco nella schermata del nuovo gioco si passa alla schermata successiva.
Risolti problemi con gli attacchi a bordo di un veicolo (munizioni infinite, impossibile spingere).
Prova a correggere le eccezioni in ClimbThroughWindowState. Non memorizzare IsoWindow o IsoGridSquare in StateMachineParams poiché potrebbero diventare non validi a causa dello scorrimento della mappa (per gli zombi ai margini dell'area caricata, non il giocatore)
Risolto l'errore lua in DebugChunkStateUI
Risolto il problema con la visualizzazione di LMENU come LALT. Visualizza RMENU come RALT.
Risolto il problema con la cancellazione di una combinazione di tasti che la visualizza senza nome anziché NONE.
Risolte alcune stranezze nell'annullamento dell'avanzamento veloce quando ci si avvicinava agli zombi.
Risolto il problema con gli oggetti che galleggiavano da terra quando cadevano dall'interno di un veicolo.
Risolto il problema con la moltiplicazione dei generatori dopo aver usato "Equipaggia con entrambe le mani".
Risolto il problema con l'assegnazione dell'inventario del giocatore a uno zombi dopo che un coltello si era bloccato nella testa dello zombi.
Risolto il problema con le mani nude che non venivano conteggiate come arma preferita, tranne quando si calpesta.
Risolto il problema con l'opzione "Sciogli i capelli" disponibile per i capelli già sciolti dopo aver caricato un gioco. Risolto il problema con il giocatore che non moriva correttamente dopo essere caduto.

[VERSIONE] 41.16
[SEZIONE]
- Maggiore allocazione di memoria per zomboid a 64 bit che potrebbe potenzialmente evitare arresti anomali su alcuni sistemi che si caricano nel gioco.
Risolti problemi di shader con sovrapposizioni di vestiti e buchi che interessavano alcune GPU (grande fonte di blocchi/crash durante il caricamento del gioco/uscita dalla casa di spawn e probabilmente la stessa causa di alcuni problemi del Mac segnalati)
Aggiunte opzioni per la trasparenza/visibilità del cursore iso per il combattimento.
- Il thread di rendering ora genererà messaggi di errore migliori per la diagnosi di problemi futuri.
Risolto il problema con gli zombi che suonavano il loro suono di morte a volte quando venivano pugnalati (ma non pugnalati alla mascella).
[NODOT]<INDENT:40> Questo è successo quando bCloseKill=true ma CriticalHit=false.
Uno zombi muore non appena viene pugnalato alla mascella, non dopo essere caduto a terra.
[NODOT]<INDENT:40> L'animazione KnifeDeath viene riprodotta nello stato falldown, non nello stato hitreaction.
[NODOT]<INDENT:40> La reazione al colpo KnifeDeath non si verifica ora perché lo zombi è morto prima di cadere.
Risolto il problema con il numero di zombi in Sopravvivenza
Risolto il problema con il rilevamento del percorso che falliva quando ci si spostava sullo stesso quadrato quando quel quadrato era bloccato in tutte le direzioni.
[NODOT]<INDENT:40> Funzionava prima che luautils.walkAdj() venisse modificato per non chiamare AdjacentFreeTileFinder.isTileOrAdjacent().

[VERSIONE] 41.17
[SEZIONE]NUOVO
Tutti i personaggi ora iniziano con una cintura, dando loro uno slot "Back" e due slot per cintura (sinistra/destra).
Puoi fare clic con il pulsante destro del mouse su uno slot o trascinare un'arma su di esso. Oppure, in alternativa, fai clic su un'arma nel tuo inventario per collegarla alla hotbar.
Le armi verranno mostrate sul giocatore. Premendo un tasto di scelta rapida (da 1 a 5) si equipaggerà automaticamente l'arma assegnata a ogni slot.
Aggiunte fondine. Le fondine hanno la possibilità di deporre le uova sugli zombi della polizia/polizia
Ricostruito ProjectZomboid.exe come applicazione GUI, non più finestra della console. Dovrebbe funzionare insieme alla riproduzione remota di Steam ora.
Aggiunta l'animazione del giocatore Bob_VaultOverToFall quando si scavalcano le recinzioni.
Aggiunta l'animazione zombie Zombie_WalkTrees per gli stati di marcia verso il percorso e di ricerca del percorso.
Animazioni di affondo di zombi riprodotte al 50% di velocità sugli alberi.

[SEZIONE]EQUILIBRIO

Aumentato il danno dell'ascia di legno, la velocità, la quantità di tempo in cui puoi muoverti durante il mitragliamento, per renderla un'arma con danni pesanti praticabile (ma comunque piuttosto lenta)
Forzare la posizione in piedi quando si bevono/riempono oggetti dal lavandino.
Dimensioni ridotte del modello di pistola (+ museruola rifatta)
Aggiunta pietra scheggiata per creare la ricetta della lancia.
Rese trasparenti le alte recinzioni quando il giocatore è dietro di esse
Tratto ipocondriaco disabilitato fino a quando non può essere completamente rielaborato
Ricarica XP ora fornita quando si inseriscono proiettili nella clip (piccola possibilità) e quando si ricarica (maggiore possibilità).
Aggiunta la pesca subacquea.
Ora equipaggia una pala a 2 mani quando prendi terra/sabbia..
Dded Padella per saltare in padella.

[SEZIONE]SOLUZIONI

Risolto il problema con la generazione di zombi negli edifici molto tempo dopo che un giocatore era entrato nell'edificio.
Risolti problemi con il fucile a doppia canna.
[NODOT]<INDENT:40> 1) Icona dell'inventario mancante.
[NODOT]<INDENT:40> 2) Camera rimossa, che permetteva di caricare 3 proiettili.
[NODOT]<INDENT:40> 3) Scaffalatura non richiesta.
Risolto il problema con Zed di blob/valigia allo spawn
Risolto crash di FMOD su 64 bit.
Risolto il problema con gli zombi che rimanevano bloccati in aria dopo essersi arrampicati attraverso una finestra.
Risolta l'eccezione dopo aver rinominato il cibo per avere un carattere con il simbolo del dollaro.
Risolto l'errore lua durante il prelievo del compost da una compostiera.
Risolto il problema con i giocatori zombificati che interagivano con porte/finestre/ecc facendo clic con il pulsante sinistro del mouse.
Risolto il problema con le nuove pale che non erano utilizzabili per prendere terra/ghiaia/sabbia.
Risolto il problema con l'animazione del martellamento durante il versamento di terra/ghiaia/sabbia da un sacchetto.
Risolto il problema con i logs.zip console.txts sono limitati a tutte e 2 le righe durante la maggior parte degli arresti anomali
Risolti i problemi relativi alla pressione di Fuga durante l'ingresso o l'uscita da un veicolo o il cambio di posto.
Risolto il problema con i giocatori che attraversavano un muro durante il salto di corsa su una recinzione adiacente al muro.
Problema risolto: eccezione del thread non gestita da SQLDB in un ambiente non UTF8.
Risolto il problema con la schermata di protezione che non funzionava con un controller.
Risolto il problema con i pulsanti Info capelli/barba che non funzionavano con un controller.
Risolto il problema con l'asciugatrice e la lavatrice che continuavano a riprodurre il suono dopo l'interruzione dell'alimentazione.
Risolto il problema con la maschera meteorologica che non si aggiornava quando cambia il livello di zoom.
Risolto il problema con la maschera meteorologica che non veniva visualizzata per i giocatori a schermo diviso.
Risolto il problema con gli zombi che si bloccavano dopo aver scavalcato una recinzione senza pavimento sull'altro lato.
Risolto il problema con la chiusura di alcuni file tramite Garbage Collection.
Il tasto accovacciato ha effetto solo sul giocatore 0 che corregge l'accovacciamento condiviso a schermo diviso
Risolto il problema con l'opzione del menu contestuale "Siediti a terra" disponibile quando sei già seduto.
Risolto il problema con l'opzione del menu contestuale "Siediti a terra" non disponibile quando si utilizza un controller.
Risolto il problema con l'aggiunta di cibi congelati nelle ricette.
Risolto il problema con i vecchi calzini ancora esistenti.

[VERSIONE] 41.18

Aggiungi il suono "Finito" alla lavatrice/asciugatrice
Non è possibile aggiungere/rimuovere i vestiti dalla lavatrice/asciugatrice mentre il ciclo è attivo
Change Moodle "Lesioni lievi, primo soccorso richiesto"
Impostazioni sandbox personalizzate Non salvare come predefinito salvato se "/" è in Nome
Effetti sonori di pesca non sincronizzati
Bug dell'ensemble di abbigliamento
Riempire l'insetto rotto della casseruola
Risolto il problema con l'indice uniforme non inizializzato con TallFenceShader.
Disabilitato TerrainRenderTiles_UseShaders in modalità non debug, set default=false.
Risolto il problema con gli shader per pavimenti e pareti che venivano ricreati ogni volta che si avviava un gioco.
Si spera che siano stati risolti i problemi di prestazioni della pozza di pioggia.
Riattivato i suoni ambientali fridehum/finestra/porta/ecc.
Modificato il suono WaterDrip in modo che venga riprodotto solo su sprite IsoFlagType.waterPiped con acqua (in modo che non gocciolino dopo che l'acqua si è interrotta, a meno che non siano collegati a una fonte d'acqua).
Salva la posizione dell'hotbbar per evitare stranezze durante il caricamento del gioco con la fondina equipaggiata.
Modificata la posizione del modello per le armi attaccate.
Aggiunto fucile a doppia canna. (anim + spawn).
Risolte alcune stranezze con le pistole.
Ora ripristina la posizione del bottino durante il trasferimento di oggetti
Ora puoi raccogliere vetri rotti (attenzione, se non ci sono guanti potresti ferirti).
Aumentato il tasso di spawn del sapone.
Diminuire il consumo di sapone (*2).

Varie modifiche alla compatibilità per futuri aggiornamenti dei Super Sopravvissuti.
Il liquido detergente ora può essere utilizzato per lavare te stesso/i vestiti (il NUOVO liquido detergente, quello precedente non funzionerà).
Il tempo di pulizia ora dipende dalla quantità di sangue/sporcizia sugli indumenti.
Gli indumenti verranno bagnati dopo essere stati lavati a mano.
Risolta l'eccezione durante il lavaggio dei calzini.
Tempo ridotto per lavare i vestiti.
Aggiunti vari anim di rinculo per pistole/armi da fuoco, maggiore è il livello di mira, più velocemente sparerai + meno rinculo dell'anim.
Aggiunto interruttore Single/Auto per M16.
Risolto il problema con il peso della barra calda che aveva la priorità sul peso dell'oggetto equipaggiato.
Il suggerimento ora mostra il peso corretto se l'arma è nella barra rapida.
Fucile d'assalto bilanciato
Risolto: lo zoom indietro sull'acqua produce quadrati neri anziché acqua
Risolto il problema con il testo dopo la morte che veniva renderizzato due volte per i giocatori.
Risolto bug di rendering di schizzi di pioggia in splitscreen.
Corretto errore di battitura con ISBaseObject.type. Il tipo T maiuscola viene utilizzato in diversi punti.
Risolto il problema con il ripristino del modello del giocatore durante lo scambio di oggetti della hotbar.
Risolto il problema con l'avatar con informazioni sul personaggio che non si aggiornava durante lo scambio di elementi della hotbar.
Chiama ISHotbar:refresh() in update(). Il mio precedente commit ha aggiunto una chiamata a triggerEvent("OnClothingUpdate") in IsoGameCharacter.setAttachedItem() che potrebbe causare la chiamata di refresh() in momenti imprevisti.
Spostato IsoGameCharacter.attachedModels in ModelSlot.attachedModels.
Risolto l'errore in ISAttachedItemsUI.lua quando gli zombi hanno più oggetti allegati.
Ritarda il ripristino dei modelli equipaggiati e attaccati di un personaggio fino al frame successivo.
ISHotbar:update() modificato per gestire InventoryItem.getAttachedSlot() che diventa non valido per qualche motivo.
Corretto un bug che non veniva distrutto dalle caselle di testo
Risolto il problema con l'eccezione della hotbar dopo aver spostato la prima di due cinture in un container.
Risolto il problema con le impostazioni della popolazione di zombi del gioco precedente applicate ai nuovi giochi.
Risolto il problema con il preset sandbox di Survivor.lua che non veniva mai caricato.
Linux ricostruito libPZPopMan64.so.
Tasso di spawn delle case bruciate ridotto.
Risolto il problema con gli zombi considerati sulla schiena quando cadevano dalla finestra.
Ora puoi lavarti senza sapone, ma ci vuole più tempo.
Limitato il tempo necessario per lavare i vestiti.
Aggiunte icone della fondina.

[VERSIONE] 41.19
[SEZIONE]NUOVO
Sono stati aggiunti nuovamente gli zombi velocisti alla sandbox.
Alcuni copricapi ora hanno la possibilità di cadere quando attaccano (su zombi e giocatori). Cappelli ora resi come modelli 3D nel mondo.
Le etichette degli slot ora vengono visualizzate sopra la hotbar quando il mouse passa su quello slot. Questo per correggere le etichette più lunghe dello slot. Quando nessun oggetto è in uno slot, viene invece visualizzata l'icona sbiadita dell'oggetto che fornisce lo slot (come una cintura).
Nuovi effetti sonori per collisioni automobilistiche a basso impatto
Aggiunti nuovi preset sandbox alla schermata delle opzioni sandbox. Aggiornati tutti i file predefiniti della sandbox in modo che includano i valori per tutte le opzioni.
Aggiunta la qualità delle stelle per mostrare la durabilità degli articoli nella hotbar.
La cintura sinistra ora è la prima, poi la fessura destra, funzionerà solo se disequipaggiate/riequipaggiate la cintura.
Traduzioni della community aggiornate
Aggiunto ProjectZomboidOpenGLDebug64.bat che usa lwjgl-debug.jar invece di lwjgl.jar per abilitare il controllo degli errori esteso. Tra le altre cose, questo chiama glGetError() dopo ogni chiamata OpenGL.
Sgattaiolare ora consuma più resistenza quando si cammina/fa jogging rispetto alla normale camminata/jogging.
Oggetto/abbigliamento equipaggiato ora alla fine dell'inventario e non in cima.
Premendo R ora puoi fare più cose:
[NODOT]<INDENT:40> - Se il caricatore è nella pistola equipaggiata, disequipaggialo, controlla se c'è un nuovo caricatore da inserire.
[NODOT]<INDENT:40> - Se non è stato trovato nessun altro caricatore, controlla se possiamo caricare proiettili in un caricatore, una volta terminato il caricamento/rack automatico.
Aggiunte alcune informazioni di debug sull'uscita e sul salvataggio del gioco all'uscita

[SEZIONE]EQUILIBRIO
Modificate tutte le porte aperte in modo che siano trasparenti per facilitare il combattimento quando gli zombi si trovano dall'altra parte di una porta aperta.
Se un veicolo si trova all'interno di un garage, l'area del veicolo ora diminuisce leggermente, per facilitare il parcheggio.
Statistiche dell'arma bilanciate.
Maggiore possibilità di trovare caricatore nelle pistole.
Migliorate le armi da fuoco M16 e automatiche.
Aggiustati alcuni spawn di bottino
Aggiungi esperienza di falegnameria quando crei le lance.
Gli zombi ora hanno la difesa in base all'abbigliamento
Mangiare cibi congelati ora provoca infelicità/noia malus.
Aggiunte pistole per spawnare
Tasso di spawn gigamart ridotto.
Bottino del rifugio aumentato.
Modificate le impostazioni di rarità del cibo di Builder da "estremamente raro" a "raro"
Disabilitato scavalcare automaticamente le recinzioni quando non c'è pavimento sull'altro lato.
Aggiunto un periodo di grazia durante il quale un attacco "zombi da bagno a sorpresa" non infligge danni per evitare una morte improvvisa.

[SEZIONE] CAMBIAMENTI ANIM E MODELLO
Modifiche a Hunting vest x file e maschere in modo che funzionino meglio insieme
Giacca da sposa adattata per lavorare un po' meglio con i maglioni.
Maschere Huntingvest regolate in modo che funzionino meglio con i vestiti
 

[SEZIONE]SOLUZIONI
Risolto il problema con il giocatore che camminava nella direzione sbagliata mentre mirava con un controller.
Risolto il problema con la posizione della hotbar in splitscreen e dopo aver ridimensionato la finestra di gioco.
Risolte le icone delle finestre mancanti.
Risolto il problema con il moodle stanco non nella probabilità di colpo di calcolo per l'arma da fuoco.
Risolto il problema con il moodle esausto che non era in calcolo per stomping.
Risolto il problema con gli zombi che spingevano intorno agli zombi seduti contro un muro.
Risolto il problema con l'ascia che ruotava erroneamente quando era attaccata alla cintura a destra.
Risolto il problema con la posizione del corpo (la maschera antigas può essere indossata con gli occhiali, del casco integrale ecc..)
La protezione dell'abbigliamento fisso potrebbe visualizzare oltre il 100%.
Risolto il problema con la combinazione di colori errata per il colore di difesa da morso/graffio.
Risolto il problema con la mancata rigenerazione della resistenza se il carico pesante era > 0.
Risolto il problema con il livello 4 del moodle di carico pesante che non faceva nulla per la rigenerazione della resistenza.
Risolto il problema con il livello di fitness 10 che ti fa correre più veloce (ora influisce solo sulla resistenza).
Risolto il problema con gli effetti sonori degli abiti strappati mancanti.
Risolto il problema con la pietra che non veniva persa quando si creava una lancia da essa.
Lancia fissa doppia con cacciavite.
Risolto il problema con l'aggiunta del coltello da cucina mancante alla ricetta della lancia.
Risolto il problema con le auto duplicate occasionali.
Risolto il problema con il teletrasporto degli zombi attraverso i muri quando si sceglieva un posto dove sedersi dopo aver caricato parte della mappa.
Risolto il problema con gli zombi che non si sedevano mai contro le pareti sud o est. IsoGridSquare.getWallType() ha cercato le proprietà WallS e WallE che non esistono.
Risolto l'errore lua durante il saccheggio degli oggetti della hotbar dai cadaveri.
Risolto il problema con lo smontaggio che non ti costringeva a stare in piedi.
Risolto il problema con la rimozione di un caricatore da un'arma da fuoco rimuovendo anche 1 proiettile dal caricatore.
Risolti alcuni errori lua che venivano stampati sulla console senza visualizzare la casella di errore rossa.
Risolto il problema con il caricabatteria dell'auto che a volte non rendeva.
Risolto un problema di fusione durante il vault over.
Risolto il problema con la pausa improvvisa alla fine di vaultOverRun
Risolto il problema con il volteggio sopra lo sprint che faceva uno schiocco.
Risolto il problema con le animazioni di mangiare e bere che si interrompevano nel mezzo dell'azione
Risolto il problema con alcuni zombi che camminavano molto veloci o troppo lenti
Risolto il problema con il preset Builder inizialmente selezionato nella casella combinata "Preset salvati" della sandbox quando le impostazioni effettive erano per Survivor.lua alias Apocalypse.
Risolto il problema con il cono visivo del giocatore che cambiava direzione più rapidamente di quanto il modello stesse girando.
Risolto il problema con l'avatar delle informazioni sul personaggio che non si aggiornava dopo aver lavato via il sangue.
Risolto il problema con gli zombi a volte inattivi quando avrebbero dovuto inseguire il giocatore.
Risolto il problema con il rendering del cursore iso al doppio della dimensione quando Textures di dimensioni doppie = No.
Risolto il problema con i giocatori che non erano sempre rivolti nella direzione in cui avrebbero dovuto durante l'esecuzione delle azioni.
Risolto il problema con il giocatore che camminava quando si disattivava un allarme che si trova nel loro inventario.
Risolti gli allarmi domestici non funzionanti.

[VERSIONE] 41.20
[SEZIONE]NUOVO
Aggiunte nuove texture per zombi e personaggi sopravvissuti.
Gli zombi ora hanno 3 livelli di decadimento, verranno mostrati a seconda del tuo tempo di sopravvivenza (6 mesi dopo che apo ha un sacco di decadimento di livello 3 ecc..)
Aggiornata la mappa di Kingsmouth & Studio, cambiata anche la loro descrizione per il segnaposto e aggiunto il thumblr corretto per loro.
[SEZIONE]Cose relative alla temperatura dei caratteri:
Aggiunto termoregolatore a BodyDamage che gestisce tutte le cose di calore del giocatore
Aggiunti elementi e interfaccia utente del thermos del pannello del personaggio
Cambiata fame, sete, affaticamento possono moltiplicarsi a causa dello stato di termoregolazione
Danni e penalità da freddo/caldo rielaborati
Modificata l'efficacia dell'ombrello in base alla parte del corpo
Cambiato ottenendo una possibilità fredda di misurare la temperatura della pelle + umidità per parte del corpo, testa/collo/petto pesano di più
L'uomo all'aperto modificato riduce la possibilità di prendere un raffreddore al 10% del normale
Aggiunta l'umidità adeguata al gestore del clima
Aggiunti valori di generazione del calore corporeo alle azioni a tempo, alla camminata, al combattimento (anche un aumento in base al peso)
Aggiunto l'umidità corporea per parte del corpo invece di un valore per l'intero corpo
Modificata l'umidità/asciugatura degli indumenti, aggiunta di sudore e calore corporeo lavorando gli strati dall'interno verso l'esterno
Aggiunti valori di isolamento degli indumenti ai nuovi indumenti, l'isolamento degli indumenti può essere impostato da 0,0 a 1,0
Aggiunta la resistenza al vento dell'abbigliamento, diminuisce l'effetto windchill, può essere impostato da 0,0 a 1,0
Aggiunta resistenza all'acqua degli indumenti, 1,0 interrompe completamente l'immersione (esempio poncho) un valore inferiore lo rallenta
Aggiunta una penalità di tempo per le azioni a tempo quando le mani/braccia sono molto fredde
Aggiunto widget bodypart al pannello di protezione
PlayerClimateDebug modificato per mostrare ora le cose di debug per il termoregolatore
Aggiunti BodyPartContacts, possono essere utilizzati per determinare quale parte del corpo si connette a un'altra
Aggiunta la distanza dal nucleo, la percentuale della superficie della pelle e la mod dell'ombrello a BodyPartType
[SEZIONE]Aggiunta riparazione abbigliamento:
Fare clic con il pulsante destro del mouse su un articolo per aggiungere/rimuovere toppe sui vestiti.
L'aggiunta di una toppa a un buco lo rimuove, altrimenti ti dà semplicemente un bonus di difesa (è necessario aggiungere più isolamento se si sta semplicemente aggiornando).
La qualità della difesa dipende dal tessuto utilizzato e dall'abilità sartoriale.
Nelle prossime settimane verrà creata un'interfaccia utente per ispezionare i vestiti, quindi sarà meno cliccabile attraverso i sottomenu.
Modificato il modo in cui si strappano i vestiti per rendere più facile l'aggiornamento quando vengono aggiunti nuovi vestiti.
Ora puoi strappare roba in pelle/denim per ottenere strisce (richiede le forbici).
Aumentato il tasso di spawn del filo complessivo, può anche ottenere strisce di pelle quando si smontano oggetti in pelle (divano ecc.)
Le trame delle patch attualmente sono tutte uguali, indipendentemente dal tessuto utilizzato, sono trame segnaposto.
[SECTION]Miglioramenti alla pistola:
Possibilità di colpo ottimizzato con le pistole: dovrebbe essere più facile e avere una sensazione molto più "lineare" verso il livello di mira ora.
[SECTION]Sprinter zombie migliorato:
Ora scattano solo se hanno un obiettivo, altrimenti camminano.
Hanno la possibilità di inciampare e cadere durante lo sprint.
Risolto il problema con gli zombi che correvano attraverso gli alberi.
I velocisti hanno un delta di virata più ampio durante lo sprint.
Il pulsante X del controller ora trasferisce gli oggetti dal giocatore a qualsiasi contenitore visualizzato nella finestra del bottino, invece che sul pavimento.
[SEZIONE]Salvataggio e registri:
Aggiunto il file DebugLog.txt a logs.zip. Questo file è contenuto nella directory /debug-log/ in archivio.
Verificato che il file veicoli.db sia salvato in logs.zip. Questo file è contenuto nella directory /save/ in archivio.
Aggiunto salvataggio dell'ultimo salvataggio all'avvio del gioco. Questi file sono contenuti nella directory /save_old/ in archivio.
[SEZIONE]Miglioramenti dell'acqua:
Aggiunte WaterZone sui moli e sulla rimessa per barche a nord di Westpoint per correggere il rendering con lo shader dell'acqua.
[NODOT]<INDENT:40> Non è stato risolto al 100%; le tessere che forniscono spessore ai moli non sono visibili e c'è un problema tecnico di 1 piastrella dove il molo incontra la riva.
[NODOT]<INDENT:40> Modificato il codice dello shader dell'acqua per renderizzare in due passaggi, prima le tessere dell'acqua solida, poi le tessere normali, quindi le tessere della riva.
[NODOT]<INDENT:40> Risolve alcune tessere nascoste sui moli/rimessa per barche a nord di Westpoint e sul ponte ferroviario a est di Westpoint. In precedenza non si vedevano i pavimenti trasparenti ai bordi del ponte ferroviario perché l'acqua li copriva.
[SEZIONE]GENERALE
Aggiunti alcuni modelli alimentari (principalmente per frutta/verdura).
Aggiunto mangiare dal piatto anim
Aggiunti tratti/libri di sartoria.
Risolto il problema con la casa di spawn barricata.
Abilità passive spostate in cima alla scheda Abilità.
Il trasferimento di oggetti di 20 stakc ora lo fa solo per piccoli oggetti (peso <= 0,1) come chiodi, proiettili, ecc.
Cambiati i colori del contorno degli zombi con la mira per usare un rosso meno scuro.
Modificate alcune parole nel menu di riparazione.
Aggiunti Bob_IdleEatingFromPlate.X e Bob_DrinkFromFloor.X
Risolto il problema con il rendering delle pozzanghere sopra l'acqua (quando non si utilizzava lo shader dell'acqua e le pozzanghere dinamiche = Tutto).
Risolto il problema con il rendering dei dati della pozza
[NODOT]<INDENT:40> Questo era per correggere un bug durante l'apertura/chiusura di una porta usando un controller, le pozzanghere apparivano brevemente in un'area 3x3 intorno alla porta. Non è successo quando si utilizza il tasto 'E', stranamente.
Risolto il problema con la selezione automatica del secondo contenitore nella finestra del bottino invece del primo quando si utilizza un controller.
Risolte alcune porte del garage con pareti dietro di esse nella cella 25,31.
Risolto il problema con gli zombi che ereditano alcune altre distribuzioni di stanze, rendendo facile coltivare alcuni oggetti attirando gli zombi in stanze specifiche.
Messaggio popup tutorial rimosso per i nuovi giocatori.
Risolto il problema con l'ingresso di un veicolo che a volte richiedeva più tempo del dovuto. Questo sembrava accadere quando il giocatore stava riproducendo un'animazione di svolta ed è entrato nel veicolo.
Risolto il problema con il rendering delle viti da parete che veniva influenzato dal vecchio stencil circolare.
Aggiunta un'animazione di ritardo prima dell'attacco allo stato di "attacco" degli zombi in situazioni di balzo istantaneo ingiusto al 100%. L'animazione dura 1/2 secondo. Questo sostituisce il periodo di "grazia" dell'ultima patch.
Rimosso il tempo di fusione tra l'inizio e la fine delle animazioni dell'attacco degli zombi. Questo sembrava causare un intoppo nella posa dello zombi.
Risolto il problema con il giocatore che camminava verso i contenitori adiacenti durante il trasferimento di oggetti.
Risolto il problema con il modo in cui la tinta viene applicata ai modelli rispetto ai vestiti del personaggio.
Risolto il problema con la modalità Sopravvissuto e Costruttore che non si avviava a luglio.
Risolto il problema con il giocatore che non si svegliava quando la salute era bassa.
Risolto il problema con il giocatore che non si svegliava se uno zombi distruggeva qualcosa in casa (finestra, porta, barricata...)
Risolto il problema a volte il giocatore continuava a camminare quando stava per dormire facendolo passare attraverso i muri ecc.
Risolto il problema con l'eccezione relativa alla trama che caricava oggetti mobili nei container.
Risolto il problema con il sonno che terminava troppo presto.
Risolto il problema con la rotazione del giocatore durante il saccheggio poiché ciò potrebbe cambiare i contenitori visualizzati.
Risolto il problema con le texture dei cadaveri che venivano ricreate ogni volta che veniva caricato un cadavere.
Risolto l'errore lua durante lo scarico dei proiettili da un caricatore quando non ci sono proiettili nell'inventario.
Risolti i problemi di smantellamento dei veicoli con una fiamma ossidrica.
Risolto il problema con la moltiplicazione delle combobox che uccidevano i fps dopo aver fatto clic ripetutamente sul pulsante Randomizza nella schermata di creazione del personaggio.
Corretto errore di battitura in ClothingSelectionDefinitions.lua.



[VERSIONE] 41.21
[SEZIONE]NUOVO
Sostituito il sottomenu di sartoria con un "Ispeziona l'interfaccia utente dell'abbigliamento" che funge da pannello sanitario.
Aggiunti modelli di bende visibili sul personaggio
Modificata l'animazione durante la costruzione di muri di tronchi e nascondi i modelli delle mani poiché non sono necessari strumenti.
Aggiunto un attacco "mondo" ad alcuni modelli di armi per posizionarli e ruotarli bene quando sono a terra. Questo viene utilizzato in modo che pale e assi giacciono piatte a terra, ad esempio.
Aggiunta l'opzione di visualizzazione "Contorno obiettivo".
Il giocatore ora disequipaggia l'oggetto corrente prima di equipaggiarne un altro quando entrambi gli oggetti sono nella barra rapida.
Risolti alcuni bug con l'interfaccia utente di Ispeziona abbigliamento e aggiunta una barra delle condizioni.
Modelli di bende finite (aggiunto sporco!)
Rimossa l'opzione "Nuovo tetto nascosto".
Cattura e registra tutti gli errori lanciabili durante il salvataggio del gioco.
Aggiunti eventi di spawn di veicoli casuali: incidenti automobilistici, ecc.
Aspetti introdotti delle nuove sfide: gli zombi ora sono attivi di notte e inattivi durante il giorno in Studio, inizi con una torcia a mezzanotte. Opzioni sandbox di Kingsmouth ottimizzate.
Migliorata la transizione all'animazione dell'azione per rimuovere gli snap anim
 

[SEZIONE][MODIFICA DEL SISTEMA DI ISOLAMENTO]
Risolto un bug che impediva di catturare una possibilità fredda quando si applicavano le condizioni
Tassi di aumento/diminuzione della generazione di calore corporeo rallentati
Aggiunta vista avanzata e modifiche al testo applicate nella scheda termica
Risolti gli offset di temperatura degli arti per essere più pronunciati
Modificati alcuni valori interni che rendono più difficile combattere il freddo in base al feedback dei test, tra cui anche: l'abbassamento della temperatura interna ora influisce sul calore totale possibile generato e sulla capacità del corpo di continuare a combattere il freddo
Aumenta leggermente il consumo di energia/fluidi in caso di surriscaldamento/sottoraffreddamento
Aggiunto un piccolo aumento del consumo di energia quando si genera molto calore.
La temperatura della pelle modificata si sposta più velocemente quando torna a livelli favorevoli, quindi non ci vuole molto tempo per riscaldarsi di nuovo.
Risolto bug che durante il caldo rendeva la pelle troppo calda e troppo veloce in base all'isolamento
Risolto il problema con l'isolamento di alcuni capi di abbigliamento
Modificata la fase 2 dell'ipotermia che si attiva al nucleo 35, invece che al 33
Aggiunto un valore di generazione di calore corporeo inferiore quando si intrufola.
Aggiunto un piccolo bonus di isolamento incrementale che interessa principalmente gli indumenti ad alto isolamento
Aggiunto un modificatore del tasso di sudorazione più basso per gli indumenti a temperature più fredde
Aggiunta resistenza all'acqua a varie giacche, pantaloni, cappelli e calzature
 

[SEZIONE]EQUILIBRIO
Aumentata un po' la generazione delle armi assegnate agli zombi.
Aumento del tasso di spawn di spray da giardinaggio, forbici, guanti e coltello da burro.
Rimossa la cintura che può essere tagliata.
Aumento del tasso di spawn dei thread in cucina.
I suggerimenti della finestra Meccanica ora mostrano la carica della batteria, la quantità di carburante nel serbatoio del gas, la quantità di aria negli pneumatici.
Migliorato il funzionamento dell'opzione sandbox zombi ciclo giorno/notte: quando è attiva, ottengono le opzioni sandbox. Quando sono inattivi, sono molto lenti e deboli, ma possono comunque camminare/attaccare.
Aggiunta la velocità lenta degli zombi shamblers.
 

[SEZIONE]SOLUZIONI
Possibilmente risolti gli zombi che camminavano sul posto.
Risolto il problema con la hotbar che non si aggiornava durante la sostituzione di una fondina con una doppia fondina o viceversa.
Risolti i problemi con i pesi personalizzati per il cibo e le radio artigianali che non venivano salvate.
Risolto il problema con "Clear Ashes" che non era disponibile.
Consenti l'uso di Shovel/Shovel2/SnowShovel/HandShovel per rimuovere le ceneri.
Risolto l'errore lua in DebugChunkState che visualizzava le tabelle in modData.
Risolto il bug "i veicoli a volte scompaiono finché non ricarichi il gioco".
Risolto il problema con il giocatore che si bloccava quando si arrampicava su una fune e la strada era bloccata in alto. Il giocatore riscenderà automaticamente.
Fissa la porta del garage sovrapposta e il muro nella cella 37,22.
Risolto il problema con i libri delle abilità di sartoria che scomparivano dopo essere stati letti.
Risolto il problema con sporcizia/sovrapposizioni/ecc. da piastrelle bruciate.
Risolto il bug: l'opzione -Dnosave generava un sacco di errori
Risolto il problema con le batterie dell'auto che iniziavano con una carica superiore al 100% a volte.
Risolto il problema con il sollevamento di vetri rotti con lo strumento di spostamento dei mobili che non tagliava le mani come accadeva con il menu contestuale.
Risolto il problema con le porte del garage rosse che non erano apribili.
Risolto il problema con il trasferimento Tutto non funzionava quando uno degli oggetti è un elemento mobile (mobili).
Risolto il problema con l'uso dell'acqua fredda a volte durante la disinfezione di bende o la preparazione di bevande calde.
Risolto il problema con l'impostazione errata dell'opzione sandbox Conteggio zombi del moltiplicatore di popolazione (poiché è stato aggiunto Molto alto).
Risolto il problema con l'animazione di scavalcamento errata durante la riproduzione quando si impugnava una pistola.
Risolto bug MEGA THUNDER dopo l'avanzamento veloce
Risolto il problema con gli zombi che balzavano in piedi quando venivano colpiti dopo aver scavalcato una recinzione, invece di essere calpestati.
Risolto l'errore lua durante il tentativo di ricaricare un caricatore quando non ci sono proiettili nell'inventario.
Risolto l'errore lua durante la creazione quando gli oggetti devono essere trasferiti nell'inventario principale. (Imballaggio chiodi in più scatole).
Risolto il problema con l'impossibilità di indossare oggetti sulla testa con le tute (le posizioni di FullSuit e FullSuitHead sono state scambiate). Questo dovrebbe risolvere il problema che le maschere di saldatura scompaiono quando gli zombi muoiono, se indossavano tute.
Risolto il problema con la possibilità di fare clic sulle porte per aprirle/chiuderle da troppo lontano. Ora il giocatore deve trovarsi nelle caselle 2x3 o 3x2 adiacenti alla porta.
Risolto il problema con gli alberi che colpivano attraverso i muri.
Risolto il problema con i corridori zombi che non correvano verso un suono (finestre rotte, TV...)
Risolto il problema con i corridori di zombi che correvano in cerchio intorno a te.

[VERSIONE] 41.22

[SEZIONE]NUOVO
Nuovo modo per generare storie di veicoli, ora usa l'intersezione di zone in blocco per essere davvero accurato.
Aggiunte altre storie di veicoli.
Aggiunto il nome dell'arma all'inserimento di proiettili nell'opzione del menu contestuale dell'arma
Aggiunti suoni di passi quando si cammina con la mira.
Gli stati d'animo ora tremano e brillano per segnalare che il combattimento è compromesso
Aggiornate alcune texture dei veicoli.
Risolte alcune sovrapposizioni di danni ai veicoli mancanti.
Aumentata la velocità di combattimento con il limite per le armi pesanti.
Premendo uno dei tasti della hotbar per mezzo secondo ora viene visualizzato un menu radiale per la scelta di un oggetto da equipaggiare in quello slot.
Gli elementi di guarigione possono essere trascinati sul pannello Salute per curare le lesioni. - Stringhe convertite per i traduttori
Tutti i contenitori nella finestra del bottino ora vengono visualizzati nell'area 3x3 attorno al giocatore.
[NODOT]<INDENT:40> 1) Questo ci permette di aggiungere "voltarsi per affrontare il container durante il saccheggio", perché girare non cambia quali container vengono visualizzati nella finestra del bottino.
[NODOT]<INDENT:40> 2) Risolve alcuni imbarazzo con i cadaveri saccheggiati, poiché spesso il giocatore è visivamente in piedi sul cadavere ma non rivolto verso il quadrato in cui si trova il cadavere.
[NODOT]<INDENT:40> 3) Era sempre possibile per il giocatore fare clic su un contenitore nel mondo e mostrarne il contenuto nella finestra del bottino, anche quando il contenitore era dietro il giocatore e non aveva un pulsante in la finestra del bottino.
Traduzioni aggiornate per spagnolo, ungherese, giapponese e polacco.

[SEZIONE]SOLUZIONI
Risolto il problema con la ruggine del veicolo mancante dagli effetti.
Risolto il problema con il giocatore bloccato in posizione dopo aver iniziato a ricaricare/rastrellare un'arma da fuoco mentre mirava.
Risolto il problema con gli zombi seduti e martellanti che venivano spinti da altri zombi
Visualizza l'icona "equipaggiata" nella hotbar per gli oggetti tenuti in mano.
Aggiunta l'opzione del menu principale "Esci da desktop".
Il giocatore ora è rivolto verso la portiera del veicolo quando tenta di sbloccarla.
Risolto il problema con gli zombi che rimanevano bloccati in un'animazione dopo la morte del giocatore.
Risolto l'errore DebugChunkState quando uno stato non era esposto a lua.
Risolto il problema con gli zombi seduti a volte rivolti nella direzione sbagliata.
Risolto il problema con la posizione dell'icona "preferita" nella finestra dell'inventario (si stava ritagliando nella riga sopra).
Risolto il problema con la possibilità di lanciare una molotov senza un accendino nella mano destra e l'oggetto della mano destra che scompariva in seguito.
Risolto il problema con l'impossibilità di accodare più azioni chop-tree.
Risolto il problema con il pulsante Continua che saltava la schermata della professione quando il giocatore era morto.
Risolte le animazioni di commutazione della hotbar.
Risolto il problema con lo scatto di direzione del giocatore quando si cambiavano i modelli in mano del giocatore.
Risolto il problema con lo snap quando il giocatore si gira
Risolto il problema con il trascinamento di più oggetti curativi dello stesso tipo sull'interfaccia utente della Salute.
Risolto il problema con il clic su "indossa" su una pila di oggetti che li indossavano tutti
Risolto il problema con l'apertura infinita dell'interfaccia utente di Ispeziona abbigliamento.
Risolto il problema con il clic con il pulsante destro del mouse sui proiettili che richiedevano una pistola corrispondente per consentire l'inserimento di proiettili nel caricatore.
Risolto il problema con un clic sui proiettili nell'inventario che portava "inserire munizioni nel caricatore" per ogni oggetto.
Risolto il problema con l'impossibilità di pulire le strisce di pelle/denim sporche.
Risolto il problema con il testo sovrapposto con l'interfaccia utente per il traduttore, ora tutto è legato a varie larghezze di stringhe.
Risolto il problema con le impostazioni del bottino sandbox che venivano ripristinate ai valori predefiniti durante il caricamento di una partita salvata.
Risolto il problema con gli zombi che non attaccavano i giocatori proprio di fronte a loro quando l'impostazione della sandbox "Giorno/Notte attivo" non è "Entrambe".
L'accendino non esaurisce il carburante se lo usiamo come fonte di illuminazione
Risolto il problema con l'effetto sfx dei passi a piedi nudi che non era più morbido rispetto a quando si indossano le scarpe
Risolto il problema con la possibilità di catturare pesci al livello 1 troppo alto
Risolto il problema con gli abiti professionali (ad esempio la maglietta del boscaiolo) che scomparivano dalla combo quando si faceva clic su "Casuale"
Risolto il problema con i fari che si rompevano troppo facilmente
Risolto il problema con lo stato del Pin per i menu dell'inventario che non venivano salvati
Risolto il problema per cui non era possibile recuperare e riparare un'arma utilizzata nella creazione della lancia
Essiccatori fissi con opzione bevanda
Risolto l'errore lua con Dipingere i muri
Risolto il problema con la pesca con una lancia con sfx errato
Risolto il problema con l'effetto sonoro quando una porta veniva distrutta perché troppo rumoroso
Risolto il problema con la descrizione errata del moodle ad alto sforzo
Risolti problemi con il sistema di protezione di alberi/abbigliamento
Risolto il problema con l'azione dig Graves che non aveva effetti sonori per tutti gli strumenti
Errore di battitura della sirena del veicolo
Risolto un problema per cui lo "Scava" dell'agricoltura creava confusione a causa di diverse azioni di scavo: ora "scavare solco" ecc.
Risolto il problema con l'arma SwingSound che non suonava (per esempio, il fruscio della mazza da baseball).
Risolto il problema con HitVehiclePartWithWeapon e HitVehicleWindowWithWeapon che non venivano riprodotti e utilizzavano il suono hit-zombie.
Risolto il problema con i cappelli che cadevano più volte dagli zombi dei giocatori rianimati.
Risolto il problema con il contorno della mira per i giocatori a schermo diviso visualizzato sullo schermo del primo giocatore.
Risolto il problema con gli effetti meteorologici che non venivano visualizzati per i giocatori a schermo diviso.
Risolto il problema con il colore di abbigliamento sbagliato visualizzato nella schermata di creazione del personaggio durante la selezione degli oggetti.
Risolto il problema con i passeggeri che non potevano leggere libri nei veicoli in corsa (il conducente non poteva ancora).
Porte da garage fisse con pareti retrostanti nelle celle 22,33 e 27,33.
Risolto il problema con SmithingMag4 che si trasformava in SmithingMag3 durante la lettura.
Corretto il possibile nullpointer per RVSCarCrashCorpse.
Risolto il problema con la svolta quando si era già rivolti nella direzione durante l'esecuzione di un'azione.
Risolto il problema con lo snap dell'animazione del giocatore durante l'attivazione di ISMultiStageBuild.
Risolto il problema con lo sterzo del veicolo che si ribaltava come i paddle del flipper quando gli fps sono bassi.
Risolto bug di pathfind che portava a messaggi "WalkTowardState but path2 != null".
Risolti gli errori lua quando si premevano i tasti di scelta rapida della hotbar durante il caricamento del gioco.
Risolto problema con PolygonalMap2.intersectLineWithVehicle().
Risolto l'errore lua in ISRepairEngine
Proibire la lettura di libri di abilità di livello troppo alto. Il giocatore leggerà per un po' poi si fermerà dopo aver detto "Non capisco..." ecc.
Risolto il problema con IsoWorldInventoryObject a volte utilizzando le trame WItem_xxx più piccole.
Risolto il problema con la duplicazione dell'auto.
Risolto il problema con i fari del veicolo che non venivano rimossi quando venivano distrutti, emettevano luce quando si rompevano

[VERSIONE] 41.23
[SEZIONE]NUOVO
Cambia il colore dei pulsanti senza icone quando fai clic su di essi per un feedback visivo.
Aggiunte nuove opzioni di bottino sandbox:
[NODOT]<INDENT:40> - Cibo in scatola, Medicina, Meccanica, Equipaggiamento di sopravvivenza, Armi a distanza, Munizioni, Letteratura.
[NODOT]<INDENT:40> - Quando si carica una partita precedente, questi nuovi modificatori del bottino saranno basati su quello esistente (quindi armi/munizioni a distanza prenderanno il modificatore dell'arma, gli altri prenderanno il modificatore del bottino "Altro")
Tutorial rimosso dal menu principale.

[SEZIONE]EQUILIBRIO
Gli zombi hanno meno possibilità di avvistare il giocatore durante la notte (era già lì, ma succede solo durante la notte davvero buia, ha abbassato un po' la soglia)
Dimezzato le probabilità di inceppare una pistola
La crescita dei capelli ora richiede 20 giorni invece di 30.
Bilanciare il peso di alcuni indumenti.
La professione di ladro ora può cablare i veicoli e ha meno possibilità di rompere la serratura quando si aprono le finestre.
L'orecchio duro ora dà 4 punti (da 2).
Costo di Pelle Spessa aumentato a 8 punti (da 6).
Punti ThinSkinned aumentati a 8 (da 6).
Alcuni tratti legati al peso ora riducono la forma fisica.
I tratti relativi al peso ora hanno un impatto maggiore sulla possibilità di non riuscire a superare grandi recinzioni.
Nightowl risolto, ora funziona correttamente.
Essere emofobici e avere del sangue sui vestiti ora aumenta lentamente il panico.
Più indulgente verso la direzione che il giocatore sta affrontando quando scavalca le recinzioni.


[SEZIONE]SOLUZIONI

Correzione temporanea per l'impiccagione di Kingsmouth durante il salvataggio. L'isola è circondata dall'acqua, impedendo al gioco di trovare qualsiasi percorso per rigenerare gli zombi.
Risolti gli zombi finti morti nelle sfide House in the Woods.
Risolto il problema con lo sfarfallio dei muri durante l'avanzamento veloce.
Risolto il problema con le skin degli zombi che cambiavano casualmente.
Cinture fisse ecc. Non si asciugavano nel tempo quando indossate.
Risolto il problema con i suoni dei passi degli zombi mancanti per gli zombi che si muovevano lentamente e scattavano.
Risolto il problema con i volumi IsoGameCharacter.DoFootstepSound(String) ignorati.
Risolto il problema con gli zombi velocisti che si lanciavano a tutta velocità tra alberi e cespugli.
Risolti problemi di animazione e svolta durante l'esecuzione di azioni mediche su un giocatore a schermo diviso.
Risolto il problema con i modelli di bendaggi che apparivano sul medico anziché sul paziente nello schermo diviso.
Risolto il problema con il rapido clic su un pulsante che ignorava ogni secondo clic (i pulsanti ignoravano i doppi clic).
Risolto il problema con la rotazione del modello di padella quando a terra.
Risolto il problema con il revolver e il fucile a canna liscia che venivano martellati
Risolto il problema con la fasciatura invisibile (usata per applicare il modello di fasciatura al giocatore) che pesava 1,0 (ora è 0).
Risolto il problema con il modello di fasciatura che a volte non veniva rimosso (ad esempio quando si mordeva).
Risolto il problema con gli zombi che attaccavano mentre si giravano ancora per affrontare il giocatore. Questo era più evidente quando il giocatore era seduto in un veicolo; uno zombi si dirigerebbe verso il finestrino del veicolo, quindi attaccherebbe mentre stava effettuando una svolta di 90 gradi. Potrebbe anche succedere quando si apre una porta con uno zombi dietro o si cammina dietro l'angolo in uno zombi.
Risolto il problema con il comando del menu contestuale dell'inventario "Sposta in > Piano" che spostava gli oggetti nell'inventario del giocatore ma non li lasciava cadere sul pavimento.
Risolto il problema con NullPointerException in IsoMovingObject.checkHitWall() quando i blocchi adiacenti non sono stati caricati.
Risolto il problema con la riproduzione dell'animazione di reazione al colpo del giocatore dopo essere uscito da un veicolo. Sembrava che lo zombi avesse colpito il giocatore dall'altro lato del veicolo.
Risolto il problema con il giocatore che moriva due volte a volte mentre veniva trascinato a terra.
Risolti diversi problemi con gli zombi che conoscevano la posizione dei giocatori per un periodo dopo aver perso LOS
Risolto il problema con gli zombi che vedevano il giocatore dietro di loro non appena sentivano il rumore del giocatore. Ora non vedono il giocatore finché non hanno girato abbastanza.
Risolto il problema con le azioni di lavorazione dei metalli che fallivano perché la maschera del saldatore non poteva più essere equipaggiata nella mano. Ora è indossato.
Risolti gli attacchi a terra che colpivano porte, alberi, ecc.
Risolto un problema con un po' di codice di debug che bloccava il thread principale ad ogni frame.
Risolto il problema con ISInventoryTransferAction se l'articolo è già nel contenitore di destinazione. Questo risolve l'impossibilità di mettere benzina in un veicolo quando la tanica di benzina è in una borsa per cominciare.
Risolto il problema con l'exploit di oggetti duplicati che coinvolgevano i cadaveri.
Risolto il problema con NullPointerException in ThunderStorm quando il quadrato corrente del giocatore è nullo.
Risolto il problema con i giocatori che si sanguinavano dopo aver sparato agli zombi a distanza.
Risolto il problema con VehiclesDB che non segnalava molti errori di salvataggio/caricamento. Ora usa la piccola scatola rossa della sventura.
Risolto bug del multithreading con il database del giocatore/veicolo. I file esistenti con dati del veicolo già danneggiati genereranno ripetutamente eccezioni.
Risolto il problema con VehiclesDB che generava ripetutamente eccezioni se BaseVehicle.load() falliva
Risolto il problema con NullPointerException in IsoPuddlesGeometry.
Risolto il problema con VERSION=1 che non veniva scritto in keys.ini in alcuni casi

[VERSIONE] 41.24

[SEZIONE]NUOVO
Aggiunto il turno di zombi allertato
Quando ti arrampichi attraverso una finestra e uno zombi la blocca facendoti ricadere in casa, lo zombi emetterà un suono così saprai che è lì.
Ora è possibile sparare alle finestre (verranno evidenziate se si trovano nella distanza/direzione).
Il gioco ora rileva quando gli zombi stanno camminando sul posto per diversi secondi, quindi smette di muoversi.
I gruppi di zombi che attaccano i veicoli ora si coordinano meglio per evitare che camminino all'infinito contro un veicolo che non possono assolutamente raggiungere.
Aggiunta previsione per il combattimento corpo a corpo. Se stai attaccando uno zombi che si sta lanciando verso di te, aumenteremo virtualmente la portata dell'arma per rilevare un attacco, questo dovrebbe rendere l'animazione "mancata" riprodotta molto meno spesso quando colpirai effettivamente lo zombi.
I conducenti ora guardano dietro di loro quando il veicolo si muove in retromarcia. Questo risolve il problema che i giocatori non sono in grado di vedere il veicolo in cui si trovano quando fanno retromarcia in aree invisibili. Guidatori e passeggeri possono guardarsi intorno tenendo premuto il tasto Mira o la levetta destra del controller quando i finestrini non sono aperti.
Controllo-rotellina ora scorre tra i contenitori nell'inventario e le finestre del bottino quando il mouse è sopra l'elenco degli oggetti.
Miglioramenti della qualità della vita per l'assunzione di sporco/ghiaia/sabbia.
[NODOT]<INDENT:40> 1) La borsa più piena viene scelta automaticamente dall'inventario (e negli zaini) invece di doverne sceglierne una da un sottomenu.
[NODOT]<INDENT:40> 2) Viene visualizzato un cursore per selezionare le posizioni da cui prendere. Ciò consente al giocatore di fare clic quattro volte di seguito per riempire una borsa, invece di dover fare clic con il pulsante destro del mouse e scegliere la stessa azione quattro volte dal menu contestuale.
Miglioramenti della qualità della vita per versare sporco/ghiaia/sabbia.
[NODOT]<INDENT:40> 1) Il cursore visualizza un contorno verde o rosso per facilitarne la visualizzazione.
[NODOT]<INDENT:40> 2) Il primo bagaglio non vuoto viene scelto automaticamente dall'inventario (e negli zaini) invece di doverlo scegliere da un sottomenu.
Gli zombi ora non si alzeranno se un giocatore si trova sopra di loro.

[SEZIONE]EQUILIBRIO
Danni ridotti in caso di caduta da finestre a 2 piani.
Risolto il problema con il problema del sottopeso/molto sottopeso che causava la morte immediata quando cadeva dalle finestre del 2° piano e risultava eccessivamente ingombrante.
Consenti agli zombi che si lanciano in avanti di scavalcare le recinzioni e attraverso le finestre invece di camminarci dentro.
Agoraphobic/Claustrophobic ora si escludono a vicenda.
Aumento dei punti emofobici dati a 5.


[SEZIONE]SOLUZIONI

Risolto il problema con le opzioni sandbox degli zombi che continuavano a generare zombi nelle storie dei veicoli.
Risolto il problema con la rotazione verso alcuni oggetti quando si eseguivano varie azioni quando non era necessario (riempire la bottiglia d'acqua).
Risolto il problema con gli zombi che martellavano i veicoli che non attiravano altri zombi (WorldSound mancante).
Risolto il problema con AttackState che cancellava StateMachineParams (per tutti gli stati, anziché solo AttackState).
Risolti due bug di multithreading.
Risolto il problema con l'impossibilità di attaccare dopo aver chiuso una mappa quando si utilizza un controller.
Risolto il problema con il trasferimento di tutti gli elementi della hotbar in movimento.
Risolto il problema con lo stress emofobico che aumentava più velocemente a framerate più elevati.
Risolto il problema con il giocatore che rimaneva bloccato nello stato di pesca se eseguiva altre azioni durante la pesca.
Risolto il problema con la guida attraverso le foreste è accidentata anche quando sono stati posizionati pavimenti in legno.
Risolto il problema con NullPointerException in IsoGridSquare.RenderOpenDoorOnly() quando si verifica un incendio in una casa.
Risolti i problemi con i pulsanti bloccati nella schermata Nuova partita dopo aver eliminato l'ultimo file di salvataggio.
Risolto il problema con l'impossibilità di prelevare l'acqua dalle pozzanghere se Dynamic Skybox = No.
Risolti i lavandini idraulici che prelevavano l'acqua dalle pozzanghere.
Risolto il problema con il framerate di blocco = Non viene salvato il limite.
Risolto il problema con BodyPart.RestoreToFullHealth() che non interrompeva l'emorragia.
Risolti i problemi relativi ai giocatori invisibili e ad altri errori durante la generazione di un giocatore a schermo diviso nella stessa posizione dell'altro giocatore.
Risolto il problema con IsoPlayer.getJoypadAimVector() e IsoPlayer.getJoypadMoveVector() che eseguivano sqrt(x * x + y + y).
Risolto il problema con i passeggeri che vedevano il messaggio "B per freno" quando utilizzavano un controller.
Risolto il problema con DebugChunkStateUI che non aggiornava il display quando si selezionavano nuovi quadrati.
Vieta l'utilizzo del nome di una directory esistente durante la creazione di un nuovo gioco.
Vieta di inserire vari caratteri non validi nel campo del file di salvataggio durante la creazione di un nuovo gioco.
Risolto il problema con la possibilità di fare doppio clic su una posizione di spawn per passare alla schermata successiva quando veniva inserito un nome di file di salvataggio non valido.
Risolto il problema con la mancata generazione di zombi che mangiavano cadaveri all'interno delle stanze.
Risolto il problema con la generazione di zombi che mangiavano cadaveri in una stanza quando la generazione di zombi era disabilitata.
Risolto il problema con la generazione di zombi che mangiavano cadaveri con un muro o una porta tra il cadavere e lo zombi. Sforzati di trovare un posto dove generare un cadavere all'interno di una stanza, invece di scegliere sempre il centro.
Risolto il problema con schizzi di sangue che facevano frusciare cespugli e alberi.
Risolto il problema con l'impossibilità di scendere dal pavimento in tutte le direzioni dopo aver costruito una nuova scala.
Corretti cadaveri/oggetti/zombi nelle stanze che si generavano in aree inaccessibili dietro le scale (solo quando l'area è 1x1 o 2x1 o 1x2).

[VERSIONE] 41.25 e 41.26
[SEZIONE]NUOVO
Sistema mod rinnovato:
[NODOT]<INDENT:40> - Aggiornata la schermata Mod. La descrizione della mod viene visualizzata per la mod selezionata sul lato destro dello schermo, invece che nell'elenco delle mod. Altri dettagli come l'ID, l'ID officina (se presente), la directory di installazione ed eventuali poster sono visualizzati sulla destra.
[NODOT]<INDENT:40> - mod.info può avere più poster= righe per specificare più immagini nella schermata Mod.
[NODOT]<INDENT:40> - mod.info può avere più descrizioni= righe che si aggiungono alla descrizione totale.
[NODOT]<INDENT:40> - La schermata Nuovo gioco ha un pulsante per scegliere quali mod sono abilitate per il nuovo gioco.
[NODOT]<INDENT:40> - Ogni savefile ha il proprio elenco di mod salvate in un file denominato mods.txt. mods.txt ha anche un elenco di cartelle di mappe che viene utilizzato nei casi in cui parti di mappe diverse si sovrappongono.
[NODOT]<INDENT:40> - La schermata Carica partita mostra le cartelle della mappa e i nomi delle mod usati dal file di salvataggio selezionato. Poiché i vecchi file di salvataggio non hanno un file mods.txt, tutte le mod attualmente abilitate vengono utilizzate durante il caricamento di un vecchio file di salvataggio. Dopo aver caricato un vecchio file di salvataggio per la prima volta, le mod per quel file di salvataggio non possono essere modificate, se non modificando o eliminando mods.txt.
Il vecchio file Zomboid/mods/loaded.txt è stato sostituito da Zomboid/mods/default.txt. Questo file contiene il set predefinito di mod abilitate che verranno utilizzate durante la creazione di un nuovo gioco. Le mod predefinite possono essere ignorate durante la creazione di un nuovo gioco nella schermata Nuovo gioco.
default.txt contiene anche l'elenco delle cartelle delle mappe precedentemente salvate in options.ini (la vecchia impostazione "mapOrder" utilizzata per gestire le mappe sovrapposte). Se non ci sono conflitti di sovrapposizione di mappe, questo elenco di cartelle di mappe è vuoto.
Aggiunta la variabile di gioco bBeingSteppedOn IsoZombie per verificare se un giocatore (o uno zombi) si trova su uno zombi prono. Inizialmente lo avrei usato per evitare che gli zombi finti morti si girassero quando il giocatore è in piedi su di loro. Gli zombi proni non si alzeranno in piedi se un altro zombi è in piedi su di loro.
Modifiche alla creazione del personaggio:
[NODOT]<INDENT:40> - Ora è possibile salvare/caricare abbigliamento (abbigliamento, m/f, nome)
[NODOT]<INDENT:40> - Ora è possibile selezionare la trama quando l'oggetto utilizza più texture ma nessun colore (i jeans sono disponibili in 3 colori, ma ogni volta ne è stato scelto uno casuale).
Lavare i panni ritoccati ai lavandini:
[NODOT]<INDENT:40> - I vestiti vengono lavati un capo alla volta.
[NODOT]<INDENT:40> - Gli articoli vengono lavati in ordine dal meno sanguinante al più sanguinante quando si seleziona Lava > Tutto.
[NODOT]<INDENT:40> - I suggerimenti del menu contestuale mostrano la quantità richiesta di acqua e sapone.
[NODOT]<INDENT:40> - Viene utilizzata la corretta quantità di acqua e sapone.
Aggiunta un'opzione di visualizzazione per specificare quale tasto modificatore utilizzato in combinazione con la rotellina del mouse scorre tra i contenitori nell'inventario e le finestre del bottino. L'impostazione predefinita è Maiusc.
Il comando del menu contestuale "Vai a" mostra un cursore per specificare la posizione in cui camminare. Ciò consente al giocatore di fare clic più volte senza dover scegliere nuovamente il comando "Cammina verso", rendendo più facili le lunghe gite attraverso le foreste.
Gli oggetti ora vengono posizionati su una casella adiacente non piena quando si lasciano cadere oggetti a terra. Questo è necessario poiché la finestra del bottino mostra gli oggetti dei quadrati 3x3 circostanti e ogni quadrato può contenere solo 50 pesi.
Aggiunta un'opzione (sotto Accessibilità) per far cadere gli oggetti vicino al centro del quadrato in cui si trova il giocatore, piuttosto che esattamente dove si trova il giocatore, per i fanatici dell'ordine.
Gli articoli ora sono trasferiti dal più leggero al più pesante, per massimizzare il numero di articoli che verranno trasferiti.
L'animazione ora viene riprodotta durante il trasferimento di oggetti tra l'inventario principale e le borse equipaggiate.
La distanza e l'intensità dei fari del veicolo si basano sulle condizioni della parte invece di essere impostate casualmente quando viene creato il veicolo. Anche la larghezza del faro si basa sulle condizioni della parte. I comandi del menu contestuale Focus Up e Focus Down che modificavano la larghezza del faro sono stati rimossi.

Traduzioni della community aggiornate.
Aggiunto un pannello fastidioso che compare la prima volta che l'utente tenta di accedere alla schermata Mod.
Aggiunta la parola "ERRORE" alla piccola scatola rossa del destino.
Gli zombi ora possono avere bende casuali (sanguinose!) su di loro, grazie Capitan Australia su reddit per l'idea!
Sovrapposizioni aggiornate


[SEZIONE]EQUILIBRIO

Limitare le forze applicate ai veicoli durante la guida sopra i cadaveri per impedire il decollo.
Aggiunto kit da cucito (icona in sospeso) al tavolo del bottino della cucina, questo contiene aghi/filo e poche strisce per riparare i vestiti.
Aggiunta la trappola per topi nelle distribuzioni casuali della cucina.
Vietare la costruzione di recinzioni di filo spinato senza un palo di collegamento o un segmento di filo spinato.
La tavolozza dei colori alla creazione del personaggio ora non favorisce pesantemente le sfumature di rosa e verde rispetto ad altre.
Il coltello di pietra focaia ora ha la ricetta di fabbricazione
Ora è possibile recuperare e riparare un'arma usata nella creazione della Lancia
Il calpestio con coscia/stinco/piede fratturati ora influisce sulla precisione del calpestio
Quando calpesta più zombi, il giocatore ora sceglie quello la cui testa è più vicina. In precedenza, la distanza dallo zombi non veniva considerata, a parte l'essere nel raggio di calpestio.
Consenti al giocatore di rilasciare oggetti mentre si muove, per evitare morti ingiuste
Peso delle viti modificato in modo che corrisponda ai chiodi.
Modificato IsoGameCharacter.maxWeight da Integer a int.
Ridotto il danno ai fari causato dal colpire gli zombi.
Aggiunta più previsione di attacco per il rilevamento di zombi in piedi/a terra.
Spostati i vantaggi di Sartoria dalla sottocategoria Sopravvissuto alla sottocategoria Creazione.
Coltello Flint cambiato in Coltello di pietra (usando una pietra affilata).
Aumentato il tasso di spawn dell'orologio digitale.
Ridotta possibilità di rimozione di alcuni caschi.
Ora puoi attaccare la mannaia alla cintura.
Quando un'auto si genera nelle storie zed (polizia, pompiere...) la chiave dell'auto può essere trovata su uno degli zombi generati con essa.
Condizioni generali ridotte della deposizione delle uova di auto nelle storie delle case.
Ribattezzato Key in House keys.
La chiave della casa ora può essere generata nel bancone della cucina.
I pompieri nelle storie di case bruciate ora generano un veicolo dei vigili del fuoco.
Aggiunta bevanda da pot anim.
Ora puoi usare il Coltello di pietra in varie ricette (taglio di animali, pesce, creazione di un palo...)

Alcune modifiche all'interfaccia utente di Foraging:
Il foraggiamento ora non chiude l'interfaccia utente.
Aggiunta la barra di avanzamento sull'interfaccia utente durante il foraggiamento.
Gli elementi raccolti verranno visualizzati sulla destra.
Ora puoi filtrare su "esche per pesci".
Gli animali filtrano ancora anche tutte le esche per pesci.
I vermi ora possono essere trovati al livello 0.

 
[SEZIONE][SOLUZIONI DI TAGLIO]

Cutaways - [Bug] Impossibile vedere il personaggio attraverso alcuni oggetti
Spaccati - Non è possibile vedere l'interno di una casa attraverso una finestra in alto a destra
Spaccati - I muri tagliati si sollevano quando si tenta di aprire una finestra, anche se non riesce.
Spaccature - Nascondi le grondaie sui tetti quando l'intero edificio è nascosto/trasparente
Spaccature - I muri realizzati dal giocatore non mostrano muri, telai di finestre, telai di porte a nord e ad ovest quando vengono costruiti su Z>0.
Spaccature - Il sistema di taglio del muro non nasconde abbastanza pareti create dai giocatori
Spaccature - Problema di taglio del muro quando vicino alla finestra
 

[SEZIONE]SOLUZIONI

Risolti i vantaggi offerti dall'annullamento degli attacchi (IMPORTANTE: se preferisci giocare con la capacità di camminare mentre attacchi gli zed (aquiloni), questo è possibile disabilitando l'interruzione del movimento in mischia nelle opzioni Sandbox)

Risolto il problema con il blocco dell'animazione del giocatore quando la pistola si rompeva dopo averla sparata.
Risolti cadaveri di blob nelle zone McCoys e Prison.
Risolto il problema con l'animazione di uno zombi riutilizzato che si fondeva con quella precedente che stava giocando prima che lo zombi fosse rimosso dal mondo.
Risolto il problema con l'HurtSound sbagliato che veniva riprodotto per gli zombi dopo lo scambio maschio/femmina.
Risolto il problema con la retromarcia sui cadaveri che non riproduceva alcun suono.
Risolto un mucchio di bug in Fixing Generator (i vantaggi non stavano prendendo il calcolo, ora danno anche exp. elettrica)
Risolto il problema con lo snap nelle azioni agricole dovute all'attesa della fine della svolta prima di riprodurre l'animazione
Risolto il problema con il giocatore che subiva danni da carichi pesanti quando riposava, era seduto o dormiva.
Risolto il problema con i veicoli che subivano danni da caduta ogni volta che venivano caricati. Non succedeva ogni volta, forse solo quando due veicoli si toccavano.
Risolti problemi con le finestre di mira e con gli zombi sparati attraverso le finestre.
Risolto il problema con il caricamento dei modelli con la I maiuscola nel nome del file utilizzando la lingua turca.
Aggiunti allegati "mondo" a più modelli di armi in modo che siano centrati e giacciono piatti nel mondo.
Risolto il problema con gli zombi a più di 10 caselle che avevano una possibilità negativa di individuare il giocatore.
Risolto il problema con l'impossibilità di costruire recinzioni di filo spinato in una direzione.
Risolto il problema con gli zombi che colpivano i pali della recinzione.
Risolto il problema con gli zombi finti morti che a volte apparivano nudi fino a quando il giocatore non si avvicinava.
Risolto il problema con l'assenza di attesa per il completamento della svolta prima di avviare ISBuryCorpse.
Risolto il problema con gli articoli dell'inventario che mostravano l'evidenziazione verde dell'azione a tempo al termine delle azioni.
Risolto il problema con il giocatore che continuava a muoversi mentre dormiva a volte.
Risolto l'errore lua dopo aver fatto clic su Continua dopo che l'ultimo file di salvataggio riprodotto è stato eliminato.
Risolto il problema con la torcia che non veniva consumata dalle borse o a terra durante la creazione della lampada sul pilastro.
Risolto il problema con lo stato della batteria che non veniva preservato durante l'installazione di una radio in un veicolo. Modificato ConditionMax da 10 a 100 per gli elementi radio che possono essere installati nei veicoli.
Risolto il problema con l'impossibilità di rimuovere una toppa di abbigliamento senza avere il materiale della toppa nell'inventario.
Risolto il problema con la descrizione dell'abbigliamento che utilizzava il giocatore sbagliato nello schermo diviso.
Risolti gli ID mod per le mod eliminate che non venivano rimosse da mods/default.txt, con conseguente aggiunta a mods.txt per i nuovi giochi.
Risolto il problema del filtro delle texture che a volte interessava le barre di scorrimento e la console di debug
Risolto il problema con la possibilità di bere da una lavatrice
Risolto il problema con l'impossibilità di mettere un cadavere in una tomba senza una pala
Risolto il problema con il gelato fresco e congelato con valori negativi di noia/felicità per qualche ragione inesplicabile
Risolto il problema con i cappelli tenuti nell'inventario dei carboni (non indossati) che diventavano bagnati/inzuppati
Risolte le traduzioni per le nuove modalità di gioco che non venivano utilizzate nell'interfaccia utente di Carica gioco e nel testo post-morte.
Risolto il problema con i giocatori zombificati che non si alzavano in piedi a causa di altri zombi in piedi su di loro.
Risolto il problema con le traduzioni della modalità di gioco che non venivano utilizzate in alcuni punti.
Vieta scavare fosse sopra il livello del suolo. Le persone potrebbero mettere terra su un tetto e poi scavare una fossa nel tetto.
Risolto il problema con il trascinamento degli oggetti da una borsa sul pavimento che non li disimballava prima, come accadeva quando si faceva clic sul pulsante Rilascia.
Risolto il problema con le recinzioni militari che potevano essere scalate quando erano rivolte a sud o a est.
Risolto il problema con l'aggiunta di nuovi elementi di fasciatura ogni volta che il gioco veniva caricato, con il risultato che i modelli di fasciatura non venivano rimossi.
Risolto il problema con una qualità del motore superiore che riduceva la possibilità di avviare un veicolo.
Risolto il problema con il freddo che aumentava la possibilità di fissare un veicolo.
Risolto il problema con la qualità del motore del veicolo a volte inferiore a zero o superiore a 100.
Risolto il problema con il rendering di interruttori della luce, scaffali e altri oggetti che si trovano sul lato sud o est di una piazza. Questo risolve anche il rendering delle porte che si aprono in modo opposto rispetto alla maggior parte delle altre porte (doppie porte in Westpoint Gigamart e chiesa per esempio).
Risolto il problema con il posizionamento dei fogli sulle porte che si aprono in modo opposto rispetto alla maggior parte delle altre porte
Risolto il problema con il contorno spaccato per i telai delle finestre che non hanno finestre (come i telai delle finestre di falegnameria).
Risolto il problema con l'impossibilità di costruire porte su un quadrato in cui si trovano un giocatore o uno zombi.
Risolto il problema con la lavorazione dei metalli che non utilizzava oggetti a terra.
Risolto il problema con la struttura in metallo che non equipaggiava una fiamma ossidrica non vuota se è equipaggiata una fiamma ossidrica vuota.
Risolto il problema con i sacchetti non vuoti consentiti ma non utilizzati durante la falegnameria (ad esempio, la creazione di un barile per la pioggia).
Risolto il problema con gli oggetti Torcia e Corda a terra che non erano consentiti durante la creazione di Lamp-On-Pillar.
Risolto il problema con i suggerimenti che bloccavano il movimento del mouse sui menu contestuali.
Risolte le proprietà di alcuni interruttori della luce (allegatoE, collegatoS).
Risolte le proprietà di alcuni sprite di sovrapposizione in tiledefinitions_overlays.tiles.
Risolto il problema con l'abbigliamento sugli zombi e sul terreno che non si bagnava sotto la pioggia.
Risolto il problema con la lettura non necessaria del contenuto della directory durante la ricerca di file mod.info. Ciò ha rallentato l'attivazione delle mod per la prima volta.
Risolto il problema con l'animazione degli effetti dell'acqua durante la pausa del gioco.
Risolto l'errore lua durante la creazione di un giocatore a schermo diviso.
Risolto il problema con il giocatore in grado di camminare attraverso i contenitori del compost rendendoli soliditrans
Risolto il problema con il pathfinding dei personaggi attraverso Lamp-on-pillar rendendoli solidtrans
Risolto il problema con le pareti di tronchi che non erano trasparenti come le alte recinzioni. (non trasparenza LOS)
Risolto il problema con l'immagine del file di salvataggio che non si aggiornava dopo la riproduzione e l'uscita dal menu principale.
Risolto il problema con DebugOptionsWindow a volte più alta dello schermo.
Risolto il problema con la possibilità di correre di soppiatto/correre di soppiatto in caso di lesioni ai piedi.
Risolto il problema con le puntate che non davano exp di falegnameria.
Risolto il problema con la possibilità di rimuovere la batteria mentre il motore dell'auto era acceso.
Bevanda fissa dalla ciotola. (la bevanda da pot anim sta arrivando!)
Risolto il problema con il bere da popcan con problemi di tempistica.
Risolto il problema con i modelli di bende duplicati e i modelli con danni al corpo applicati a volte agli zombi.
Risolto il problema con uno zombi che scattava in posizione verticale dopo averlo colpito dopo che si era arrampicato su un bancone. Uno zombi scatterà comunque in posizione verticale se viene colpito mentre è ancora sul bancone.
Risolto il problema con replaceOnUse/replaceOnDelete che non impostava il preferito se l'elemento precedente era preferito.
Risolto il problema con la distruzione di cose che non avevano un modificatore di calorie.
Risolto il problema con il garage lungo il fiume senza la loro tabella del bottino.

[VERSIONE] 41.27

Annullata (per ora) la correzione dell'annullamento dell'attacco mentre elaboriamo una soluzione più elegante per la patch della prossima settimana.
Aggiunta l'opzione mancante di interruzione del movimento in mischia alle opzioni sandbox.

[SEZIONE][Modifiche all'interfaccia utente di ricerca:]

Risolti alcuni errori di battitura.
L'azione del foraggio ora continuerà fino a quando non la fermerai o la zona sarà vuota.
Mostra l'abbondanza di bottino della zona corrente
È possibile aprire solo un'istanza dell'interfaccia utente.
Ridotta quantità di pietre trovate.
Ora puoi selezionare una delle tue borse equipaggiate in cui depositare direttamente gli oggetti foraggiati. Se la borsa è piena, andrà nell'inventario principale o a terra.

Risolto il problema con gli oggetti nelle borse che non venivano utilizzati durante la falegnameria.
L'impostazione predefinita "Lascia oggetti vicino al centro del quadrato" è stata modificata in false, quindi gli oggetti vengono lasciati cadere sotto i piedi del giocatore come prima.
Risolto il problema con la mancata possibilità di fare clic sui contenitori di falegnameria per visualizzare il loro contenuto nella finestra del bottino, se il contenitore era più trasparente perché si trovava di fronte al giocatore.

[VERSIONE] 41.28

[SEZIONE]NUOVO
Ottimizzazione sperimentale. Ciò consente agli zombi di essere aggiornati ogni X frame tramite un moltiplicatore del tempo di gioco per oggetto che dipende dalla vicinanza/visibilità del giocatore. Diffonde i tick di aggiornamento degli zombi sui frame, il che significa FPS più elevati con grandi folle.\
In accompagnamento a quanto sopra, sono state aggiunte le opzioni di "aggiornamento degli zombi a livelli" (abilitate per impostazione predefinita) che aggiorneranno gli zombi a distanza / fuori vista con una frequenza inferiore, quindi le orde saranno migliori fps.
Alcune correzioni per risolvere l'annullamento degli attacchi. Facci sapere come si gioca.
Aggiunto canale radio di trasmissione di emergenza automatizzato
Ha reso la pioggia un po' più morbida e all'interno dimezza l'alfa
Aggiunta opzione per disabilitare completamente la pioggia all'interno
Aggiunta l'opzione del moltiplicatore per il testo rimanente sui canali radio visibili
Aggiunto computerizzare scrambler alla radio zomboid
Traduzioni della community aggiornate.

Miglioramenti all'interfaccia utente di foraggiamento:
Ora mostra un elenco di elementi trovati, con le loro trame.
L'interfaccia utente è più trasparente.
Il pulsante Annulla ora annulla solo l'azione corrente.
Aggiunto un pulsante di chiusura per chiudere l'interfaccia utente.

Miglioramenti all'interfaccia utente di pesca
Ora usa lo stesso modello di interfaccia utente di Foraging
È possibile selezionare canne/esche
Può selezionare sacchi in cui mettere il pesce pescato (come con il foraggiamento).
 
[SEZIONE]EQUILIBRIO
Bonus furtivo aumentato quando si è dietro determinate recinzioni
 
[SEZIONE]SOLUZIONI
Risolto l'errore lua che premeva il pulsante Crea tutto quando gli oggetti erano nelle borse.
Risolto un errore di arrotondamento che impediva di spostare in multipli gli articoli con un peso di 0,1.
Risolto il problema con RuntimeException quando Campfire entrava all'interno di un edificio
Risolto il problema con RuntimeException durante la ricezione della TV
Risolto il problema con InvocationTargetException quando si raccoglieva un barbecue che stava bruciando (il barbecue ora non può più essere raccolto durante la combustione, troppo caldo)
Risolto il problema con NullPointerException + crash del gioco dopo aver guidato da WestPoint a Muldraugh (RVSContructionSite)
Risolto il problema per cui l'evento Fastforward through Helicopter andava avanti per un paio di giorni
Risolto il problema con il blocco della canna da pesca durante la pesca.
Risolto il problema con il colore notturno che non veniva applicato
Porte aperte fisse che tagliano la maschera meteorologica quando non visibile
Risolta l'incoerenza con la posizione in cui gli oggetti venivano rilasciati a seconda che l'oggetto fosse trascinato dalla finestra dell'inventario, rilasciato tramite il menu contestuale o il pulsante Rilascio o rilasciato automaticamente (per i cadaveri equipaggiati).
Risolto il problema con la finestra del bottino che non si aggiornava quando a volte i cadaveri venivano lasciati.
Risolto il problema con le finestre dell'inventario e del bottino posizionate nella parte inferiore dello schermo che si trovavano in una posizione diversa dopo il ricaricamento, se erano state ridimensionate a un'altezza inferiore all'altezza predefinita.
Risolto il problema con la possibilità di strappare gli indumenti che richiedono le forbici se vengono selezionati altri indumenti che non richiedono le forbici.
Risolto il problema con i tetti che non mantenevano il giocatore asciutto se non ci sono abbastanza muri per fare una stanza.
Risolto il problema con la creazione di immondizia relativa alla ricerca di articoli di abbigliamento.
Risolto il problema con i pulsanti Annulla ricerca e pesca che non facevano nulla al termine della prima azione.
Risolto il problema con il layout di scavenge e pesca con caratteri di dimensioni diverse.

[VERSIONE] 41.29

[SEZIONE]NUOVO

ZOOM beta si è fusa in: grafica più nitida e prestazioni migliorate per sistemi a basse specifiche
Aggiunto un cursore per aiutare a selezionare quale albero abbattere.
Aggiunta un'interfaccia utente per il gestore dell'orda nel debug
Aggiunte opzioni sandbox "Possibilità evento Storia veicoli"
 

[SEZIONE]EQUILIBRIO

Rimosso il danno causato dalla guida su piccoli alberi e cespugli.
Ridotto il rallentamento dovuto alla guida su piccoli alberi e cespugli. (Potrebbero essere uno o due tipi che abbiamo perso)
I piccoli alberelli non ti fanno più cadere durante lo sprint.
Traduzioni della community aggiornate.
Resa meno luminosa l'illuminazione sui modelli di armi e cappelli caduti.
 

[SEZIONE]SOLUZIONI

Risolte alcune stranezze sui vecchi Mac con i nuovi modelli (equipaggio Apple! Per favore, segnalalo! Ti abbiamo indietro?)
Risolto il problema con gli spaccati sugli angoli delle pareti a nord-ovest.
Risolti problemi con il sistema cutaway che a volte falliva completamente.
Risolto l'errore lua che prendeva una chiave da uno zombi ucciso.
Risolto il problema con gli zombi che venivano aggiornati dopo essere stati rimossi dal mondo.
Risolto il problema con l'impossibilità di attaccare gli zombi inclini se c'è uno zombi in piedi nelle vicinanze dietro una porta chiusa.
Risolto il problema con il contorno di mira che a volte non veniva visualizzato.
Risolto il problema con il metodo stop() dell'azione a tempo che veniva chiamato se l'azione veniva interrotta durante waitToStart().
Risolto il problema con il pavimento del patio mancante nel ristorante Riverside.
Risolto il problema con il rilevamento delle collisioni con alberi e cespugli.
Risolti alcuni errori di battitura (Tshirt -> T-Shirt).
Risolto il problema con l'exploit XP di personalizzazione durante la rimozione della patch più volte.
Risolto il problema con l'opzione "Aggiornamenti zombi a livelli" che non veniva salvato.
Risolto il problema con la creazione di immondizia relativa alla ricerca di articoli di abbigliamento
Risolto il problema con i pulsanti Annulla ricerca e pesca che non facevano nulla al termine della prima azione.
Risolto il problema con il layout di scavenge e pesca con caratteri di dimensioni diverse.
Risolto il problema con le tessere dell'angolo nord-ovest che non venivano tagliate.
Risolto il problema con l'immagine dell'indicatore dell'albero di taglio decentrato.
Risolto il problema con ISEquipWeaponAction che non si completava immediatamente se l'arma era già equipaggiata.
Risolto il problema con il thread di rendering che chiamava AnimationPlayer.getRenderedAngle() in alcuni punti. Aggiunto pooling di oggetti AnimationPlayer.
Risolti problemi di controller nell'interfaccia utente di foraggiamento e pesca.
Risolti i problemi di salvataggio del veicolo raddoppiando la dimensione del ByteBuffer utilizzato per salvare i veicoli da 64 KB a 128 KB.
Risolto il problema con le IsoZombieGiblets che non venivano mai rimosse dal quadrato in cui si trovano.
Risolto il problema con le tende chiuse non visibili dall'esterno.
Risolto il problema con la possibilità di fare clic sulle tende per aprirle/chiuderle da troppo lontano o talvolta all'esterno degli edifici.
Risolto il problema con il cursore iso visibile quando si utilizza un controller.
Risolto il problema con il giocatore che rimaneva bloccato nell'animazione della mira se l'arma si rompeva durante l'attacco.

[VERSIONE] 41.30

[SEZIONE]NUOVO

La salsa speciale segreta di Spiffo. CONTENUTO REDATTO.

[SEZIONE] Miglioramenti dello zoom:
Usato gli stessi livelli di zoom con le trame di dimensioni non doppie utilizzate con le trame di dimensioni doppie. Questo è principalmente per consentire un ulteriore zoom con le trame non di dimensioni doppie.
Risolto il problema con le cuciture delle piastrelle degli sprite del pavimento non diamantate.
Padding ottimizzato allo 0,5% con Zoom <= 1 e 0 quando lo zoom indietro.
Pulizia degli sprite shaper.
Aggiunta la proprietà WallOverlay ad alcuni sprite del trailer per correggere le giunture (non completamente riparate).
Aggiunta la proprietà del pavimento a due tegole piatte del tetto del rimorchio per riparare le giunture e l'illuminazione.
Risolto il problema con le bandiere mancanti su un paio di piastrelle del pavimento per correggere le cuciture e l'illuminazione.
Imbottitura Iso sprite rivista per ridurre la sovrapposizione e ridurre al minimo le cuciture.
Modificato il modo in cui viene selezionato il filtro delle texture, per una migliore estetica a tutti i livelli di zoom e artefatti visivi minimi durante il movimento.
Quando viene ingrandito completamente, il filtro utilizzato è Nearest-neighbor per un aspetto nitido e pixelato.
Con uno zoom inferiore al 100%, il filtro utilizzato è Bilineare, per un aspetto più uniforme e senza artefatti visivi
Quando si riduce oltre il 100%, il filtro utilizzato è TriLinear, noto anche come Linear MipMap, per un aspetto più uniforme e meno luccichio dei pixel.
Risolti gli artefatti della cucitura dei bordi delle tessere sulle coste.

[SECTION]Miglioramenti allo spaccato:
I muri realizzati dai giocatori ora mostrano muri, telai di finestre, telai di porte a nord e ad ovest quando vengono costruiti su Z>0.
Il timer ora interrompe lo sfarfallio dei tagli e di altri effetti di visibilità/nascondere
Le pareti est del personaggio sui livelli Z=1 ora funzionano correttamente

[SEZIONE]Animazioni migliorate quando si lavora sui veicoli:
Risolto il problema con lo scatto dell'angolo del personaggio all'apertura del cappuccio.
Riproduci un'animazione prima che venga visualizzata la finestra della meccanica (mentre esamini il veicolo).
Riproduci animazioni quando aggiungi/rimuovi gas. Mostra la bomboletta di gas nella mano del giocatore quando ne usi una.
Riproduci animazioni durante l'installazione/disinstallazione di parti.
Aumentato il tempo per installare/disinstallare le gomme.
Assicurati che il giocatore sia rivolto verso il veicolo prima di rompere un finestrino.

[SEZIONE]Miglioramenti al sistema di temperatura
Cambiate le temperature ambiente per essere più accomodanti fino all'introduzione dei dispositivi di riscaldamento/raffreddamento
Risolto bug per cui il calore corporeo a volte impediva ai vestiti di bagnarsi sotto la pioggia
Ripristinato il consumo di cibo per combattere il freddo, ma l'impatto è diminuito drasticamente
Attenuati altri consumi di fatica e fluidi, i fluidi rimangono comunque un fattore importante in caso di surriscaldamento
Cambiato l'impatto dell'energia sulla termoregolazione per essere meno duro quando l'energia è ancora alta ma peggiora quando l'energia si esaurisce.
Recupero del core celcius modificato più velocemente quando la tendenza si sta muovendo verso il setpoint
L'umidità corporea cambiata ha un impatto leggermente più forte sull'aumento/perdita di calore
Fattore di peso della capacità modificato sull'energia prodotta più forte quando la capacità si avvicina al massimo, trascurabile quando è bassa
Rielaborate e messe a punto alcune parti del termoregolatore
Eliminato l'effetto fame del Termoregolatore a favore o aumento dell'apporto calorico.

[SEZIONE]DB veicolo/giocatore
I giocatori ora vengono salvati separatamente dai veicoli.
I giocatori vengono salvati in un file chiamato players.db. I veicoli sono ancora salvati in veicoli.db.
[NODOT]<BR>
L'aggancio quando si entra in parti inesplorate della mappa (quando vengono creati nuovi veicoli) dovrebbe essere risolto.
Aggiunto un cursore per scegliere i quadrati da cui rimuovere il sangue.
La costruzione multifase ora mostra una tavola nella mano del giocatore durante la costruzione.
Aggiunta versando acqua con annaffiatoio (per l'agricoltura es.).
Prendi carburante dalla pompa di benzina ora usa un'animazione.
Aggiunti pannelli di debug per il sistema radio per monitorare tutti i canali, trasmissioni, script ecc, comprese le loro impostazioni
Gli zombi ora non possono morderti a mezz'aria mentre ti arrampichi su alte recinzioni/muro, ma possono farti cadere.
Aggiunta la trama del kit da cucito.
La bottiglia distrutta ora è un'arma da taglio, non danneggerà più la porta o gli alberi.
Sincronizza meglio il suono e l'azione di racking di un fucile con l'animazione.
Aggiunta una nota nella descrizione comando di una pistola quando è necessario travasare per incamerare un proiettile.
Consenti ai cadaveri di affrontare angoli arbitrari invece di essere limitato a uno degli 8 diversi angoli.
Modificata l'animazione "Lavati te stesso".
Ora è possibile recuperare e riparare un'arma usata nella creazione della Lancia
Aumentata la possibilità di colpire un'arma a distanza quando gli zombi sono molto vicini.
Gli attacchi velocisti ora rallentano il giocatore.
Il pulsante B del controller attiva e disattiva lo sprint.
Tempo aumentato per curare alcune ferite.
Aggiunta la possibilità di rimuovere l'effetto erba e vento che appare sulle crepe della strada
Aggiunto avviso "Deve essere disattivato". quando si tenta di prelevare oggetti mobili che non possono essere ritirati quando sono operativi (BBQ)
Aggiunto DeviceData getEmitter per scopi di modder
 

[SEZIONE]EQUILIBRIO

Aumento della deposizione delle uova di sigarette sugli zombi.
Gli zombi ora possono generare accendini, fiammiferi e orologi digitali.
Aumentato il tasso di spawn di vari oggetti relativi alla lavorazione dei metalli.
Aumento della trappola per topi, tasso di deposizione delle uova di spray da giardinaggio.
Le recinzioni a catena sono smontabili, fornendo oggetti MetalBar e Wire.
 

[SEZIONE]SOLUZIONI

Risolti gli zombi velocisti che attraversavano il giocatore.
Risolti arresti anomali su alcuni sistemi Intel a causa delle inclusioni inutilizzate su floorTile.frag che non funzionavano bene
Risolto il problema con l'asciugabiancheria che funzionava a piombo (proprietà waterPiped rimossa).
Risolto il problema con la condizione di gara che causava un'eccezione all'avvio del gioco.
Risolto il problema con la generazione di pistole senza caricatore nelle ultime sfide in piedi.
Risolto il problema con lot_barn_03 che utilizzava una vecchia tegola in terra battuta (floors_exterior_natural) e aveva la parte piatta del tetto al livello sbagliato.
Risolto il problema con la lenza che si rompeva sempre quando si catturava qualcosa.
Risolto il problema con l'azione di foraggiamento che non si ripeteva automaticamente se non era mai stato trovato nulla in quell'area.
Risolto il problema con l'animazione riprodotta quando si prende terra/ghiaia/sabbia con una cazzuola.
Risolto il problema con il quarto in basso a destra dello schermo che non veniva dipinto di nero con tre giocatori in cooperativa.
Risolto il problema con la lancia rotta che rimaneva nella mano secondaria dopo che si rompeva durante la pesca.
Risolti alcuni messaggi di errore "richiedi xyz non riuscito".
Risolto il problema con l'eccezione di rendering relativa all'acqua.
Risolto il problema con gli zombi che si rompevano e si arrampicavano attraverso le finestre ricoperte di grate di metallo del centro commerciale.
Risolto il problema con l'illuminazione sul pavimento che schizza di nuovo.
Risolto il problema con l'animazione del rastrello (usata durante la pulizia del sangue con una scopa) che interessava solo le ossa della parte superiore del corpo e non il loop.
Risolto il problema con l'animazione del foraggio che interessava solo le ossa della parte superiore del corpo.
Risolto il problema con il tratto AxeMan che non influenzava la velocità dell'animazione durante il combattimento o il taglio degli alberi.
Risolto il problema con i tronchi della sega che non rinviavano le ossa inferiori.
Risolto il problema con l'acquisizione di oggetti (fare clic con il pulsante destro del mouse sull'oggetto -> afferrare) che non utilizzavano alcuna animazione.
Risolto il problema con l'eccezione lua quando gli abiti di uno zombi venivano distrutti dall'attacco di un giocatore.
Risolto il problema con i fari del veicolo che iniziavano troppo davanti al veicolo.
Risolto il problema con il testo sovrapposto nell'interfaccia utente di ispeziona-indumento.
Risolto il problema con i giocatori e gli zombi che si muovevano attraverso porte/muri/finestre/telai di finestre quando si scavalcano gli ostacoli.
Risolto il problema con gli zombi che rimanevano bloccati all'interno di un oggetto adiacente a quello su cui si erano arrampicati (possono scavalcare solo un ostacolo).
Risolto il problema con i giocatori che si arrampicavano attraverso le finestre sopra gli ostacoli e poi sull'acqua.
Risolto il problema con gli ostacoli che erano solidi quando posizionati adiacenti ai telai delle finestre di falegnameria, a differenza dei telai delle finestre non di falegnameria.
Risolto il problema con la piscina dell'hotel Riverside con sabbia attorno ai bordi.
Risolte le zone ParkingStall mancanti nella cella 33,36.
Risolto il problema con alcune TownZone che non erano zone Nav nella cella 33,36.
Risolto (di nuovo) il problema con il giocatore che si bloccava a mirare dopo la rottura dell'arma.
Risolto il problema con i tooltip degli oggetti personalizzati (come il tooltip della fattoria) che venivano renderizzati dozzine di volte ogni fotogramma.
Risolto un problema con la creazione di rifiuti relativi a lambda in StateMachine.
Risolto il problema con l'impossibilità di "pulire" bende/stracci sporchi con acqua contaminata
Risolto il problema con il panino che dava un'estrema noia quando si utilizzava il pane ancora fresco ma diventava stantio in meno di 1 giorno e 12 ore
Risolto il problema con i vestiti che diventavano immediatamente "leggermente sporchi" dopo essere stati appena lavati
Risolto il problema con alcuni muri e auto che ti davano lo 0% di bonus quando ti nascondevi dietro di loro.
Risolto bug ClimbThroughWindowState con zombi.
Risolto il problema con le molotov che scomparivano se l'attacco veniva annullato.
Risolta l'eccezione quando si scavalcava una recinzione con fuoco nelle vicinanze.
Risolto il problema con i giocatori che prendevano fuoco all'interno di un veicolo.
Risolto il problema con l'impossibilità di caricare una pistola con un caricatore se non era già camerato alcun colpo.
Risolto il problema con l'impossibilità di sparare ripetutamente con i fucili dai veicoli.
Risolto il problema con pistola/revolver/fucile da estrazione (aggiunto evento proiettile rack)
Risolti cadaveri casuali sempre rivolti nella stessa direzione.
Risolti alcuni cadaveri basati sulla storia che si ritagliavano con i mobili.
Risolto il problema con i pavimenti trasparenti che bloccavano la visione ad altri livelli.
Risolti problemi di rendering modificando gli edifici del deposito ferroviario di Muldraugh in modo che i livelli superiori fossero considerati stanze (celle 38,32 38,33 e 39,33).
Risolto il problema con l'impossibilità di interagire con porte e finestre dietro il giocatore utilizzando i pulsanti A e B del controller, come si poteva già fare utilizzando il tasto E.
Risolto il problema con il testo di debug sovrapposto nel pannello della salute.
Risolto il problema con le tessere di sporco errate nel campo da calcio Muldraugh nella cella 35,33.
Risolto il problema con le tabelle statiche VehicleType che non venivano ricreate dopo aver ricaricato i file lua.
Risolto il problema con la trasmissione automatica delle frequenze che non potevano essere sintonizzate manualmente
Risolto il problema con la generazione di cadaveri o zombi quando dovevano essere disabilitati (su storie di veicoli o case)
Risolto il problema con il giocatore che finiva all'interno di un oggetto solido dopo essere caduto all'indietro mentre si arrampicava attraverso una finestra con uno zombi dall'altra parte.
Risolto il problema con l'uso hardcoded del nome dell'evento FMOD "Zombie/Dolore maschile" invece di utilizzare un suono definito dallo script.
Risolti i problemi con i manichini rivolti nella direzione sbagliata.
Crea dati mipmap delle texture sui thread di caricamento delle risorse anziché sul thread di rendering.
Tentativo di ridurre il lungo ritardo dopo aver fatto clic su "Fai clic per continuare" la prima volta.


[VERSIONE] 41.31

[SEZIONE]ANIM

Miscelazione in entrata e in uscita regolata per mitragliamento e alcuni stati in mischia (correzione per animazioni che colpiscono dall'aspetto strano come il mattarello)


[SEZIONE]MODIFICA
Aggiunta radio OnDeviceText passa il genitore (IsoObject, Item, VehiclePart) per scopi di modding

[SEZIONE]SOLUZIONI

Aumentato il danno alle recinzioni.
Risolto il problema con gli zombi che ti spingevano quando sei morto.
Risolto il problema con gli zombi che spingevano dopo che li hai colpiti.
Risolto il problema con gli zombi che colpivano i muri.
Risolti i frame in cui lo zombi era considerato non "sul pavimento" durante un attacco di recinzione o affondo di finestre
Risolto il problema con gli zombi che potevano attaccarti a un livello Z diverso durante un affondo da finestre/recinzione.
Risolta la mancanza di zombi negli abiti dei prigionieri nella prigione.
Risolti (di nuovo) i cadaveri dei blob.
Carpenteria fissa che non consuma materiali.
Risolto il problema con le brevi recinzioni di carpenteria in legno che non potevano essere distrutte da veicoli e zombi.
Risolto il problema con le pareti delle celle della prigione che bloccavano la visione.
Risolto il problema con il catchacolddelta di bodydamage del puntatore nullo
Risolto bug del multithreading con il rendering del debug della fisica.
Risolti gli edifici tossici che generavano eccezioni quando gli zombi erano all'interno.
Risolto il problema con i veicoli che scorrevano nell'edificio rendendoli tossici fino a quando non venivano ripuliti

[VERSIONE] 41.32
[SEZIONE]NUOVO
La mappa e la finestra di creazione ora possono essere chiuse usando ESC
La pesca con una lancia ha nuovi effetti sonori
I cambiamenti di stato ora rispettano il consumo parziale di alimenti
Le corde ora possono essere utilizzate come funi di lamiera
Il sistema di mira ora preferisce sparare a bersagli più vicini al livello z del giocatore.
L'icona della serratura nel cruscotto del veicolo è ora disegnata in giallo se alcune porte (ma non tutte) sono bloccate.
Sincronizzate le animazioni del tonfo degli zombi con l'impatto del tonfo su porte e finestre (tranne l'animazione dello sfregamento delle finestre, che non ha alcun impatto).
Posizionato Wire nei suggerimenti del menu Metalwork con gli altri materiali, invece che al di sotto del livello di abilità richiesto.
Le opzioni sandbox con valori non predefiniti sono evidenziate
Aggiunta la mira al pavimento quando miri a uno zombi a terra (funziona solo quando statico per ora, il mitragliamento sarà lo stesso) per ogni arma.
Aggiunti modelli statici walkie talkie.
Aggiunta la possibilità di attaccare il walkie-talkie alla cintura dopo aver visto quanto è fantastico nel mod di Planetalgol. (Guarda la sua roba!)
Bilanciato tutto il raggio/angolo delle armi, alcune armi mancavano di angolo (il che significa che potevi colpire da un angolo di 90°), alcune armi erano troppo grandi.
Una migliore mascheratura delle ossa per gli attacchi in mischia, ora saranno inclusi i fianchi, quindi l'attacco in mischia sembrerà meno strano.
Ora può attaccare con il montante/sopra la testa mentre ti muovi.
Gli zombi ora colpiranno un'auto con la sirena/l'allarme attivato, la sirena verrà infine distrutta dagli zombi che sbattono.
Aggiunte impostazioni predefinite per la rimozione dei cadaveri in SP: dopo 9 giorni un cadavere scomparirà o si trasformerà in scheletro (lo scheletro scomparirà 9 giorni dopo).
Se riesci a colpire uno zombi, non colpirai nessun thumpable, porte, finestre, ecc.


[SEZIONE]Miglioramenti al comportamento di recinzione/finestra Zed:
[NODOT]SI PREGA DI NOTARE CHE QUESTO È MIGLIORATO, MA NON FINALE - potenzialmente ancora alcuni problemi

Gli zombi non sempre eseguiranno il loro attacco di affondo anche se possono.
Il giocatore non cadrà a terra al 100%, ma farà un tiro di dado a seconda delle statistiche per verificare se cade o meno, in caso contrario perderà leggermente l'equilibrio.
Risolto il problema con gli zombi che cercavano di lanciarsi su un giocatore di livello Z diverso.
Aggiunto peso mancante nel calcolo per avere qualche possibilità di cadere durante determinate azioni.
Risolto il problema con la portata eccessiva a volte dell'attacco di affondo del recinto degli zombi.
Risolto il problema con la transizione mancante da spinta a urto.
Risolto il problema con il movimento laterale degli zombi che si lanciavano nella recinzione e nella finestra veniva limitato.

 

[SEZIONE] Pugnalata alle spalle nerfata:
Prima c'era una probabilità di critico del 100% con il coltello quando si pugnala alle spalle, ora si verificherà solo se lo zombi è distratto
La probabilità di critico per altre armi durante la pugnalata alle spalle è ridotta se gli zombi sono in allerta, ma è notevolmente aumentata se in allerta
[NODOT]<BR>
Popolato molti blocchi con zona di foraggio tramite una soluzione di codice:
Le zone forestali vengono aggiunte automaticamente per consentire lo scavenging nelle aree in cui tali zone non sono state posizionate dal mappatore.
[NODOT]<INDENT:40> Queste zone coprono esattamente un blocco.
[NODOT]<INDENT:40> Queste zone sono sempre di tipo Foresta, mai Foresta Profonda.
[NODOT]<INDENT:40> Queste zone non vengono salvate.
[NODOT]<INDENT:40> Un pezzo non deve far parte di una zona Nav o di una zona Città, o di una zona esistente di Foresta o Foresta Profonda.
[NODOT]<INDENT:40> Le zone forestali automatiche richiedono che tutti i blocchi vicini abbiano alberi

 

[SEZIONE]EQUILIBRIO
I vestiti possono essere lavati senza sapone ma ci vuole molto più tempo
Le lacerazioni ora possono essere fasciate con stracci sporchi
Aumento del valore nutritivo del pesce pescato
Più bottino nelle scatole da cucito.
Più attrezzatura per l'inscatolamento in cucina (vasi/coperchi di barattoli)
Altri materiali per dipingere in casse.
Aumentata la frequenza di spawn dei guanti senza dita.
Aggiunto più bottino al tavolo della spazzatura
Più disordine nelle cucine.
Più bottino nei capannoni (roba da meccanica, seghe, ecc.)


[SEZIONE][SOLUZIONI MAPPA]
[NODOT] Corregge:
Bagni con servizi igienici uno di fronte all'altro
Ripiani/contatori raddoppiati
Pareti aggiuntive accidentali
Finestre mancanti
Porte mancanti
Interruttori della luce mancanti
Mobili posizionati in modo errato
 

[SEZIONE]FIX
Risolto il problema con lo spray antimuffa che non veniva versato a terra
Risolto il problema con le recinzioni alte e le pareti di tronchi che non facevano parte del sistema a spalla mancante
Piastrella fissa con un muro da un muro intersecante che non svanisce con le spaccature
Risolto il problema con l'azione a tempo errata sull'abbattimento di un albero con l'ascia
I pavimenti fissi costruiti sull'acqua sono invisibili.
Risolto il problema con il rendering dei pavimenti sopra l'acqua su z > 0.* per tim
Risolti errori di caricamento dei file lua dalle mod.
Risolti i problemi con i sedili saltabili posizionati vicino ai muri: pareti trasparenti e pareti saltabili
Risolto il problema con gli zombi che si lanciavano nella recinzione che colpivano i giocatori nei veicoli
Risolto il problema con "Choke Tube Full" che rendeva il fucile inutilizzabile (impostava MinAngle su 1.0).
Risolto il problema con lo sprite del sacco di sabbia e del sacco di ghiaia che cambiava in un muro bruciato quando veniva bruciato
Risolto il problema con il rendering di Character.Debug.Render.AimCone (gli angoli erano sbagliati)
Risolto il problema con le cartelle di salvataggio e le modalità di gioco che non corrispondevano alle etichette dell'interfaccia utente in inglese.
Risolto il problema con l'ordine della torcia ossidrica e delle bacchette di saldatura nelle descrizioni dei comandi di lavorazione dei metalli che cambiavano in base alla disponibilità.
Risolto il problema con la visione attraverso le finestre aggiungendo il flag transparentN/transparentW a tutti gli sprite delle finestre
Risolto il problema con il giocatore che tagliava le recinzioni alte mentre scavalcava.
Risolto il problema con il giocatore che non superava una recinzione alta quando iniziava la salita da troppo lontano.
Risolto il problema con gli zombi finti morti che non contavano come "a terra" quando li attraversavano con un veicolo.
Risolto il problema con il giocatore che urlava quando suonava il clacson quando il tasto Shout è lo stesso del tasto del clacson del veicolo.
Risolto il problema con i suoni di VehicleCrash1 e VehicleCrash2 non definiti in sound_vehicle.txt.
Risolti alcuni tasti che non funzionavano dopo aver visualizzato una mappa annotata.
Risolto il problema con la traduzione Stash_MarchRidgeMap6_Text3 mancante.
Risolto il problema con il pulsante UNISCITI che non era disattivato nel menu principale (modificato da Zac).
Risolto il problema con l'impossibilità di attaccare gli zombi attraverso porte di falegnameria trasparenti (ad esempio, cancelli a catena).
Risolto il problema con gli zombi che a volte affrontavano angoli strani quando sbattevano porte e finestre.
Risolto il problema con il calcolo dell'angolo errato quando si mirava agli zombi a terra.
Risolto il problema con i caricatori di abilità che non venivano rimossi dall'inventario quando venivano usati come carburante per barbecue e caminetti.
Risolto il problema con lo stomp rapido quando si spingeva lo zombi a terra + spinta dopo aver ucciso uno zed con lo stomp.
La porta delle recinzioni fisse è più resistente delle recinzioni.
Risolto il problema con gli zombi che strisciavano attraverso muri e recinzioni quando si lanciavano verso il giocatore, dopo essersi arrampicati attraverso una finestra o oltre una recinzione.N
Risolto il problema con gli zombi che rimanevano bloccati nel periodo di grazia di AttackState dopo la morte del giocatore (in piedi con le braccia tese).
Risolto il problema con il menu contestuale che a volte veniva posizionato troppo lontano dalla hotbar.
Risolto il problema con il renderer della popolazione di zombi che non mostrava gli edifici nella colonna di destra e nella riga inferiore di celle.
Risolto il problema con il giocatore che riceveva doppi attacchi a volte a causa del cambio di bAimAtFloor durante la riproduzione di un'animazione di attacco.
Risolto, si spera, il bug Wash'Bloooo'.
Risolto il problema con le opzioni sandbox "movimento blocco attacco" non funzionanti.
Risolto il problema con alcune armi (revolver, fucile dbl a canna liscia...) che si bloccavano quando non avrebbero dovuto.
Risolto il problema con il caricamento di media/textures/patches/patchesmask.png sul thread sbagliato.
Risolto il problema con la mancata possibilità di far cadere singole parti di mobili in più parti (come i letti).
Risolto il problema con la "balbuzie" degli zombi quando entravi in ​​una stanza mentre ti inseguivano.
Risolto il problema con il sacco che non era vuoto (con oggetti all'interno) utilizzato per prendere terra/sabbia/ghiaia.
Risolto il problema con la maglietta rossa del veterano con il colore viola.
Risolto uno degli outfit generici di zed (quello con la giacca lunga di pelle) con pantaloni sempre bianchi.

[VERSIONE] 41.33 e 41.34

[SEZIONE]NUOVO
Aggiunto un decadimento completo per i cadaveri di zombi: passano da un livello all'altro fino a scomparire completamente (possono diventare scheletri prima di scomparire)
Anim in mischia modificati. Aggiunto un nuovo rallentamento quando si oscilla (solo quando si va indietro) per 2 mani, 1 mano e coltello
Aggiunte ferite visibili sul personaggio (non ancora fatte le parti inferiori del corpo).
Ora è possibile rimuovere il sangue visibile dal menu di debug del pannello della salute.
Aggiunte nuove storie sui veicoli
Aggiunto timer carburante ai fuochi da campo e altri articoli di carburante
Aggiunta la possibilità di legare la bandana in stile RAMBO (a breve verrà aggiunta anche con un lenzuolo strappato).
Aggiunta la possibilità di usare la bandana come maschera
Rimossa la pressione prolungata di E per rimuovere le chiavi dall'accensione dell'auto.
Aggiunta la possibilità di tenere l'ombrello
Aggiunta la possibilità di tenere in mano una torcia/torcia elettrica
Sega da giardino aggiunta.
Aggiunta un'interfaccia utente del generatore di bottino nel menu contestuale di debug per monitorare meglio le spawn del bottino
Aggiunto il cruise control, premi Shift + W per avviarlo/aumentarlo, Shift = S per diminuirlo di velocità, la rottura interromperà il cruise control (Shift + W per riportarlo alla velocità impostata), l'accelerazione non lo interromperà, dopo di te rilasciare la velocità dell'acceleratore verrà ripristinata per impostare la velocità di crociera.
Il pulsante X del controller attiva/disattiva il controllo automatico della velocità del veicolo.
Tenendo premuto il pulsante X del controller e premendo il D-pad su/giù si cambia la velocità del cruise control.
Aggiunta l'opzione di visualizzazione "Dimensione carattere".
I caratteri vengono caricati dalle sottodirectory specifiche della lingua 1x/ 2x/ 3x/ e 4x/media/fonts/XX/, se presenti.

[SECTION]Miglioramenti stealth:
Portata aumentata per la pugnalata a mascella di alcuni coltelli.
Il giocatore alzerà la mano sinistra se abbastanza vicino da pugnalare la mascella.
Aggiunto jawstab da dietro (giocatore e zombi).

[SEZIONE]Tinte per capelli:
Aggiunta la tintura per capelli (il colore normale si trova in bagno, altri in un parrucchiere).
Puoi tingere i capelli e la barba separatamente, basta fare clic con il pulsante destro del mouse sulla bottiglia di tintura per capelli.

[SEZIONE]EQUILIBRIO
Bottino spazzatura e disordine ottimizzato (aumentati, aggiunti nuovi bottini lì)
Aumento del tempo attivo degli antidolorifici.
Peso della torcia ridotto da 2 a 1.
Aggiunta l'opzione per lavare i vestiti con un secchio/pentola pieno e sapone nell'inventario
I caricatori di armi ora sono influenzati dall'opzione di modifica del bottino sandbox delle armi a distanza.
Potenziata la torcia attuale, la torcia manuale è una versione più leggera della torcia attuale.
La batteria ora pesa 0,1 invece di 0,6.
Aumento del tasso di spawn della torcia/batteria.

[SEZIONE]FIX
Risolto il problema con le decalcomanie mancanti
Risolto il problema con gli zombi attivi giorno/notte che a volte scattavano quando dovevano essere inattivi.
Risolto il problema con la generazione di zombi in grandi strutture come il centro commerciale
Risolto il problema con il conteggio delle mani nude come arma preferita in lingue diverse dall'inglese.
Risolto bug di rendering del manichino (relativo alla maschera meteo fx).
Risolto il problema con gli edifici di spawn che venivano randomizzati.
Risolta l'eccezione quando il tipo di elemento specificato da ReplaceOnRotten non esiste.
Risolto il problema con il mancato rilascio della memoria del database del veicolo in rari casi all'uscita da un gioco.
Risolto il problema con la possibilità di girare durante la caduta dell'anim.
Risolto il problema con la rotazione automatica degli zombi verso il giocatore quando veniva ucciso da vicino.
Risolto (AGAIN, AGAIIINNN) dover lavare "Blooo".
Risolto il problema con la pesca con la trappola della rete da pesca che non dava esperienza nell'abilità di pesca.
Risolto il problema con l'uscita dal gioco Winter is Coming azzerando il timer invernale
Pavimento fisso in metallo che richiede 0/0 usi di bacchette di saldatura e torce
Risolto il problema con gli abiti da lavoro che si generavano sui manichini
Risolto il problema con il rottame metallico che non veniva utilizzato durante la costruzione di recinzioni
Risolto il problema con il mascheramento dei capelli del personaggio femminile.
Risolto il problema con l'opzione sandbox multi hit attivata per le sfide.
Risolti i problemi con i modelli con la maiuscola che non caricavano quando si utilizzava la locale turca.
Risolto il problema con il giocatore che non finiva di girarsi prima di arrampicarsi attraverso una finestra dietro di lui/lei.
Risolto il problema con BreakSound mancante su alcune armi.

[VERSIONE] 41.35
[SEZIONE]NUOVO
Portaborse sperimentale. Feedback per favore!
[NODOT]<BR>
[NODOT]Trucco aggiunto:
- Il trucco disponibile dipenderà dal tipo che hai selezionato.
- Devi anche trovarti di fronte a uno specchio o avere un oggetto specchio nel tuo inventario.
- Clown, Skull, Brave heart, rossetto multiplo e ombretti colorati...
[NODOT]<BR>
[NODOT]Cambiamenti di illuminazione sperimentali
[NODOT]Risposta per favore!
Il cono visivo è più scuro del 25%.
L'illuminazione del lampione è molto più luminosa per contrastare questo.
Aumento dell'illuminazione del personaggio per contrastare il bilanciamento del cono visivo più scuro.
[NODOT]<BR>
Modificato il modo in cui vengono inflitti danni all'auto quando si colpisce uno zombi:
[NODOT]<INDENT:40> Prima che quasi nessun danno fosse fatto a bassa velocità + nessun danno quando si andava in retromarcia.
[NODOT]<INDENT:40> Ora lo fa, anche se il danno è piuttosto basso a bassa velocità, colpire rapidamente gli zombi in catena comincerà ad aumentare il danno inflitto.
[NODOT]<INDENT:40> Se il cofano viene distrutto, il motore verrà danneggiato.
[NODOT]<INDENT:40> Ora le gomme possono essere colpite colpendo anche uno zombi.
[NODOT]<INDENT:40> Aumentato il danno inflitto ai fari quando si colpiscono gli zombi (quelle cose erano invincibili!). Feedback per favore!

[NODOT]Aggiunto sporco/sporcizia.
[NODOT]<INDENT:40>La maschera è pensata per il personaggio, ma la sto usando anche per i vestiti, facendo vestiti/gonne che non hanno molto sporco, chiederò a Mash di aggiornare la maschera.
[NODOT]<INDENT:40>Gli shader potrebbero usare qualche lavoro in più, specialmente sui vestiti.
[NODOT]<INDENT:40>Funziona un po' come il sangue.
[NODOT]<INDENT:40>Lo sporco casuale verrà aggiunto su zed al momento della creazione (più tardi nell'apocalisse).
Per carattere:
[NODOT]<INDENT:40> Correre o sudare aggiunge sporco al tuo personaggio, arrivando lentamente ai tuoi vestiti più sei sporco.
[NODOT]<INDENT:40> Ho anche bisogno di aggiungere alcune azioni aggiungendo più sporco (spalare, giardinaggio..)
[NODOT]<INDENT:40> Essere sugli alberi aggiungerà sporco direttamente ai tuoi vestiti.
[NODOT]<INDENT:40> La caduta aggiunge anche sporcizia.

[NODOT]<BR>
Gli articoli di abbigliamento ora possono avere più di 1 opzione extra.
Tutte le bandane ora possono essere legate nel modo normale, in stile rambo o indossate.
Aggiunta bandana con tinta casuale.
Aggiunte nuove bandane all'abito da zombi.
Aggiunta la nuova storia del veicolo: banditi su strada, un paio di auto schiantate, pochi cadaveri e alcuni zombi (con banditi con un'alta probabilità di avere armi da fuoco attaccate!). Appare solo dopo un mese di sopravvivenza.
Le storie di auto bloccate dalla polizia hanno la possibilità di accendere le luci della sirena.

Aggiunta la proprietà della tessera "IsMirror" e aggiunta per ogni tipo di specchio nel gioco (per il trucco).
Texture dei capelli aggiornate.
Texture delle borse aggiornate.
Le bottiglie rotte nerfate condizionano una probabilità inferiore.
Sincronizza meglio gli effetti sonori della finestra aperta con le animazioni e cerca di prevenire la duplicazione degli effetti sonori.
Il giocatore ora attacca ripetutamente mentre i trigger del controller sono premuti, invece di una volta quando vengono rilasciati.
Ora puoi fare clic con il pulsante destro del mouse sulle icone degli oggetti equipaggiati a sinistra (primario o secondario) per visualizzare il menu contestuale.


[SEZIONE]EQUILIBRIO
Latta di vernice aumentata utilizza da 4 a 10 per latta.
Aumento della salute delle pareti metalliche costruite.
Le pistole che si generano sugli zombi ora hanno più possibilità di avere proiettili/clip
Aumento del tasso di spawn delle riviste.
Smetti di ottenere forza xp dallo spingere gli alberi (questo non è minecraft yo)

[SEZIONE]SOLUZIONI
Risolto il problema con i pannelli delle schede che non mostravano i pulsanti di scorrimento sinistro/destro in alcuni casi (ad esempio, nell'interfaccia utente di creazione con caratteri di dimensioni maggiori o molte schede).
Risolto il problema con la rotellina del mouse che non scorreva le schede nell'interfaccia utente delle opzioni.
Risolto il problema con il pannello della salute che non era sempre abbastanza ampio da visualizzare tutto il testo al suo interno.
Risolto il problema con l'interfaccia utente di debug della temperatura che non si ridimensionava verticalmente con caratteri di dimensioni diverse (è necessario eseguire il ridimensionamento orizzontale).
Risolto il problema con model.offset, model.rotate e model.scale che non venivano applicati ai modelli delle ruote dei veicoli.
Risolto il problema con Sandbox che non era impostato su Apocalypse invece di Survivor.
Risolto il problema con l'esistenza dell'opzione di visualizzazione "Post Processing" (gli shader non sono più opzionali)
Risolte le ricette mancanti per la nuova torcia (aka Hand Torch).
Risolto il problema con le abilità non passive che guadagnavano un solo livello quando era possibile ottenerne più di uno (a causa di un elevato moltiplicatore di XP sandbox).
Risolto il problema con l'impossibilità di attaccare a volte tenendo la torcia/l'ombrello.
Risolto il problema con il personaggio che non si alzava in mano quando era pronto per una pugnalata alla mascella.
Risolto il problema con le doppie porte in metallo usando la stessa ricetta della doppia porta in legno
Risolto il problema con il tetto di metallo di fabbricazione che non consumava rottami metallici
Risolto il problema con "Spegni il fuoco" che portava a valori decimali per i tempi di rifornimento di Campfire
Tetto metallico fisso che non richiede l'uso di cannello a propano e bacchette di saldatura
Risolto il problema con le traduzioni per i nomi degli slot della hotbar non utilizzati in alcuni luoghi.
Risolte alcune traduzioni mancanti nel menu contestuale dell'interfaccia utente di inspect-clothing.
Risolto il problema con le barricate della polizia e i coni stradali aggiunti in fase di esecuzione che non erano interattivi (non potevano essere colpiti dalle auto o raccolti).
Risolto il problema con il ripristino della variabile "NeedMasking".
Risolto il problema con la generazione di manichini con abiti inappropriati
Risolto il problema con la crescita dei capelli sui personaggi femminili.
Risolto il problema con l'oggetto "Blooo" che a volte appariva nell'inventario del personaggio. (Blooo è tornato :'( )
Risolto il problema con le texture del sangue mancanti sui modelli di armi quando erano attaccate alla schiena o alla cintura del giocatore.
Risolto il problema con il colore della barba che non veniva visualizzato nel pannello avatar delle informazioni sul personaggio.
Risolto il problema con le borse nelle mani che non venivano nascoste durante le azioni.
Risolto un problema che a volte disequipaggiando una borsa non la rimuoveva dai modelli equipaggiati.
Risolto il problema con il borsone destro considerato come mano sinistra.
Risolto il problema con la duplicazione dei sacchetti durante la caduta dopo aver scavalcato una recinzione.
Risolto il problema con la caduta della recinzione del caveau che non si verificava per ogni tipo di caveau.
Il trucco corretto ora verrà rimosso dopo esserti lavato.
Risolto il problema con il modello di torcia manuale che non veniva mostrato durante lo smontaggio della torcia (in precedenza era CDPlayer).
Risolto il problema con le armi nascoste durante l'esecuzione di azioni.
Risolto il problema con la possibilità di annullare l'attacco di un tiro a distanza/rastrellamento.
Risolto il problema con il blocco della mira quando si spingeva durante le riprese.
Risolte alcune stranezze di trascinamento della selezione mentre si disponeva di una borsa.
Risolto il problema con le braccia che oscillavano mentre si tenevano le borse e si correva.
Risolto il problema con il colore che non veniva salvato quando si lasciavano cadere i sacchetti sul pavimento.
Risolto il problema con la chiave contestuale che lasciava sempre cadere oggetti pesanti.
Risolti numerosi problemi di miscelazione/scatto di maschere con sacchetti di tenuta.
Risolto il problema con lo scatto e l'oscillazione durante la corsa con una borsa.
Risolto il problema con la pressione del cambio mentre si muoveva il braccio inattivo mentre si tenevano le borse.
Risolto il problema con lo spazio di pressione durante la corsa che non registrava lo shove immediatamente ma solo quando smettevi di correre.
Risolte le icone di un nuovo oggetto quando si utilizzava un'opzione extra che veniva cancellata (ad esempio, la bandana non cambiava mai la sua icona).
Risolti alcuni specchietti che non funzionavano per il trucco (erano attaccati sprite e non un nuovo oggetto).
Risolto un problema con lesioni al braccio sinistro che influenzavano la velocità di combattimento.
Risolto il problema con il registratore di cassa del negozio di libri con libri al posto dei soldi.
Risolte le icone dell'ombrello errate.
Risolto il problema con la polizia e qualche altro vestito specifico che non si generava con l'arma attaccata (ad esempio una pistola sulla polizia).
Risolto il problema con la visualizzazione delle borse durante la seduta a terra e l'apertura delle finestre.
Risolta un'eccezione in OpenWindowState.exit() quando il blocco si rompe.
Risolto il problema con l'inizializzazione di GameServer.SpawnRegions.
Risolto bug ISWeatherChannel sul server.
Risolto il problema con il vecchio codice del file di salvataggio map_p.bin chiamato sul client.
Risolto il problema con le luci della stanza che erano forse due volte più luminose di prima. Solo le luci esterne sono forse due volte più luminose ora.
Risolti alcuni problemi di fusione con i sacchetti.
Risolto il problema con la distribuzione uniforme degli zombi che non metteva gli zombi in luoghi con intensità zero nell'immagine di spawn.
Risolto il problema con il ridimensionamento del carattere dell'interfaccia utente dopo aver visualizzato una mappa in alcune lingue (ad es. Russo). La modifica della lingua nelle opzioni di visualizzazione ricarica l'interfaccia utente quando non è in gioco.
Risolti i problemi con i buchi nei vestiti che scomparivano dopo aver rattoppato due volte un buco.
Risolto l'errore Lua durante la lettura di un libro delle abilità due volte. I libri delle abilità dovrebbero probabilmente usare DisappearOnUse=FALSE invece di essere sostituiti con un elemento identico tramite ReplaceOnUse.
Risolto il problema con le grate di metallo sulle finestre che non bloccavano gli zombi quando si trovavano davanti alla finestra nell'elenco degli oggetti sul quadrato.
Risolto il problema con i cadaveri molto più scuri degli zombi. L'illuminazione del modello è stata modificata nel commit 4216.
Risolto il problema con il ricaricamento dei file Lua quando la lingua di visualizzazione non veniva modificata.
Risolto il problema con i modelli di veicoli che venivano illuminati dalla direzione sbagliata da lampioni ecc.
Risolte le eccezioni che a volte venivano generate quando viene utilizzata l'opzione di debug Model.Render.Lights (accesso a IsoGridSquare dal thread di rendering).
Risolto il problema con il testo sovrapposto nell'interfaccia utente di debug del generatore di oggetti.
Risolto il problema con il "dramma" musicale che non andava mai giù.
Risolto il problema con le texture dei giocatori che venivano ricreate ad ogni frame, riducendo il framerate.
Risolto il problema con il giocatore che subiva danni e faceva cadere oggetti equipaggiati quando si arrampicava sulle ringhiere sulle scale.
Risolti i problemi con il giocatore che lasciava cadere oggetti a mano dopo essere inciampato o morto.
Risolto il problema con la caduta di oggetti al di fuori dell'inventario e le finestre del bottino bloccate da parti nascoste di finestre crollate.
Risolto il problema con alcune abilità del giocatore che aumentavano ogni volta che veniva caricato un giocatore Last Stand Accumulator


[SEZIONE]ROBA ZAC

Aggiunto parametro di priorità all'ordinamento degli anim per osso. Il mix è ora ordinato per: Livello, Priorità, Peso
Giocatore di animazione
[NODOT]<INDENT:40>- Nuovo campo, int[] m_animBlendPriorities. Array riutilizzabile utilizzato per ordinare le tracce in base alla priorità.
[NODOT]<INDENT:40>- Aggiornata la funzione updateMultiTrackBoneTransformsInternal per includere la priorità nell'algoritmo di ordinamento.
[NODOT]<INDENT:40>- Refactor minore per migliorare la leggibilità.
LiveAnimNode
[NODOT]<INDENT:40>- Nuove funzioni di utilità danno accesso ai valori AnimNode di origine:
[NODOT]<INDENT:60> getPriority()
[NODOT]<INDENT:60> getDeferredBoneName()
[NODOT]<INDENT:60> getDeferredBoneAxis()
[NODOT]<INDENT:60> getSubStateBoneWeights()
[NODOT]<INDENT:60> trovaTransizioneA(...)
[NODOT]<INDENT:60> getSpeedScale(...)
AnimNode
[NODOT]<INDENT:40> - Nuova variabile, priorità m
[NODOT]<INDENT:40> - Nuova funzione, getPriority()
[NODOT]<INDENT:40> - Aggiunta documentazione API aggiuntiva a vari campi.
AnimLayer
[NODOT]<INDENT:40> - updateNodeActiveFlags aggiornati per passare il valore di priorità.
[NODOT]<INDENT:40> - Non si chiamano più ripetutamente LiveAnimNode.getSourceNode. Utilizzando invece nuove funzioni di utilità incapsulate.
[NODOT]<INDENT:40> - StartAnimTrackParameters
[NODOT]<INDENT:40> - Nuova variabile, priorità.
IsoPlayer
[NODOT]<INDENT:40> Rimossa la soluzione alternativa a "AttackVariableX". I valori di 0,01 e 0,99 sono ora valori interi di 0 e 1.
Animatore avanzato
[NODOT]<INDENT:40> Rimossa la funzione inutilizzata:sureEnoughLayers.
    
Aggiornato 1HDefault.Priority a 4 invece di default(5).
[NODOT]<INDENT:40>Risolto il problema dello schiocco strano durante la transizione dall'attacco mirato con una mano mentre si tiene un ombrello.

Risolto il problema con i rilegamenti ossei errati per le clavicole del personaggio.
[NODOT]<INDENT:40>- Usando "Bip01_X_Clavicle" invece di "Bip_X_Clavicle"
Aggiunto avviso per consolare se i rilegamenti ossei non sono validi.
Aggiunte aString sostituzioni di AnimBoneBinding, AnimBoneBindingPair e SkinningBone.
StringUtils
[NODOT]<INDENT:40>Aggiunta funzione: indent
[NODOT]<INDENT:60> - Rientra tutte le righe nel testo fornito.
[NODOT]<INDENT:60> Ci permette di specificare con cosa far rientrare la prima riga,
[NODOT]<INDENT:60> con cosa far rientrare tutte le righe non iniziali,
[NODOT]<INDENT:60> cosa usare come stringa newLine (es. "\n", "\r\n" o qualsiasi altra cosa, come "newLine: ")
[NODOT]<INDENT:40> L'overload predefinito utilizza System.lineSeparator,
[NODOT]<INDENT:60> non fa rientrare la prima riga,
[NODOT]<INDENT:60> e indenta tutte le righe non iniziali con un carattere di tabulazione.

Aggiunta AnimStateNameTable
[NODOT]<INDENT:40>- Nuove classi: GenericNameTable, NameTableEntry e AnimStateNameTable.
[NODOT]<INDENT:40>- La tabella generica fornisce tutte le funzionalità di una tabella nome-indice, nome-indice.
[NODOT]<INDENT:40>- Thread-safe, utilizzando i blocchi per aggiungere/rimuovere/modificare.
[NODOT]<INDENT:40>- NameTableEntries hanno un nome e possono avere un indice. Il valore predefinito è -1 fino a quando non diversamente specificato.
[NODOT]<INDENT:40>- NameTableEntries notifica la loro tabella padre quando il loro nome/indice cambia, mantenendo la tabella coerente.
[NODOT]<INDENT:40>- L'implementazione iniziale non è ancora collegata a Networking né AnimStates.

Gli AnimLayers ora si sincronizzano con il loro genitore
[NODOT]<INDENT:40>- Ogni livello mantiene il nodo di sincronizzazione e la traccia nella cache.
[NODOT]<INDENT:40>- Ogni sottolivello controlla il proprio genitore per il nodo di sincronizzazione nella cache+traccia.
[NODOT]<INDENT:40>- Se non ne viene trovato nessuno, utilizza il proprio.
[NODOT]<INDENT:40>- es. Bob_Anim_Bags ora si sincronizza con la radice Bob_Anim
  
  
[VERSIONE] 41.36

[SEZIONE]EQUILIBRIO
- Aumento dello sporco sul personaggio.

[SEZIONE]SOLUZIONI
Risolte alcune ricette che non potevano utilizzare la nuova sega da giardino.
Risolte le eccezioni dovute alle trame degli ombretti mancanti.
Risolto il problema con l'interfaccia utente per il trucco che non funzionava con caratteri di dimensioni diverse.
Risolto il problema con l'interfaccia utente di trucco che non funzionava con un controller.
Risolto il problema con l'interfaccia utente degli errori del debugger Lua che non mostrava eccezioni in un caso.
Risolto errore Lua occasionale quando si fa clic con il pulsante destro del mouse su Windows.
Risolto il problema con la posizione dispari delle borse a terra quando cadevano dalle mani.
Risolto il problema con Blooo (di nuovo di nuovo) rendendo il DisplayName predefinito per gli elementi ora il Module.Type di quell'elemento, semplificando il debug.
Risolto il problema con il "calcio alla gamba" durante l'esecuzione di alcune azioni a tempo (mangiare, fumare, ecc.).


[VERSIONE] 41.37
[SEZIONE]NUOVO
Prevenzione per le teste di zombi prone che tagliano muri e ostacoli: gli zombi in caduta e proni ora scivoleranno via dai muri.
Aggiunta custodia per chitarra/custodia di volo
Aggiunto un pulsante "Elimina tutto" accanto al pulsante "Preda tutto" per cestino/cestini, fare clic su questo eliminerà definitivamente gli elementi dal contenitore (c'è una finestra di dialogo di conferma prima di eliminarli).
Rese mobili molti oggetti precedentemente inamovibili: panche, letti a castello, tappeti, baldacchini, tavoli spiffo, sgabelli da bar, banconi ecc.
Aggiunta l'opzione di accessibilità "Riprendi la velocità normale al completamento delle azioni a tempo". (Una volta che un'azione a tempo è stata eseguita (lettura di un libro, cucina, artigianato...) si annullerà automaticamente l'avanzamento rapido. Annullare un'azione a tempo tramite ESC annullerà l'avanzamento rapido.)
Aggiunto CounterOverlays.lua che aggiunge le ante degli armadi aperti casuali e i cassetti degli schedari di Mash.
Un attacco che fa cadere un elmo ora impedirà un attacco


[SEZIONE]EQUILIBRIO
Gli abiti strappati ora hanno la possibilità di dare filo (dipende dall'abilità di sartoria e dalle dimensioni dell'articolo).
Ora puoi consolidare i thread (se hai più thread utilizzati, fai clic con il pulsante destro del mouse sullo stack per unirli insieme)
Ridotta possibilità di avere la casa della carta igienica. (https://www.youtube.com/watch?v=1nPT64U6X40)
Danni ridotti al motore dell'auto quando si speronano gli zombi senza cofano.
Aggiunto Machete ad alcune ricette mancanti (affetta il cibo, crea lancia...).
Aumentato il tasso di spawn della lenza.

[SEZIONE][MIGLIORI DEL CONTROLLER]

Aggiunti i comandi del menu contestuale della finestra bottino quando si utilizza un controller:
[NODOT]<INDENT:40> 1) Accende/spegne il microonde e il fornello.
[NODOT]<INDENT:40> 2) Mostra l'interfaccia utente delle impostazioni per microonde e fornelli.
[NODOT]<INDENT:40> 3) Accendere/spegnere l'asciugatrice e la lavatrice.
[NODOT]<INDENT:40> 4) Eliminazione di elementi dai bidoni della spazzatura.
 
Modificati i pulsanti sulla spalla del controller per influenzare entrambi l'inventario o la finestra del bottino attualmente evidenziati.
[NODOT]<INDENT:40>In precedenza, il pulsante sulla spalla sinistra selezionava il contenitore successivo nella finestra dell'inventario, mentre il pulsante sulla spalla destra selezionava il contenitore successivo nella finestra del bottino.
[NODOT]<INDENT:40> Ora il pulsante sulla spalla sinistra seleziona il contenitore precedente nella finestra attualmente evidenziata.
 
[SEZIONE][ MIGLIORAMENTI BAG (per lo più sotto il cofano)]
Sperimenta di non creare un nuovo oggetto di inventario quando una borsa è equipaggiata o non equipaggiata dalle mani.
Dividi lo stato di animazione "mascheramento" in "maskingleft" e "maskingright" per correggere un bug relativo al possesso di una borsa e di una torcia.
Le borse ora possono essere scelte per essere tenute con la mano sinistra o destra
Non viene più eseguita l'animazione di Alzamano con la mandibola quando si tiene una borsa nella mano sinistra.
Risolto il problema con l'arma sulla schiena posizionata come se fosse indossato uno zaino, quando lo zaino viene portato in mano.
Rimosse le transizioni dai gruppi di animazione maskingleft e maskingright.


[SEZIONE]SOLUZIONI
Risolta la mancanza di illuminazione sull'acqua.
Risolto il problema con l'angolo del cono di visione che non si aggiornava per i giocatori zombificati.
Risolto l'errore lua durante l'aggiornamento della hotbar dopo la morte di un giocatore.
Risolte le stringhe non tradotte nell'interfaccia utente di personalizzazione e nell'interfaccia utente delle informazioni del generatore. Aggiunte traduzioni per categorie e tipi di trucco a MakeUp_EN.txt.
Risolto il problema con l'impossibilità di aprire le doppie porte.
Risolto il problema con l'applicazione del trucco aumentando il peso.
Risolto il problema con la storia della strada dei banditi che appariva prima di 30 giorni nell'apocalisse.
Risolto il problema con il pranzo al sacco impostato come "Medico" (solo per possibilità di bottino).
Risolto il problema con la doppia opzione "rossetto rosso".
Risolto il problema con "Disimballare" che appariva per gli oggetti al di fuori delle borse.
Risolto il problema con la possibilità di oscillare durante l'avanzamento veloce.
Risolto il problema con le borse di Alice nella mano primaria sbagliate.
Risolto il problema con il giocatore che si alzava in piedi quando veniva colpito da uno zombi mentre era seduto.
Risolto il problema con il giocatore che spingeva gli zombi quando lo mordeva.
Risolto il problema con alcune traduzioni mancanti (grazie Narnika!).
Corretto errore di battitura nella guida di sopravvivenza.
Risolto il problema con il cono visivo del giocatore che era molto più luminoso con il tratto Miope.
Risolto il problema con le animazioni di ricarica che non venivano riprodotte da seduti.
Risolto il problema con ISCharacterInfoWindow che a volte si aggiornava dopo la chiusura della finestra.
Risolto il problema con il trucco applicato quando si chiudeva l'interfaccia utente del trucco senza fare clic su Applica.
Risolto il problema con gli zombi che colpivano brevi recinzioni di metallo.
Risolta un'eccezione quando uno zombi distrugge un oggetto su un pezzo che era stato scaricato.
Risolto il problema con l'interfaccia utente di foraggiamento che non gestiva correttamente i tratti Organizzato e Disorganizzato.
Risolto il problema con il tasto Acquisisci screenshot che non funzionava quando venivano visualizzate determinate finestre
Risolto l'errore lua quando un giocatore a schermo diviso preme il pulsante X alla guida di un veicolo.
Risolti i suggerimenti del menu contestuale per alcune azioni visualizzate (o meno) in splitscreen.
Risolto il problema con il legno inutilizzabile che appariva due volte nel menu Aggiungi carburante del barbecue.
Risolto il problema con il giocatore che non si girava per affrontare un barbecue durante la visualizzazione dell'interfaccia utente delle informazioni.


[VERSIONE] 41.38
[SEZIONE][NUOVO TUTORIAL]
Mappa di Cabin in the Woods aggiornata e migliorata da Xeonyx (vale la pena esplorare se sopravvivi alla fine)
Nuovi passaggi e sequenza esterna ampliata
Copre principalmente il movimento e il combattimento - sarà ampliato in un secondo momento e reso compatibile con i gamepad

Aggiunto un menu radiale per ricaricare armi da fuoco e caricatori di riserva.
[NODOT]<INDENT:40> Il menu viene visualizzato dopo aver tenuto premuto il tasto Ricarica (o il pulsante del controller) per mezzo secondo.
[NODOT]<INDENT:40> L'opzione di accessibilità "Visualizza immediatamente il menu radiale di ricarica" ​​cambia questo comportamento in modo che il menu venga visualizzato immediatamente.

Aggiunto un comando al menu contestuale dell'elemento e ricarica il menu radiale per scaricare tutti i colpi da pistole non a caricatore, come i revolver.
Modificato "Rack" in "Unload Round" per pistole di tipo non caricatore.
Aggiunto StaticModel agli elementi RadioMag, MechanicMag e BookMechanic.
Pacchetto tessere ricostruite: questo dovrebbe includere pareti di tronchi più sottili per aiutare con gli spaccati e, si spera, rimuovere anche i punti rossi casuali su alcune tessere
I rubinetti della barra ora sono mobili.
Prendendo terra, ghiaia o sabbia da un quadrato su cui era precedentemente posizionato, ora lo rimuove e ripristina gli sprite del pavimento precedente.
Aggiunti infradito e marsupi. Quest'ultimo può essere indossato davanti o dietro.
Le borse equipaggiate con la tinta ora hanno un'icona colorata nel pannello di destra (dove si trovano gli zaini).
I suggerimenti della borsa equipaggiata sul pannello di destra ora mostrano il nome della borsa.
Aggiunta valigetta.
Aggiunti i nuovi sprite sovrapposti di Mash (frigoriferi, fornelli, sedili, ecc.).
Aggiunta un'icona diversa al menu radiale del veicolo per il rifornimento da una pompa in una stazione di servizio.
Riproduci un'animazione quando afferri un cadavere da terra.

 
[SEZIONE][ROBA VEICOLO NUOVO]

Ottimizzazione della memoria: i veicoli utilizzano gli stessi danni e le stesse trame di ruggine, con un secondo canale UV.
Il sangue viene prelevato separatamente sulla parte anteriore, posteriore e laterale dei veicoli per gestire gli zombi che colpiscono in luoghi diversi.
L'intensità del sangue varia da 0,0 a 1,0 invece di utilizzare 2 diverse strutture del sangue.
Disegna il sangue sui finestrini del veicolo prima della trama danneggiata, per evitare che il sangue ricopra i fori nei finestrini
Il sangue viene aggiunto alla parte anteriore e posteriore dei veicoli quando si colpiscono gli zombi.
Il sangue viene aggiunto ai finestrini del veicolo che gli zombi stanno attaccando.
Aggiornate le texture del sangue del veicolo.
Aggiunto il comando del menu contestuale "Lava veicolo" per rimuovere il sangue dai veicoli. Richiede acqua.
Riproduci il suono della fiamma ossidrica e usa l'animazione della fiamma ossidrica durante lo smantellamento dei veicoli.


[SEZIONE][COMPOSTO]

Aggiunto il comando "Imposta compost" al menu contestuale "[DEBUG] Oggetti" per impostare la quantità di compost in una compostiera.
Aggiunto un comando del menu contestuale per aggiungere il compost da un sacchetto di compostaggio a una compostiera.
Quantità parziali di compost possono essere riposte in sacchi vuoti e sacchi di compost parzialmente vuoti. In precedenza il giocatore poteva prendere solo 10 unità complete di compost alla volta.
 

[SEZIONE][MODDING]

Abilitato il sistema worldflares precedentemente aggiunto
 

[SEZIONE][MODELLI FEMMINILI OTTIMIZZATI]

Maglia femminile regolata intorno alle braccia
Abiti femminili riesportati
Vest_BulletCivilian.xml riassegnato per puntare alla mesh famale corretta
 

[SEZIONE][Miglioramenti dell'interfaccia utente]

Rinominato "Esci" "Esci dal menu".
Spostato "Esci da desktop" sotto "Esci da menu" in modo che corrisponda all'ordine dei pulsanti nel menu principale.
Spostato "Nuovo personaggio" sopra "Esci dal menu".
Sostituite le caselle combinate Sì/No nelle opzioni di visualizzazione con le caselle di controllo.
Spostato il pulsante Elimina a sinistra dei pulsanti Nuovo e Riproduci nell'interfaccia utente di selezione del giocatore Last Stand, in modo che corrisponda ad altre interfacce utente.
Ordina barba e acconciature per nome nell'interfaccia utente di creazione del personaggio.
Modificata la casella combinata Sì/No "Petto sul petto" in una casella di controllo nell'interfaccia utente di creazione del personaggio.


[SEZIONE][MIGLIORI DEL CONTROLLER]
Aggiunta un'opzione di accessibilità per la scelta del modo in cui i pulsanti sulla spalla cambiano i contenitori nelle finestre dell'inventario e del bottino.


[SEZIONE][ MIGLIORAMENTI DELLA TRADUZIONE COMUNITARIA]
Le traduzioni per i titoli delle mappe possono essere specificate aggiungendo un file denominato title.txt nella stessa cartella di description.txt.
Ad esempio, media\lua\shared\Translate\FR\Muldraugh, KY\title.txt. Il file dovrebbe contenere una singola riga con il nome della mappa tradotto.
Risolto il problema con le traduzioni Last Stand mancanti.
Presentazione in lingua inglese migliorata e standardizzata.
Aggiunta la traduzione per "Tipo 1" ecc. scelte di trama dell'abbigliamento nell'interfaccia utente di creazione del personaggio.
Aggiunte traduzioni IGUI_ClothingName_XXX separate da Tooltip_clothing_XXX (Sporco, Bagnato, ecc.).


[SEZIONE]EQUILIBRIO

Le riviste di abilità fatte richiedono 10 minuti per essere lette, equivalenti a leggere 5 pagine di un libro di abilità.
Realizzate porte di recinzione corte saltabili e mai bloccate. Possono essere saltati usando il menu contestuale, tenendo premuto il tasto E o premendo il pulsante B del controller.
Lo spray antimuffa/insetticida RMC (pieno) mostra l'opzione per curare le mosche se è disponibile una bomboletta spray vuota
I caricatori di armi parzialmente caricati vengono ricaricati quando si preme il tasto di ricarica, se non ci sono altri caricatori non vuoti nell'inventario.
Un caricatore pieno viene espulso senza ricaricarlo.
Opzione "Riempi tutto" per più bottiglie, ecc
La candeggina si trasforma in "Bottiglia di candeggina vuota" quando viene consumata (in precedenza era scomparsa).
Aggiunta la "Bottiglia di candeggina con acqua" che contiene il doppio dell'acqua di una bottiglia pop (e pesa il doppio).
Gli alimenti che si trasformano in oggetti vuoti quando sono completamente consumati (come aranciata e candeggina) diventano più leggeri a seconda della quantità rimanente.
Luci abbassate sul personaggio.


[SEZIONE]SOLUZIONI
Risolto il problema con i file mod .pack caricati troppo tardi, con conseguente mancanza di trame degli oggetti.
Risolto il problema con ModelManager.RenderSkyBox() che legava l'FBO errato.
Risolto il problema con le traduzioni dei nomi dei vantaggi che non cambiavano quando si cambiava la lingua di visualizzazione.
Risolto il problema con i telai delle finestre che diventavano non interattivi dopo l'installazione di una finestra. Ad esempio, non è stato possibile intonacare il telaio di una finestra artigianale dopo aver inserito una finestra, fino a quando il gioco non è stato ricaricato.
Risolti gli errori di analisi che non venivano visualizzati nella finestra Errori del debugger Lua.
Risolto il problema con le trame NormalGlasses.png 1x1 che sembravano trasparenti se le trame dei vestiti venivano aggiornate quando il gioco non veniva ingrandito completamente.
Risolto il problema con Texture.getUVScale() che allocava un nuovo Vector2 ad ogni chiamata.
Risolto il problema con Dye Hair che non faceva nulla quando l'oggetto non era già nell'inventario del giocatore.
Risolto il problema con le traduzioni che non venivano ricaricate dopo essere usciti dal menu principale.
Risolto un errore di lua che scavalcava una recinzione alta con una borsa in mano selezionata nella finestra dell'inventario.
Risolto il problema con il recinto del palo di metallo corto che era calpestabile.
Risolto il problema con il modello Bag_NormalHikingBag che non appariva nelle mani del giocatore.
Risolto il problema con l'oscuramento di una parte dello schermo durante il caricamento di uno schermo diviso.
Risolto il problema con il giocatore invisibile 1 durante il caricamento di un gioco a schermo diviso con un controller.
Risolto il problema con l'interfaccia utente di trucco e foraggiamento che non veniva rimossa quando un giocatore muore.
Risolto il problema con i suggerimenti del menu contestuale che mostravano "Tieni premuto E" quando "Tocca E" era sufficiente per spostarti.
Risolto il problema con l'animazione sbagliata "alzati" che veniva riprodotta a volte quando il giocatore inciampa mentre correva tra gli alberi.
Risolto il problema con il nome del nodo errato visualizzato a volte nell'interfaccia utente di debug di Anim Monitor.
Risolto il problema con l'utilizzo di una porta o di una finestra dietro il giocatore quando c'è una porta del veicolo utilizzabile davanti al giocatore.
Risolto il problema con una nuova finestra di dialogo "svuota cestino" che veniva visualizzata ogni volta che si faceva clic sul pulsante "Elimina tutto".
Risolto l'errore lua durante l'ispezione dell'abbigliamento quando l'interfaccia utente di sartoria era già visibile.
Risolto il problema con la possibilità di ruotare i mobili multi-piastrelle in modo che le parti si incastrino attraverso pareti e porte chiuse.
Risolto il problema con il "Segnale della polizia" all'altezza corretta durante il tentativo di posizionamento.
Risolto il problema con i messaggi radio che non mostravano l'ultima parte della linea quando si applicava l'interferenza meteorologica.
Risolto il problema con lo sprite di propano-bbq-with-tank che ora era mobile in modo che potesse mostrare il pannello delle informazioni.
Risolto avviso sulla traduzione IGUI_SkinTemperature mancante.
Risolto il problema con la presa E che non scavalcava le porte di recinzione IsoThumpable corte (funzionava solo per IsoDoor).
Risolto il problema con il giocatore che inciampava e si rialzava invece di cadere quando veniva attaccato da uno zombi mentre si arrampicava attraverso una finestra, quando non c'era pavimento dall'altro lato della finestra.
Risolto il problema con il giocatore che riproduceva un'animazione di reazione al colpo dopo essere inciampato e rialzarsi quando veniva attaccato da uno zombi mentre si arrampicava attraverso una finestra.
Risolto il problema con gli zombi che mangiavano cadaveri da molto lontano a volte.
Risolte le proprietà delle tessere su diversi sprite mirror (mancavano le proprietà allegate N/S/W/E).
Lampade da tavolo fisse a volte appese al bordo dei mobili. Questo viene fatto limitando le lampade da tavolo in modo che siano rivolte nella stessa direzione richiesta dallo strumento di spostamento dei mobili.
Risolto il problema con NullPointerException in IsoPlayer.updateDirt(). Ciò si è verificato durante il caricamento di un lettore a schermo diviso inattivo.
Risolto il problema con il giocatore che rimaneva bloccato dopo essere entrato in un veicolo capovolto.
Risolto il problema con l'insalata e le vitamine che non mostravano un modello quando consumate.
Risolto il problema con entrambe le metà di un forno a due tegole attivabili separatamente.
Risolto il problema con il comando "Apri cofano" del menu radiale del veicolo che non mostrava l'interfaccia utente della meccanica in seguito.
Risolto il problema con il cofano del veicolo che non si chiudeva automaticamente dopo aver aperto l'interfaccia utente della meccanica tramite il menu radiale.
Risolto il problema con gli zombi velocisti che a volte saltavano l'animazione di alzarsi dopo essere inciampati.
Risolto il problema con gli zombi velocisti che non venivano considerati "a terra" dopo essere inciampati.
Risolto il problema con l'impossibilità di riparare le nuove armi da fuoco.
Risolto il problema con le armi da fuoco senza camere (come i revolver) che si generavano con +1 round nella camera inesistente.
Risolti gli errori OutOfMemoryError dovuti alla memoria delle texture non rilasciata.
Risolto il problema con la pioggia che girava in orizzontale quando windSpeed ​​0 e lo zoom
Risolto il problema con i finestrini del veicolo che a volte venivano lasciati con la condizione 0 senza essere distrutti (InventoryItem non era impostato su null).
Risolto il problema con i finestrini del veicolo che subivano il doppio dei danni dagli attacchi di zombi.
Risolto il problema con gli zombi che danneggiavano solo il finestrino del veicolo accanto al quale era seduto il giocatore.
Risolto il problema con il modello del giocatore che diventava un blob quando si passava da maschio a femmina nell'interfaccia utente di creazione del personaggio.
Risolto il problema con la casella combinata maschio/femmina dell'interfaccia utente per la creazione del personaggio che veniva evidenziata in modo permanente quando non si utilizza un controller.
Risolti alcuni errori di battitura in DynamicRadio_EN.txt
Corretti i colori della maschera del paraurti invertiti per i furgoni e i pickup
Risolti gli eventi di animazione che venivano saltati a volte quando un'animazione si ripeteva.
Risolto il problema con l'abilità di ricarica che non influiva sulla velocità di inserimento o rimozione di proiettili da un caricatore.
Risolto (forse) i suoni di inserimento proiettile e rimozione proiettile che non si sincronizzavano bene con le animazioni di ricarica/scaricamento del caricatore.
Risolto il problema con le ricette evolute che non venivano visualizzate nell'interfaccia utente di creazione quando la casella di controllo Filtra tutto è selezionata.
Risolto un errore lua nell'interfaccia utente di creazione quando una ricetta evoluta ha ingredienti non alimentari. (Prepare Beverage utilizza lo zucchero, per esempio).
Risolto un ciclo infinito durante il salvataggio di più elementi dello stesso tipo in un contenitore. (Questo è successo durante il salvataggio di due cadaveri in un contenitore.)
Risolto il problema con la ricarica di un caricatore vuoto e il suo reinserimento nella pistola dopo aver utilizzato il comando del menu contestuale Espelli caricatore. Refactoring di parti di ISLoadBulletsInMagazine.lua in ISUnloadBulletsFromMagazine.lua.
Risolto il problema con l'utilizzo della direzione sbagliata durante il calcolo della mira del giocatore. (L'effetto di questo bug era che gli zombi che avrebbero dovuto trovarsi nel cono di mira in base alla direzione in cui il giocatore stava mirando con il cursore, a volte mancavano.)
Risolto il problema con la possibilità di spingere gli zombi dietro il giocatore mentre si stava ancora girando. Stava usando getForwardDirection().
Risolto il problema con le StashDescriptions che utilizzavano l'elemento containerItem Base.Duffelbag inesistente.
Risolto il problema con gli zombi che mangiavano cadaveri attraverso porte, muri e finestre.
Risolto il problema con l'inventario del giocatore che non veniva visualizzato di nuovo quando si attaccavano o si staccavano oggetti dalla hotbar.
Risolto il problema con il "tipo di lavoro" errato visualizzato a volte nell'interfaccia utente della meccanica del veicolo.
Risolti alcuni elementi della logica che nascondeva la recinzione
Risolto il problema con alcuni oggetti che perdevano il loro stato "preferito".
Risolto il problema con la rottura delle barricate di metallo con un suono legnoso
Risolto il problema con la stufa antica che non aveva il timer del carburante
Risolto il problema con gli articoli non di abbigliamento che venivano riposti sugli scaffali dei vestiti
Risolto il problema con gli stivali che non proteggevano da morsi/graffi
Risolto il problema con l'impossibilità di "strappare" un "vestito lungo"
Gilet fisso con scollo a V che protegge gli avambracci.
Risolto il problema del cambio di stato non rispettando il consumo parziale degli alimenti
Risolto il problema con i filetti di pesce (cotti) trovati nel gioco senza calorie
Il peso fisso degli animali catturati non dovrebbe avere alcuna variazione
Risolto il problema con il giocatore che non affrontava gli oggetti mentre li dipingeva.
Risolto il problema con l'impossibilità di dipingere oggetti non di carpenteria utilizzando un controller.
Risolto il problema con l'evidenziazione delle casse impilate quando ne si sceglie una da dipingere utilizzando un controller.
Risolto il problema con la posizione del giocatore quando dipingeva una cassa.
Risolto il problema con l'istruzione "richiedi" non valida in ISCampingInfoAction.
Risolto il problema con la noia, lo stress e l'infelicità che aumentavano durante la lettura della letteratura che riduceva quelle statistiche. Questo è stato modificato per le persone che giocano con una durata del giorno più lunga nei giochi sandbox.
Corretta la versione di Java utilizzata in popman/src/doJNI.bat.
Risolte nuove acconciature intraducibili.
Risolti problemi con gli abiti salvati nell'interfaccia utente di creazione del personaggio.
[NODOT]<INDENT:40> - Sono stati salvati i nomi tradotti degli articoli di abbigliamento, che si interrompono quando la lingua di visualizzazione cambia.
[NODOT]<INDENT:40> - La texture selezionata (ad esempio il colore del berretto da baseball) non è stata caricata correttamente.
[NODOT]<INDENT:40> - Il colore della pelle errato è stato salvato dopo aver fatto clic sul pulsante Randomizza ma non aver selezionato un colore della pelle dalla casella combinata.
Risolto il problema con l'utilizzo di un Sacco di sabbia vuoto con oggetti al suo interno durante il prelievo di terra/ghiaia/sabbia o compost. Compost Bag ora utilizza il modello EmptySandbag quando equipaggiato.
Risolto il problema con l'impossibilità di sterzare o frenare un veicolo quando il motore si spegne durante la guida.
Risolto il problema con l'equipaggiamento di una cazzuola con entrambe le mani quando si prendeva terra/ghiaia/sabbia.
Risolto il problema con il lampeggiamento dell'iso-cursore dopo aver giocato al tutorial.
Risolto il problema con la stringa non tradotta nella finestra dell'inventario quando si scaricavano proiettili da un'arma da fuoco.
Risolto il problema con gli asciugamani bagnati che non si asciugavano più velocemente in un'asciugatrice.
Risolto l'errore lua premendo il tasto di ricarica la prima volta mentre si equipaggiava un'arma da fuoco.
Risolto il problema con alcuni campi IsoObject che non venivano reimpostati sui valori predefiniti dopo il rilascio di un oggetto.
Risolto il problema con il modello 3D mancante per l'oggetto HotDrink.
Risolto il problema dei titoli aggiungendo UIFont.Title che viene utilizzato per i titoli nel menu principale. Viene utilizzato al posto di UIFont.Cred2 perché alcune lingue non possono visualizzare tutti i caratteri con UIFont.Cred2. Per queste lingue, UIFont.Title è uguale a UIFont.Large.
Risolto il problema con il mancato salto del contrassegno di ordine byte UTF-8 durante la lettura dei file di traduzione della mappa description.txt e title.txt.
Risolta una certa confusione su quale oggetto equipaggiato usare per la larghezza del cono della torcia, ecc. Se c'è una luce attiva in entrambe le mani, l'oggetto di destra ha la priorità. Questo può essere risolto in seguito per consentire più luci attive, non solo nelle mani, per fari, ecc.
Risolto il problema con l'aspetto dell'interfaccia utente con il rendering fuori schermo abilitato che non corrispondeva all'aspetto quando il rendering fuori schermo è disabilitato. Un problema di vecchia data è che i valori alfa non sono gli stessi tra i due metodi.
Risolto l'uso errato di SandboxVars.NatureAbundance is ISFishingAction.lua.
Risolto il problema con l'arrotondamento dei valori di visualizzazione a virgola mobile in alcuni punti.
[NODOT]<INDENT:40> 1) Possibilità di morsi e graffi nell'interfaccia utente di protezione degli indumenti.
[NODOT]<INDENT:40> 2) Quando guadagni XP dalle trasmissioni TV.
[NODOT]<INDENT:40> 3) La pressione dei pneumatici viene arrotondata a una cifra decimale anziché a tre nell'interfaccia utente della meccanica.
Risolto il problema con il non disegnare la stessa trama di sfondo dietro le note "alone" come viene disegnata per il testo vocale sopra la testa del giocatore.
Risolto il problema con gli zombi striscianti che giravano troppo velocemente a volte. Ciò era dovuto al fatto che WalkTowardState chiamava setForwardDirection() quando c'era ancora da fare. (La svolta è ancora a scatti perché non è stata posticipata la rotazione nelle animazioni di svolta. Gli zombi striscianti continuano a girare "istantaneamente" in PathFindState, ma non in WalkTowardState.)
Risolto l'errore lua durante il salvataggio dell'abbigliamento del personaggio nell'interfaccia utente di creazione del personaggio con lingue diverse dall'inglese.
Risolto il problema con le azioni di spostamento e smontaggio dei mobili non trovando gli attrezzi nelle borse.
Risolto il problema con lo smontaggio dei mobili equipaggiando una maschera per saldatura nella mano invece di indossarla.
Risolto il problema con la riproduzione del suono del martellamento durante lo smontaggio dei mobili con una fiamma ossidrica.
Risolto il problema con i veicoli di smantellamento che equipaggiavano una maschera per saldatura nella mano invece di indossarla.
Risolto il problema con gli elementi della hotbar che si accumulavano con gli elementi non della hotbar nella finestra dell'inventario.
Risolto il problema con la linea di divisione tra oggetti equipaggiati e non equipaggiati che a volte veniva disegnata nel posto sbagliato.
Risolto il problema con i semi che non venivano presi dai sacchi durante la semina.
Risolto un problema per il quale un contenitore d'acqua vuoto equipaggiato rimaneva nelle mani dopo aver preso l'acqua da un lavandino/ecc.
Risolto il problema con i container dei veicoli che a volte non venivano visualizzati nella finestra del bottino.
Risolto l'errore lua agricolo spostando tutti i semi dello stesso tipo da un sacchetto durante la semina.
Risolto il problema con il doppio clic su una singola arma in una pila espansa che non la equipaggiava o la disequipaggiava.
Risolto il problema con il doppio clic su una pila di armi che equipaggiavano ciascuna di esse a turno.
Risolto il problema con il doppio clic su un'arma equipaggiata che la disequipaggiava istantaneamente e non mostrava nuovamente l'inventario.


[SEZIONE][SOLUZIONI DEL SISTEMA DI ANIMAZIONE]

Modifiche annullate a getSkinTransformData() e resetSkinTransforms().
[NODOT]<INDENT:40>Ogni AnimationPlayer può avere più oggetti SkinTransformData attivi (uno per modello di abbigliamento, per esempio).

ModelInstance.reset() non dovrebbe chiamare "Pool.tryRelease(AnimPlayer)" perché AnimationPlayer è di proprietà di IsoGameCharacter.
[NODOT]<INDENT:40>Multiple ModelInstances (ad esempio modelli di abbigliamento) puntano tutte allo stesso AnimationPlayer.

Risolta l'eccezione in PZArrayUtil.newInstance() quando il nuovo array è più piccolo di quello copiato.


[VERSIONE] 41.39
[SEZIONE]NUOVO
translationProblems.txt elenca ItemName_xxx mancante invece del vecchio DisplayName_xxx.
Rimosso lo spam della console di debug true|false.
Aggiunti pulsanti per accedere all'Editor allegati, Chunk Debugger e Vehicle Editor al menu di debug.
Aggiunto DebugType.Mod per controllare la visualizzazione dei messaggi di debug relativi alle mod sulla console.
Ultime traduzioni della community aggiornate

[SEZIONE]SOLUZIONI
Utilizzato Docker per creare libjasimp64.so e libLighting64.so con una versione di GCC che non causerà problemi con alcune configurazioni di Linux
Risolto il problema con l'editor del veicolo che non selezionava il veicolo corretto nella casella combinata degli script.
Risolto il problema con l'interruzione del tutorial nella fase di ingrandimento/riduzione quando non si utilizzavano trame di dimensioni doppie.
Risolto un errore di rendering quando il Bucket Hat è a terra.
Risolto un problema con lo shader del veicolo che non si compilava su alcuni sistemi.
Risolto il problema con GameTime.getMinutesStamp() con una risoluzione di 2 minuti anziché 1.
Risolto il problema con i modelli di armi che non venivano aggiornati dopo aver rimosso parti di armi (mirini, ecc.) quando l'arma era attaccata al giocatore.
Risolto il problema con il mirino HuntingRifle (fucile MSR788) che non veniva visualizzato.
Risolto il problema con il mancato rilevamento quando più mod attive utilizzano gli stessi numeri di file di definizione tile. Questi numeri di file sono specificati da "tiledef=" nei file mod.info.
Risolto il problema con la possibilità di raccogliere un barbecue di propano senza rimuovere il serbatoio di propano.
Risolto il problema con l'editor di animazione che non impostava la casella di controllo Inverti durante la selezione delle animazioni.
Risolto il problema con l'animazione per la rimozione di un caricatore da un'arma da fuoco.
Risolto l'errore lua durante la pesca e l'ultima esca si rompe.
Risolto il problema con l'istruzione errata nel tutorial su: recinzione alta
Risolto (si spera) l'ultimo problema del "punto rosso sulle tessere".


[VERSIONE] 41.40
[SEZIONE]NUOVO

Aggiunti gioielli che possono essere indossati sul giocatore: collane, orecchini e anelli alle dita.
Aggiunta la possibilità di ricaricare i distributori d'acqua
Gli oggetti drenabili ora cambiano il loro peso a seconda di quanto sono pieni
Crediti aggiornati
Aggiunti braccialetti, orologi, dogtag ecc. agli zombi. NOTA: I VECCHI OROLOGI SONO DEPRECATI. DOVRAI TROVARE NUOVI OROLOGI.
Aggiunto l'evento di animazione SetMeleeDelay che può essere utilizzato per impostare il ritardo tra gli attacchi. Questo è fondamentalmente lo stesso di RecoilDelay che viene utilizzato per impostare il ritardo tra i colpi di arma da fuoco.
[NODOT]<BR>
Novità per le ricette.txt:
[NODOT]<INDENT:40> Normalmente un'origine ricetta contiene un elenco di tipi di elementi codificati.
[NODOT]<INDENT:40> Questo non funziona bene con tutti i nuovi capi di abbigliamento.
[NODOT]<INDENT:40> Ora un'origine della ricetta nella forma "[funzione]" specifica il nome di una funzione Lua che verrà chiamata per ottenere un elenco di elementi che possono essere utilizzati come elemento di origine.
[NODOT]<INDENT:40> Vedere DismantleDigitalWatch_GetItemTypes() in ricettacode.lua per un esempio.
[NODOT]<BR>
Aggiunti suggerimenti del menu contestuale che mostrano la percentuale di oggetti contenenti acqua durante il prelievo o il trasferimento di acqua.
[NODOT]<BR>
Aggiunto IsoRoofFixer.java per prevenire la caduta attraverso i tetti non posizionati dagli strumenti di mappatura
[NODOT]<INDENT:40> - può tentare di riparare i tetti per i giocatori che cadono per tessera o per spazio per stanza sottostante, l'impostazione predefinita è quest'ultima
[NODOT]<INDENT:40> - le posizioni sono memorizzate nel salvataggio dei metadati in modo che non tenti di risolverlo due volte quando il giocatore rimuove questi piani (solo per modalità stanza).
[NODOT]<INDENT:40> - facoltativamente può posizionare pavimenti che corrispondono allo stile del tetto o pavimenti invisibili
[NODOT]<BR>
Aggiunte alcune altre specifiche di sistema che stampano nei registri della console
[NODOT]<INDENT:40> Visualizza le icone degli elementi nell'interfaccia utente di debug "Elenco elementi".
  


[SEZIONE]MENU CONTESTO E HOT BAR RIordino
Aggiunto un modo opzionale per interagire con i menu contestuali.
[NODOT]<INDENT:40> Invece di visualizzare i menu secondari a sinistra oa destra del menu principale, il menu principale viene nascosto e il menu secondario viene visualizzato al posto del menu principale.
[NODOT]<INDENT:40> Viene aggiunta un'opzione di menu aggiuntiva nella parte superiore di un menu figlio per tornare al menu principale.
[NODOT]<INDENT:40> Questo comportamento può essere abilitato o disabilitato per ogni giocatore a schermo diviso nelle opzioni di accessibilità.
[NODOT]<INDENT:40> Funziona bene con un controller. Gli utenti del mouse possono o meno preferire questo metodo.

Gli oggetti allegati (ad esempio gli oggetti della hotbar) possono emettere luce, non solo gli oggetti tenuti nelle mani del giocatore. Attualmente il gioco non ha oggetti emettitori di luce che possono entrare nella hotbar, ma questo potrebbe essere usato per equipaggiare una luce montata sul petto o sulla testa.
Il tasto "Equipaggia/Accendi/Spegni la sorgente luminosa" attiverà un oggetto che emette luce nella hotbar, se presente, invece di equipaggiare l'oggetto nella mano del giocatore.
Premendo una scorciatoia da tastiera per uno slot hotbar si attiverà o disattiverà un oggetto invece di equipaggiarlo, se possibile.
Uno slot hotbar è evidenziato in rosso se un oggetto trascinato non può essere equipaggiato in quello slot.
Gli oggetti non armi possono essere trascinati sulla barra rapida. Gli elementi non armati possono già essere aggiunti alla hotbar utilizzando i menu contestuali e i menu radiali.
Il menu radiale del tastierino direzionale sinistro (che in precedenza mostrava solo le armi equipaggiabili) ora mostra anche il miglior oggetto che emette luce nell'inventario del giocatore. Questo può essere utilizzato per equipaggiare e attivare una torcia quando si utilizza un controller.
Aggiunta un'animazione ai menu contestuali durante la loro visualizzazione con l'opzione "Menu contestuale singolo" quando si utilizza un mouse. C'era già un'animazione durante l'utilizzo di un controller.
Preferisci visualizzare i suggerimenti a destra o a sinistra dei menu contestuali anziché sopra di essi.
Quando si utilizza l'opzione "Menu contestuale singolo" con il mouse, i sottomenu brevi vengono posizionati sotto il mouse anziché nella posizione del genitore.
Consenti agli oggetti di essere trascinati nelle icone degli slot primari e secondari per equipaggiarli. Trascinando oggetti a due mani tra le due icone si equipaggia l'oggetto con entrambe le mani.
Visualizza tutti i tipi di semi conosciuti nel menu contestuale dell'agricoltura, quindi le mod non devono sovrascrivere ISFarmingMenu.lua.
Visualizza il tipo di contenitore selezionato nella finestra del bottino. Questo era già stato fatto per le borse, ma ora mostrerà anche icone per asciugabiancheria, lavatrici ecc.
Aggiunta un'opzione del menu radiale per distruggere il finestrino di un veicolo quando si è fuori dal veicolo. Questa opzione era già disponibile nel menu contestuale del tasto destro del mouse.
Aggiunta la combinazione di tasti "Attiva/disattiva i modelli abilitati", F3 per impostazione predefinita, in modo che le persone possano cambiare la chiave che nasconde/mostra i modelli in modalità di debug.
Aggiunta la combinazione di tasti "Attiva/disattiva testo animazione", F6 per impostazione predefinita, in modo che le persone possano cambiare la chiave che nasconde/mostra il testo relativo all'animazione in modalità di debug.
Nuovo sottomenù "Indossa" per capi che possono essere indossati in diversi modi: Berretto da baseball, Poncho, Marsupio, Felpa con cappuccio ecc.
Modificato il pulsante On/Off nella finestra di dialogo Imposta allarme in una casella di controllo.
Aggiunta un'opzione per attivare e disattivare la mira toccando il tasto Mira. Tenendo premuto il tasto Mira per più di 1/2 secondo, mira senza forzare la mira, quindi la mira si interrompe quando viene rilasciato il tasto Mira. La corsa disattiverà la mira forzata.
Il menu "Allega" per allegare oggetti alla hotbar aggiunge "(Sostituisci XYZ)" se l'oggetto sostituirà un oggetto esistente, quando si fa clic su un oggetto nella finestra dell'inventario.
L'opzione del menu radiale del veicolo per bloccare e sbloccare le porte blocca e sblocca anche il bagagliaio quando si utilizza un controller.
I giocatori che usano il mouse possono già farlo facendo clic sull'icona del bagagliaio nella dashboard del veicolo.
Le opzioni del menu Allega mostrano l'elemento da sostituire in una descrizione comando invece del nome dell'opzione, in modo che corrisponda al menu Indossa
Aggiunti suggerimenti al sottomenu Mangia per mostrare quanta fame/sete/infelicità verrà modificata, oltre a visualizzare un avviso sul cibo crudo e sul cibo che è meglio caldo o freddo.
Aggiunto l'avviso "Cotto nel microonde" alle descrizioni comandi del sottomenu Eat.
Non avvolgere lunghe file nelle descrizioni degli oggetti di usura (quelle che mostrano i bonus di morso/graffio)

 

[SEZIONE][TUTORIAL]
Aggiunto codice per i nuovi segnalini obiettivo di Turbo
Aggiunto indicatore obiettivo dell'indicatore di riferimento
Aggiunti elementi in evidenza migliorati
Miglioramento del posizionamento della finestra del tutorial di Spiffo
Aggiunto lavoro (incompleto) sui controller con tutorial
Aggiunto avviso zombi quando il giocatore apre il sipario per vedere dar da mangiare ai fratelli
 

[SEZIONE][RIordino Cadaveri E Generatori]

Riempire una tomba è ora un'azione separata dal seppellire il quinto cadavere. Succede ancora automaticamente dopo aver seppellito il quinto cadavere.
Seppellire un cadavere non riproduce più un'animazione di spalare. Questo è stato rotto poiché la pala non poteva essere equipaggiata mentre il cadavere era ancora nelle mani del giocatore, quindi la pala poteva apparire nelle mani del giocatore e sulla sua schiena.
Quando si equipaggia un oggetto nelle mani, i cadaveri e i generatori vengono lasciati prima in un'azione separata. La caduta di un cadavere o di un generatore avveniva istantaneamente non appena l'oggetto veniva equipaggiato.
Gli oggetti nelle mani non sono equipaggiati in un'azione separata prima di raccogliere un cadavere o un generatore. Questo ha un aspetto migliore quando gli oggetti equipaggiati sono nella hotbar.
Facendo clic con il pulsante destro del mouse su un cadavere o un generatore equipaggiato si dice "Lascia" invece di "Disequipaggia".
Risolto il problema con la visualizzazione di "Prendi uno / Prendi metà / Prendi tutto" per le pile di cadaveri in un container.
 

[SEZIONE][RIordino CAMINO E CAMINO]

Il carbone può essere utilizzato come combustibile nei fuochi e nei caminetti.
Ogni utilizzo di carbone aggiunge 30 minuti di carburante a un barbecue/falò/camino, invece di utilizzare l'intera borsa.
I barbecue a carbone possono utilizzare lo stesso combustibile e gli stessi metodi di avviamento di falò e caminetti.
Solo gli indumenti con FabricType definito (roba che può essere strappata) possono essere usati come carburante in un barbecue/fuoco da campo/camino.
I nuovi suggerimenti "Aggiungi carburante" e "Fuoco leggero" mostrano la quantità di tempo di combustione per ogni oggetto.
Ha smesso di piovere riducendo il carburante del fuoco due volte più veloce, poiché sembrava un insetto.

 


[SEZIONE][MODDING E TRADUZIONE COMMUNITY]

Aggiunta una correzione/funzione per il modding della radio, per consentire cose sensibili alla tempistica come le mod di voice-over.
Le righe in WordZed ora possono essere precedute da "${t:xx.xxx}" dove x è la quantità di secondi. Ciò annullerà le limitazioni di attivazione della linea standard nel sistema radio e utilizzerà la quantità fornita secondi prima di passare alla linea successiva.
 

Rimosso l'elenco hardcoded delle lingue in modo che i mod possano aggiungere nuove lingue.
[NODOT]<INDENT:40> Le lingue vengono caricate cercando nella cartella media/lua/shared/Translate il gioco e le eventuali mod attive.
[NODOT]<INDENT:40> In ogni cartella della lingua, un nuovo file chiamato language.txt specifica il nome e la codifica dei caratteri.
[NODOT]<INDENT:40> La vecchia enum "Language" è ora una classe. Questo non dovrebbe interrompere le mod (a meno che non stessero chiamando un metodo non implementato).
 
I file media/lua/shared/Translate/XX/language.txt possono avere una riga "base = YY", dove YY è il nome di un'altra lingua da utilizzare per le traduzioni mancanti, prima di utilizzare la lingua predefinita EN.
[NODOT]<INDENT:40> Ad esempio, un mod che vuole sovrascrivere alcune traduzioni francesi potrebbe usare questo file language.txt:
[NODOT]<INDENT:40> VERSIONE = 1,
[NODOT]<INDENT:40> testo = Mod francese,
[NODOT]<INDENT:40> set di caratteri = Cp1252,
[NODOT]<INDENT:40> base = FR,
    
Aggiunti i file di traduzione map description.txt e title.txt alle cartelle media/lua/shared/Translate/EN/<MAP>/. Questi ora vengono letti per la lingua inglese in modo che possano essere sovrascritti dai mod.
Risolto il problema con il testo intraducibile "Elimina 'preimpostato'?" nell'interfaccia utente delle opzioni sandbox.


[SEZIONE]EQUILIBRIO

I suggerimenti per il congelamento o lo scongelamento degli alimenti mostrano il tempo di congelamento.
Il tempo di cottura non viene più visualizzato per i cibi congelati (perché non possono essere cotti).
Aggiunta una ricetta per svuotare una padella.
Cambiato il secchio di vernice vuoto per immagazzinare l'acqua.
Solo gli orologi digitali mostrano la data sul display dell'ora.


[SEZIONE]ANIM

Abilitato EarlyTransitionOut per 1HDefault e SpearDefault.

Regolata la mesh della bash femminile per sembrare un po' più naturale
Posizioni della mano ottimizzate di 2h strafe a sinistra e a destra
Aggiunta l'opzione di stile all'acconciatura di Rachel e modificato alcune altre opzioni di stile.
Aggiunte maschere alle azioni alimentari per migliorare la miscela tra parte superiore e inferiore del corpo
Bob/Bob_StrafeAimSpear_Right.X e Bob/Bob_WalkBwdAim2H_Heavy.X modificati poiché l'arma non era ancorata alla mano
Aggiustati 2H_attacchi pesanti per terminare nella posa corretta
Risolto un problema di ricrescita ossea che faceva scivolare le armi nelle mani, in modo più evidente durante l'avanzamento veloce.
IsoLivingCharacter.bareHands dichiarato "finale" e fissata l'allocazione dei duplicati.
MinRange ridotto a 0,61 per varie armi da taglio, che è lo stesso delle altre armi da taglio. Ora che gli attacchi tengono conto della posizione della testa dello zombi e la testa è solitamente più vicina al giocatore rispetto al corpo, MinRange non ha bisogno di essere così grande. Gli intervalli possono essere visualizzati abilitando l'opzione di debug Character.Debug.Render.AimCone.
Risolto il problema con le armi pugnalate senza CloseKillMove definito come attacchi a mandibola.
Risolto il problema con il riavvio dell'animazione di spinta quando il giocatore inizia o smette di muoversi.
Risolto il problema con il giocatore che colpiva i veicoli che non stavano affrontando.
Risolto il problema con l'animazione del bit mentre era seduto del giocatore in loop per sempre.
Rimosse le transizioni duplicate in zombie/walktoward/transitions.xml

Transizioni e insiemi di variabili anim aggiornati e condizioni per funzionare con EarlyTransitionOut
[NODOT]<INDENT:40> Tutte le transizioni sono ora in ascolto su ActiveAnimFinishing invece di ActiveAnimLooped.
[NODOT]<INDENT:60> Usando <m_time>Start<m_time> invece di <m_timePc>0</m_timePc>
[NODOT]<INDENT:60> Usando <m_time>End<m_time> invece di <m_timePc>1</m_timePc>
[NODOT]<INDENT:40> Questo ci permette di attivare l'evento al punto di EarlyOut invece che alla fine.
[NODOT]<INDENT:40> Impedisce loop infiniti causati dall'attesa di un evento al 100% che non arriva mai.
[NODOT]<INDENT:60> Questo dovrebbe funzionare bene con tutti gli stati anim esistenti, mentre corregge tutti i loop infiniti.
[NODOT]<INDENT:40> Per abilitare un EarlyTransitionOut per un nodo, aggiungi semplicemente <m_EarlyTransitionOut>true</m_EarlyTransitionOut>

 
[SEZIONE][AGGIORNAMENTI MAPPA]

Risolta la mancanza di generatori a Kingsmouth e aggiunta la nuova definizione della stanza "Hangar".
Risolto il problema con il muro non tagliato su Studio
Miglioramenti generali a entrambe le mappe sfida

 
[SEZIONE]SOLUZIONI

Il giocatore ignorerà gli zombi in piedi sull'altro lato di una recinzione se c'è uno zombi prono sul lato vicino della recinzione.
Il giocatore può prendere di mira la testa, la vita o i piedi degli zombi inclini, invece che solo la testa. Mirare alla testa fa ancora il maggior danno.

Risolto il problema con le armi con una portata extra di 0,5.
[NODOT]<INDENT:40> - Questo raggio extra doveva essere utilizzato solo prima dell'inizio di un attacco, per vedere se uno zombi prono o uno zombi affondo doveva essere colpito.
[NODOT]<INDENT:40> - Tuttavia, questo non dovrebbe influire sulla gittata delle armi, perché ora la posizione della testa degli zombi in piedi è controllata e tende a essere 0,5 unità avanti rispetto al corpo quando uno zombi sta facendo un affondo.
[NODOT]<INDENT:40> - In teoria, questo aumenterà l'intervallo da 0,5 a 1,0 quando si sceglie di attaccare uno zombi in piedi invece di uno più vicino prono, +0,5 per la testa rispetto al corpo e +0,5 per il "gamma di affondo extra".

Risolto il problema con l'impossibilità di equipaggiare un cadavere o un generatore da un container se il giocatore ne trasportava troppo. Ciò ha impedito al giocatore di afferrare un generatore da un veicolo, ad esempio. Prima doveva essere lasciato cadere a terra. Il giocatore era sempre in grado di equipaggiare un cadavere o un generatore da terra indipendentemente dal peso.
Risolto un errore lua utilizzando il menu contestuale dell'agricoltura per piantare semi senza attendere il completamento dell'azione precedente.
Risolto il problema con la possibilità di successo e la possibilità di danni a volte inferiori a 0 o superiori a 100 durante l'installazione o la disinstallazione di parti del veicolo.
Risolto il problema con le recinzioni tagliate che sembravano frastagliate nella parte inferiore
Risolto il problema con tutte le recinzioni che non tagliavano
Risolto il problema con la protezione da morso/graffio da Sartoria e programmi TV che guadagnavano XP producendo valori fluttuanti
Risolte le situazioni in cui i fogli strappati dovrebbero essere chiamati vestiti strappati
Risolto il problema con l'azione interrotta "Versare acqua contaminata" in un contenitore vuoto con conseguente acqua potabile
Risolto il problema con gli animali catturati macellati che non mostravano alcune variazioni di peso e calorie
Risolti molti capi di abbigliamento che non potevano essere strappati
Risolto il problema con i tempi di congelamento e scongelamento del cibo che aumentavano all'aumentare della durata del giorno. Ho impostato gli orari in modo che corrispondano approssimativamente alle durate esistenti al giorno predefinito di 30 minuti:
[NODOT]<INDENT:40> Congelamento:- 4 ore. Scongelamento: 15 minuti in forno, 1,5 ore a temperatura ambiente, 3,0 ore in frigorifero.
Risolto il problema con il menu radiale utilizzato per cambiare la modalità di spostamento dei mobili non funzionante.
Risolto il problema con il conteggio non necessario delle opzioni in ISContextMenu.lua.
Risolto l'errore lua in ISMoveableInfoWindow causato da sprite sovrapposti vuoti sui mobili. Potrebbe aggiungere uno sprite "nessuno" all'editor di overlay.
Risolto il problema con l'illuminazione del modello del giocatore che cambiava a volte dopo aver equipaggiato o disequipaggiato oggetti
Risolto il problema con lo sfarfallio dell'interfaccia utente a volte quando il rendering fuori schermo è abilitato.
Risolto il problema con le lingue che non venivano caricate su Linux e MacOS.
Risolto il problema con l'aspetto dell'interfaccia utente delle mod quando non ci sono mod.
Risolto il problema con i materiali di carpenteria che non venivano rimossi dalle mani del giocatore dopo la creazione.
Risolto il problema con l'evento OnTickEvenPaused che non veniva attivato quando il gioco era in pausa. Stava controllando GameLoadingState.bDone=true, ma è impostato su false al termine del caricamento.
Risolto il problema con i pulsanti del contenitore nella finestra del bottino che non venivano aggiornati dopo aver raccolto o posizionato mobili.
Risolto il problema con l'animazione della corsa fluttuante dopo che il giocatore si alzava dopo essersi imbattuto in uno zombi.
Risolti cadaveri e zombi a terra senza ombre.
Risolto il problema con le azioni che utilizzavano la quantità di acqua della pozzanghera sui quadrati del fiume/piscina.
Risolto il problema con l'orologio che non veniva visualizzato con i nuovi orologi indossati.
Risolto il problema con l'elenco delle luci che toccavano un quadrato non veniva cancellato quando ci si spostava in un'area senza luci.
Risolto il problema con CurrentCell.roomLights.contains(i) invece di contiene(roomLight).
Risolto il problema con le ombre che andavano in tilt durante l'avanzamento veloce.
Risolto il problema con la possibilità di prendere lo sporco da un quadrato con una pianta agricola su di esso.
Risolto il problema con la possibilità di scavare un solco su uno esistente. C'è già un'opzione "Rimuovi".
Risolto il problema con la possibilità di posizionare terra/ghiaia/sabbia su una pianta della fattoria.
Risolto il problema con la contrazione delle gambe durante l'attacco con armi 2H. Lo stato di svolta non aveva modo di uscire mentre era in corso un attacco.
Risolto il problema con gli zombi che a volte non riuscivano a scavalcare le recinzioni o attraverso le finestre.
Risolto il problema con l'azione del menu contestuale Smontare equipaggiando una maschera di saldatura nella mano invece di indossarla.
Risolto il problema con gli zombi che a volte camminavano lentamente contro i muri quando si avvicinavano al giocatore.
Risolto il problema con l'animazione in loop di zombie-crawler/hitreaction/Default.xml.
Risolto il problema con l'opzione "Informazioni sul falò" mancante quando si faceva clic su un falò dietro un muro di falegnameria.
Risolto il problema con l'impossibilità di iniziare a fasciare le ferite durante il movimento, anche se il movimento è consentito dopo l'inizio.
Risolto il problema con le selezioni della finestra dell'inventario e della finestra del bottino che cambiavano quando le azioni a tempo rimuovevano gli oggetti.
Possibilmente risolto il problema con più zombi che venivano pugnalati alla mascella da un singolo attacco.
Risolto il problema con il sottomenu Usura che non mostrava i bonus di difesa da morso e graffi. Il suggerimento sull'usura mostra quali elementi verranno sostituiti, invece del testo del menu contestuale "Sostituisci X con Y". Ciò è stato fatto perché a volte vengono sostituiti diversi articoli, ad esempio quando si indossa un abito Spiffo.
Risolto il problema con la duplicazione di marsupi e altri oggetti.
Forse risolto il problema con il giocatore che attaccava dopo aver terminato l'animazione di sfalsamento. Ha bisogno di feedback.
Risolto il problema con la difesa da morso e graffi sempre verde nella descrizione comando di Usura.
Il suggerimento sull'usura mostra la difesa da morso e graffi dell'oggetto da indossare, nonché il cambio +/, allo stesso modo dei suggerimenti dell'oggetto. "Difesa dal morso: 0 (-10)" per esempio.
Risolto il problema con l'opzione "Render Rain When Indoors" che non era modificabile.
Risolto il problema con la ricetta "Smantella orologio digitale" che non funzionava con i nuovi orologi.
Aggiunte le ricette "Corda per fogli artigianali", "Abbigliamento strappato" e "Fogli strappati".
Risolto il problema con le ricette disponibili che non venivano ordinate in cima all'elenco delle ricette quando la casella di controllo "Filtra tutto" è selezionata.
Modificati alcuni usi di Stack in ArrayList. Lo stack è sincronizzato, il che è un po' più lento.
Alcuni campi e classi dichiarati "finali".
Rimosso HandWeapon.directional
Risolti alcuni gc relativi a lambda
Risolto il problema con l'aspetto rotto dei modelli di orologi da polso causato dalle maschere.
Risolto il problema con la sovrapposizione del testo nelle descrizioni comandi del menu contestuale Disassembla quando si utilizzano caratteri di descrizione comandi più grandi.
Risolto l'errore lua del tutorial quando non si utilizza un controller.
Interrompi la creazione di una nuova descrizione comando per la finestra dell'inventario ogni volta che viene visualizzata una descrizione comando, riutilizza quella esistente.
Risolto il problema con la visualizzazione dei valori della fame di cibo marcio nei suggerimenti delle ricette evolute (troppi numeri dopo la virgola).
Risolto il problema con i suggerimenti della finestra dell'inventario che non venivano nascosti quando i menu contestuali sono visibili, quando si utilizza l'opzione "Menu contestuale singolo".
Risolto l'errore lua con i menu contestuali quando non si utilizzava l'opzione "Menu contestuale singolo".
Risolto il problema con gli zombi che strisciavano sui mobili saltando in posizione verticale quando colpiti dal giocatore.
Risolto l'errore lua facendo clic con il pulsante destro del mouse sugli elementi nella barra rapida mentre il gioco era in pausa. I menu contestuali di Hotbar non vengono più visualizzati quando il gioco è in pausa.
Riutilizza gli oggetti ISContextMenu invece di crearne di nuovi ogni volta
Risolto il problema con il testo "... e 0 altro" nei suggerimenti delle ricette quando sono possibili esattamente 10 elementi sorgente
Nascondi "Condizione" nelle descrizioni dei gioielli (qualsiasi oggetto con Cosmetico=TRUE).
Risolto bug in RichText Panel e Layout in cui veniva chiamato drawTextLeft.
Risolto il problema con la ricetta "Strappa abbigliamento" che non produceva strisce sporche dai vestiti sporchi.
Risolto il problema con i suggerimenti del menu contestuale non riutilizzati invece di crearne di nuovi ogni volta. I menu di falegnameria e lavorazione dei metalli hanno creato insieme oltre 60 suggerimenti.
- È possibile che il messaggio "Gioco in pausa" non venisse visualizzato dopo essere usciti dal menu principale.

Risolti alcuni problemi con l'attacco strisciante di scavalcamento dello zombi.
[NODOT]<INDENT:40> - Il movimento dello zombi è stato limitato.
[NODOT]<INDENT:40> - L'angolo di scansione non è stato sempre calcolato correttamente.
[NODOT]<INDENT:40> - Il test per colpire l'attacco non era del tutto corretto.
[NODOT]<INDENT:40> - L'immunità del giocatore a questi attacchi non ha gestito framerate diversi (IsoGameCharacter.lungeFallTimer).

Risolto il problema con item.RequireInHandOrInventory trattato come DisplayName in ISInventoryPaneContextMenu.doEatOption() invece di un tipo di elemento.
Corretto DisplayName per Necklace_Choker_Amber e Necklace_Choker_Diamond.
Risolto il problema con gli "Orecchini ad anello in argento medio" chiamati "Oro".
UI2.pack ricostruito per aggiungere alcune icone di oggetti mancanti e le trame di sangue/buco/cerotto mostrate nell'interfaccia utente di ispeziona-abbigliamento.
Risolto il problema con i suggerimenti del menu Metalwork utilizzando le vecchie traduzioni DisplayName.

Risolti gli errori Lua durante l'aggiunta di carburante a un barbecue/falò/camino da una pila di oggetti prima del completamento dell'azione precedente.
[NODOT]<INDENT:40> Questo è un vecchio problema in cui lo stesso elemento viene utilizzato da più azioni nella coda delle azioni. Dopo il completamento della prima azione, l'elemento non è più disponibile per l'uso da parte di azioni successive. Questo tipo di problema può essere evitato usando il nuovo ISContextMenu.addActionsOption() che aggiunge un'azione segnaposto alla coda delle azioni a tempo. Quando l'azione segnaposto viene avviata, chiama una funzione per aggiungere le azioni effettive alla coda.
[NODOT]<INDENT:40> Le nuove azioni vengono inserite nella coda subito dopo l'azione segnaposto. La funzione che viene chiamata può trovare elementi disponibili del tipo corretto, quindi gli elementi da utilizzare vengono determinati all'avvio dell'azione, anziché quando viene visualizzato per la prima volta il menu contestuale.

Ferma gli attacchi dei giocatori invisibili che creano rumore che attira gli zombi.
Risolto il problema con l'erba/vegetazione che si vedeva sopra le pareti interne quando il vento le faceva ondeggiare

Risolto il problema con l'exploit delle trappole posizionando i telai delle finestre vicino a loro rendendole indistruttibili.
[NODOT]<INDENT:40> - le trappole non possono più essere posizionate vicino a telai di finestre/hoppable
[NODOT]<INDENT:40> - se viene costruito un telaio di una finestra vicino alla trappola dopo aver posizionato prima la trappola, la trappola consumerà l'esca ma non catturerà mai nulla

Risolto il problema con il rilevamento infinito del segno fossile / che funge da interruttore della luce. Questo verrà risolto per i nuovi mondi, tuttavia i mondi esistenti avranno il problema rimanente a causa dei dati salvati
Risolto il problema con la creazione inutilmente di copie delle trame dei modelli di abbigliamento che non presentavano sangue, sporco o buchi. Questo include principalmente borse, cappelli, gioielli e orologi
Risolto il problema con il suono del "giocatore sorpreso da zombi" che non veniva riprodotto. Questo si è rotto quando abbiamo iniziato a generare zombi nelle case prima che il giocatore entrasse nella casa. Si generavano non appena il giocatore apriva la porta di una stanza.
Risolto il problema con la larghezza del testo delle traduzioni "Capelli" e "Barba" nell'interfaccia utente delle informazioni sui caratteri che non veniva presa in considerazione durante l'allineamento del testo.
Risolto il problema con l'impossibilità di abbattere gli zombi spingendo con un'arma simile a un coltello equipaggiata.


[VERSIONE] 41.41

[SEZIONE]NUOVO

Abilitato il pulsante "Nuovo personaggio" dopo la morte del giocatore in modalità giocatore singolo, quindi è più chiaro che i giocatori possono continuare il salvataggio con un nuovo personaggio. Questo pulsante era già disponibile in splitscreen e multiplayer.
Aggiunta l'opzione di visualizzazione "Ombre del cadavere". Le ombre dei cadaveri vengono disegnate come un passaggio separato (insieme alle ombre del giocatore, del veicolo e degli zombi), quindi potrebbero influire sulle prestazioni con molti cadaveri.
Aggiunta un'opzione sandbox per disabilitare l'affondo degli zombi dopo aver scavalcato la recinzione (nella tradizione degli zombi).
Consenti di dormire ovunque quando il personaggio raggiunge un livello di affaticamento di 4. Il sonno è breve e ha più effetti collaterali negativi di un "cattivo letto".
Consenti al giocatore di andare a dormire all'aperto quando piove.
Aggiunta l'opzione "Trame di abbigliamento semplice" per disabilitare sangue/sporco/buchi/cerotti sulle trame di abbigliamento. Il sangue/sporcizia/buchi/macchie sono ancora sui vestiti ma non vengono prelevati. L'attivazione di questa opzione può risparmiare memoria delle texture e possibilmente migliorare le prestazioni su hardware con specifiche inferiori.
Aggiunte "Trame armi semplici" che disabilitano il prelievo di sangue sulle armi. L'attivazione di questa opzione può salvare la memoria delle texture e possibilmente migliorare le prestazioni su hardware con specifiche inferiori (ma non tanto quanto Simple Clothing Textures).
Consenti l'apertura simultanea di più finestre della mappa.
Aggiunti i metodi UIElement:onKeyPress(), onKeyRepeat() e onKeyRelease() in modo che gli UIElements di primo livello possano intercettare le pressioni dei tasti senza dover utilizzare eventi come Events.OnKeyPressed o Events.OnCustomUIKey.

 
[SEZIONE]EQUILIBRIO

Tasso di spawn leggermente ridotto degli orologi sugli zombi
Ridotta leggermente la possibilità di allarmi preimpostati sugli orologi
Fucile d'assalto a colpo singolo M14 ribilanciato.
[NODOT]<INDENT:40> Modello modificato
[NODOT]<INDENT:60> - Ora usa munizioni adeguate (.308) invece di 5.56.
[NODOT]<INDENT:60> - Dimensione rivista impostata su 20
[NODOT]<INDENT:60> - Il danno è stato bilanciato per portarlo in linea con altri fucili
Danni ridotti per Wood Axe a 1,3 Min e 3 Max, da 3,6 Min e 4,6 Max. I valori di danno precedenti erano una soluzione alternativa per un bug passato che è stato superato quando detto bug è stato corretto.
Aggiunte felpe con cappuccio ad alcuni abiti da zombi.
I grandi scaffali di metallo ora richiedono lo smontaggio di elementi in metallo, inoltre forniscono barre e piastre di metallo (in precedenza erano solo viti).
Aumentato il tasso di spawn del marsupio.
Aumento del peso dei fucili.
Angolo di spinta minimo ridotto per interrompere il lavoro di spinta su zombi lontani
Portata massima di spinta ridotta poiché la portata "si estende" quando il giocatore spinge (poiché il corpo si sporge in avanti, così fa la portata)
Le trappole possono essere distrutte quando il giocatore è fuori portata
[NODOT]<INDENT:40>- quando distrutto, un destroyItem prende il posto delle trappole, per impostazione predefinita questo è 'legno inutilizzabile' ma può essere impostato nella definizione della trappola
L'opzione del menu contestuale dell'inventario "Metti nel contenitore" ora mostra il nome del contenitore (se presente). Si spera che questo renda più chiaro che l'oggetto non entrerà in una borsa attrezzata.
Aumentata la portata che il giocatore preferisce prendere di mira gli zombi affondi invece degli zombi inclini da 0,5 a 1,0


[SEZIONE]ANIM
Modificata l'animazione di mancanza a 2 mani per lasciare l'arma nella mano sinistra durante l'animazione di mancanza
Non consentire la pesca quando si è seduti a terra, poiché tale azione non ha animazioni giocabili in questo momento. Se l'interfaccia utente viene aperta prima e il giocatore si siede prima di iniziare l'azione di pesca, viene eseguito un forceGetUp.
Rimossi i fotogrammi in eccesso dall'anim "zombie alzati da dietro".
Impostazioni di fusione ottimizzate per "zombi che si alza"


[SEZIONE]SOLUZIONI
Risolto il problema con gli zombi che pugnalavano la mascella attraverso finestre ininterrotte o barricate.
Risolto il problema con la riproduzione dell'animazione della pugnalata alla mascella ma il personaggio mancava
Risolto il problema con gli schizzi di sangue e la riproduzione di suoni di impatto dell'arma quando si colpiva una finestra tra il giocatore e uno zombi.
Risolto il problema con l'annullamento del collegamento di un oggetto alla hotbar che lasciava il modello visibile sul giocatore ma non nella hotbar.
Risolto il problema con gli aggiornamenti dell'interfaccia utente che rallentavano quando le opzioni di debug GameTime.Speed.XXX sono abilitate.
Risolto il problema con IsoZombie AnimationPlayer che veniva liberato, quindi ricreato dopo la morte.
Risolto il problema con il codice di debug del rendering del modello che accedeva a AnimationPlayer dal thread di rendering. Questo era il codice che rendeva lo scheletro del personaggio e altre cose.
Risolto un bug nella classe JOML Matrix4f.
Eliminate alcune vecchie classi inutilizzate.
Risolto un problema di rendering dello schermo diviso impercettibile quando il gioco era in pausa.
Risolto l'errore lua con l'interfaccia utente di Horde Manager quando la posizione di spawn esce dai limiti.
Risolto il problema con i modelli di zombi che si aprivano quando diventavano visibili per la prima volta.
Risolto il problema con NullPointerException che si arrampicava attraverso un telaio di una finestra senza una finestra.
Risolto il problema con l'animazione di chiusura della finestra che non veniva riprodotta quando si utilizza un controller.
Risolto il problema con la possibilità di dormire in un'auto in movimento.
Risolto il problema con il cursore mobile che non era in grado di raccogliere le pareti del cubicolo dell'ufficio dal lato ovest/nord, le rendeva anche saltabili.
Funzionalità aggiunta per qualsiasi oggetto esistente come Iso e Inventario (come le radio) per essere smontabile/scappabile nella loro forma IsoObject cercando la ricetta di smantellamento dell'oggetto dell'inventario. Affinché funzioni, le spriteproperties devono essere impostate su 'CanScrap' E avere almeno un materiale fittizio definito affinché lo scrapcode lo riconosca come valido scrapable, i materiali effettivamente restituiti saranno dalla ricetta
Pareti fisse sulla stessa tegola sovrapposta alla porta quando quest'ultima veniva aperta.
Aggiunto un controllo che assicura che l'indice della porta sia sempre dopo l'ultimo muro e l'indice del muro sia sempre prima della porta.
Aggiunta una proprietà tile TreatAsWallOrder per oggetti che non sono pareti ma devono essere trattati come tali nell'indicizzazione (come i vetri della doccia)
Il moltiplicatore FPS ora è limitato a un massimo di 5 (6fps->30fps). Questo potrebbe risolvere la morte per scale, insieme ad altre possibili morti improvvise dovute a pause legate al ritardo, poiché il tempo non passerà in modo significativo durante tale pausa.
Risolti alcuni problemi di raccolta dei rifiuti lambda
Risolto il problema con le stringhe Keyframe.BoneName duplicate (Bip01, ecc.)
Risolto il problema con la musica della morte che non si interrompeva dopo aver creato un nuovo giocatore utilizzando il pulsante Nuovo personaggio.
Possibile bug risolto che trattava gli zombi ambulanti come se fossero ancora atterrati, causando priorità errate dei bersagli quando si attaccavano gli zombi colpiti.
Risolto il problema con l'interruzione del movimento del giocatore durante la riproduzione dell'animazione dell'attacco critico a una mano.
Risolto il problema con gli oggetti indossati dal polso che tagliavano gli abiti a maniche lunghe nascondendo gli oggetti indossati dal polso.
Risolto il problema con il tipo di barba "Nessuno" per la creazione del personaggio che non veniva selezionato durante il caricamento di un preset senza barba.
Risolto il problema con la sfocatura a determinati livelli di zoom
Risolto il problema con il sangue che non veniva prelevato temporaneamente sui modelli di armi con barra calda durante l'equipaggiamento o il disequipaggiamento.
Risolti vari pannelli di debug che interessavano un giocatore morto dopo aver creato un nuovo giocatore con il pulsante Nuovo personaggio.
Risolto il problema con le ricette che non preservavano lo stato "preferito" degli oggetti quando l'elemento risultante ha lo stesso tipo di un elemento di origine.
Risolto il problema con gli zombi che finivano sulla schiena quando venivano colpiti mentre giravano dalla schiena alla parte anteriore.
Risolto il problema con l'animazione "chiudi finestra" che veniva riprodotta quando si preme il tasto E su una finestra barricata chiusa.
Risolto il problema con i fucili d'assalto vuoti nelle modalità Burst o Singolo fuoco che uccidevano gli zombi.
Risolti gli articoli di abbigliamento che non potevano sporcarsi di sangue e sporco per essersi bagnati. Questo include cinture, gioielli e orologi.
Risolto il problema con SleepingEvent che non funzionava correttamente in splitscreen.
Risolto il problema con i cadaveri che venivano trascinati sotto le scale. Vengono comunque tagliati se si sovrappongono a una piastrella della scala inferiore.
Risolto il problema con i cappelli staccati che venivano disegnati sotto le scale
Risolti alcuni casi in cui i contenitori vuoti sembravano contenere oggetti.
Risolti alcuni tipi di oggetti non validi nelle tabelle di generazione del bottino.
Stampa un avviso sulla console quando nelle tabelle di generazione del bottino sono presenti tipi di oggetti non validi.
Risolti alcuni gc con la generazione di oggetti.
ProceduralDistributions La tabella Lua viene analizzata una volta durante l'avvio anziché ogni volta che vengono generati gli elementi
Risolto il problema con i tasti di scelta rapida della hotbar che non funzionavano dopo che il giocatore veniva urtato appena prima dell'inizio di un attacco


[VERSIONE] 41.42

[SEZIONE]NUOVO
Aggiunta la ruota delle emote, al momento premi Q per aprirla.
[NODOT]<INDENT:40> - Le ruote delle emote sono associate a Q per impostazione predefinita.
[NODOT]<INDENT:40> - Ora è necessario premere a lungo la ruota delle emote per visualizzare.
[NODOT]<INDENT:40> - La ruota delle emote include emote dall'aspetto diverso se sei in modalità invisibile
[NODOT]<INDENT:40> - Premendo Q (urlo) mentre sei accovacciato ora avrai un testo diverso e un raggio del suono più piccolo.
[NODOT]<INDENT:40> - Far oscillare la tua arma in aria (senza colpire nulla) non attirerà più gli zombi.

Aggiunti nuovi set di anim per la pesca con le lance.
[NODOT]<INDENT:40> - Ora puoi pescare con una canna da pesca stando seduto a terra.
Aggiornate le icone dell'applicazione MacOS.
Consenti agli articoli medici di essere trascinati nell'elenco delle parti del corpo ferite nell'interfaccia utente della Salute. In precedenza gli elementi potevano essere trascinati solo sull'immagine del corpo.
Reso più affidabile il clic con il pulsante destro del mouse sugli elementi a terra controllando se l'icona dell'oggetto si trova entro una certa distanza dal puntatore del mouse. In precedenza, venivano rilevati solo gli elementi nel quadrato su cui era stato fatto clic. Se l'oggetto era vicino all'angolo di un quadrato, l'utente doveva cercare in giro per trovare il posto giusto su cui fare clic.
Mappa aggiornata per includere correzioni recenti e Ben's Cabin


[SEZIONE][DEBUG]

Aggiunto un pulsante Ricarica all'elenco dei file del debugger lua. Appare accanto al nome del file dell'elemento su cui è posizionato il mouse.
Aggiunto un visualizzatore di clip di animazione nel gioco a cui si accede con CTRL+F7 in modalità di debug.


[SEZIONE][TUTORIAL]

La qualità della vita cambia e corregge
Aggiornato con le nuove icone del controller di Binky


[SEZIONE][MODDING]

Spostato il codice per fare clic su tende, porte e interruttori della luce da Java a ISObjectClickHandler.lua in modo che i modder possano modificare questo comportamento.
Aggiunto codice indietro a IsoPlayer.removeSaveFile() per eliminare i file di salvataggio map_pN.bin per aiutare Nolan su SuperSurvivors e altre modifiche minori per semplificargli la vita
Aggiunta una nuova proprietà dell'elemento denominata Tag. Tags è un elenco di stringhe che possono essere utilizzate per specificare per cosa viene utilizzato l'elemento.
[NODOT]<INDENT:40> Invece di controllare elenchi di tipi di oggetti come Hammer/HammerStone o Saw/GardenSaw, il gioco può cercare oggetti che hanno determinati tag. Questi tag sono: ChopTree, ClearAshes, CutPlant, DigGrave, DigPlough, Hammer, Saw, TakeDirt. Inoltre, gli orologi digitali hanno il tag Digital che influisce sulla modalità di visualizzazione dell'orologio.
Trasferite le funzioni ricettacode.lua in una tabella globale chiamata Recipe.
[NODOT]<INDENT:40>Le funzioni sono organizzate in sottotabelle Recipe.OnCreate, Recipe.OnGiveXP e Recipe.OnTest.
[NODOT]<INDENT:40>Questo è simile a come funzionano le funzioni lua dello script del veicolo.
[NODOT]<INDENT:40>Ad esempio, CutFish_TestIsValid è ora Recipe.OnTest.CutFish.
[NODOT]<INDENT:40>I vecchi nomi delle funzioni sono ancora disponibili per evitare di interrompere le mod.
I messaggi di errore vengono stampati sulla console durante il caricamento di un gioco se i metodi OnCreate, OnGiveXP o OnTest di una ricetta non sono definiti.


[SEZIONE]EQUILIBRIO

Ridotta possibilità di critico dei coltelli.
Ignora il rallentamento dovuto a ferite, stati d'animo negativi, ecc. quando chiudi o apri le portiere del veicolo.
Ridotta la distanza di attivazione degli interruttori della luce.
Il martello a penna sferica ora può essere utilizzato per carpenteria, ecc.
Le lance usate per la pesca perdono la loro condizione se danneggiate e non scompaiono dall'inventario del giocatore.
Se stavi per eseguire un'uccisione ravvicinata con un coltello (pugnalata alla mascella) vietata quando gli zombi stanno attaccando, ma il tuo attacco normale alternativo infliggerà più danni. Ciò evita il rischio di pugnalate indesiderate alla mascella quando si hanno abilità elevate con la lama piccola.
Aumento del guadagno di XP per ricaricare/mirare quando il livello è inferiore a 5.
Danno minimo aumentato di M14 da 1 a 1,2.


[SEZIONE]ANIM

Nascondi gli oggetti a sinistra quando ricarichi le armi da fuoco.
Nascondi qualsiasi oggetto a sinistra quando abbatti gli alberi.
Modificati i normali occhiali UV in modo che le braccia mostrino, versioni maschili e femminili.
Modificati gli anim per bere per essere un po' più naturali.
Rinculo della pistola ottimizzato, caricamento e travaso di miscele per eliminare alcuni scoppi.
Rinculo leggermente aggiustato di pistola e fucile.
Ottimizzate le maschere Pants.xml, Pants_Black.xml e Pants_NavyBlue.xml per evitare il clipping.
Ottimizzato Shorts_ShortFormal.xml per evitare il ritaglio.


[SEZIONE]SOLUZIONI

Risolto il problema con i contenitori non vuoti che a volte sembravano privi di oggetti (in edifici casuali pieni di carta igienica).
Risolto l'errore lua con l'opzione del menu contestuale "Riposo" quando era estremamente stanco e non veniva cliccato nessun letto/sedia.
Risolto il problema con la possibilità di pescare da una distanza infinita, ora dovrai trovarti a un massimo di 6 tessere dallo specchio d'acqua con una canna e 2 tessere con lance.
Risolti vari problemi con i mobili, principalmente quelli in metallo.
Risolto il problema con i veicoli che non entravano in collisione con gli zombi dopo lo spegnimento del motore mentre il veicolo era ancora in movimento.
Risolto il problema con gli zombi che a volte attaccavano invece di riprodurre la loro animazione di reazione al colpo.
Risolto il problema con la raccolta dei rifiuti dell'evento di animazione.
Risolti gli eventi ActiveAnimXXX che si verificavano ogni frame dopo l'avvio di un nuovo nodo nello stesso AnimSet.
Risolti due file DebugLog.txt creati durante l'avvio. Uno di questi file veniva chiuso tramite la raccolta dei rifiuti, che in passato ha causato problemi su Linux.
Risolto il problema con l'impossibilità di pugnalare a mandibola uno zombi da dietro quando lo zombi stava riproducendo l'animazione Zombie_DoorClaw.
Risolto il problema con le animazioni d'azione (come la lettura) che non venivano riprodotte quando si era seduti a terra dopo aver tentato di attaccare stando seduti.
Risolto il problema con le azioni a tempo che continuavano mentre ci si alzava da seduti dopo aver premuto un tasto di movimento.
Risolto il problema con parti di abbigliamento che non erano visibili attraverso un foro in uno strato sopra a volte.
Risolto il problema con gli zombi che riproducevano il loro suono di aggressività dopo aver ucciso il giocatore. Continuava a suonare durante il suono del corpo che mangiava.
Risolto il problema con più urla di morte che suonavano a volte quando il giocatore veniva ucciso da zombi.
Risolto il problema con gli zombi che a volte riproducevano di nuovo l'animazione del morso dopo aver trascinato il giocatore a terra.
Risolto il problema con l'animazione dell'avatar delle informazioni sul giocatore che si animava più lentamente a framerate più elevati.
Risolto il problema con l'animazione del visualizzatore di clip di animazione che funzionava più lentamente a framerate più elevati.
Risolto il problema con l'impossibilità di interagire con le tende posizionate dal creatore della mappa.
Risolto il problema con le stanze che a volte apparivano spente quando l'interruttore della luce era acceso. Ciò è accaduto durante il caricamento di una parte della mappa con interruttori della luce della stanza ma senza lampade o luci del portico.
Risolto il problema con l'uso di ogni capo di abbigliamento in una pila, quando quegli oggetti avevano lo stesso nome ma tipi sottostanti diversi (come Giacca).
Risolto il problema con gli oggetti preferiti utilizzati per il carburante del fuoco.
Risolto un bug con il riutilizzo degli zombi che poteva far sì che uno zombi cercasse di camminare verso un suono che sentiva prima che fosse rimosso dal mondo.
Risolto il problema con l'avatar delle informazioni sul giocatore che non si aggiornava quando cappelli e occhiali venivano fatti cadere dal giocatore.
Risolto il problema con la finestra del bottino che non si aggiornava per mostrare cappelli e occhiali fatti cadere a terra dal giocatore.
Risolto il problema con l'animazione dell'avatar delle informazioni sul giocatore mentre il gioco era in pausa.
Risolto il problema con il menu di falegnameria Il sottomenu Porta che appariva disabilitato quando è possibile costruire uno stipite..
Risolto il problema con il cibo in un sacchetto in un frigorifero/congelatore che non si raffreddava o si congelava.
Risolto il problema con le porte/finestre del garage di grandi dimensioni che mostravano porte/finestre di dimensioni normali raddoppiate negli spaccati.
Risolto il problema con la disconnessione e il ritorno con la sfida "L'inverno sta arrivando" (e altre) azzerando il timer.
Risolte alcune discrepanze di peso degli articoli.
Risolto il problema con l'impossibilità di avviare un barbecue con altri materiali a parte la carta.
Risolto il problema con lo zucchero illimitato che poteva essere aggiunto a una bevanda.
Risolto il problema con gli armadietti che non tagliavano correttamente.
Risolto il problema con il pranzo al sacco che si generava sempre con cibo fresco anche per molto tempo nell'apocalisse.
Risolto il problema con il versamento dell'acqua da una bottiglia all'altra che non riservava lo stato preferito della bottiglia vuota.
Risolto il problema con il riempimento della casseruola rotta.
Risolto il problema con l'opzione sandbox "Mortalità da infezione" impostata su "Mai" che non funzionava.
Risolto il problema con il posizionamento e la rimozione dell'esca da una trappola duplicandola.
Risolto il problema con la voce "Filtro nome" dell'interfaccia utente di creazione e la casella di controllo "Filtra tutto" che mostravano valori diversi in ciascuna scheda.
Risolto il problema con l'interfaccia utente di pesca che non era abbastanza alta per visualizzare gli oggetti catturati a volte.


[VERSIONE] 41.43

[SEZIONE]NUOVO
Aggiornato con nuove icone del controller sulla schermata di gioco quando si gioca con il pad
Le finestre dell'inventario e del bottino vengono immediatamente chiuse quando il giocatore inizia a mirare, a meno che non vengano bloccate.
 
Interrompi gli zombi che si arrampicano attraverso le finestre se il giocatore sta chiudendo la finestra.
[NODOT]<INDENT:40> Questo si applica se uno zombi sta iniziando ad arrampicarsi attraverso una finestra e non è oltre il davanzale della finestra.
Blocca il giocatore chiudendo una finestra se uno zombi si sta arrampicando su di essa. Il giocatore riproduce l'animazione "lotta" se uno zombi è sopra il davanzale della finestra.

Aggiunta l'opzione di accessibilità "Bere acqua automaticamente quando si ha sete". È attivo per impostazione predefinita. Facendo clic con il pulsante destro del mouse su una bottiglia d'acqua quando hai sete viene visualizzata una nuova opzione "Quench Thirst". Questa opzione non viene visualizzata per il cibo (come le lattine), solo i contenitori per l'acqua. Ogni unità d'acqua rimuove il 10% della sete, come sempre. Quindi una sete inferiore al 10% può rimanere dopo aver bevuto.
 
Aggiunta l'opzione di accessibilità "Lascia la chiave all'accensione". Quando abilitata, la chiave rimane nell'accensione di un veicolo quando il motore è spento.
 

[SEZIONE][PERFORMANCE]
 
Oggetti raggruppati migliorati, che a loro volta dovrebbero migliorare le prestazioni nelle aree ad alta densità di zombi.
[NODOT]<INDENT:40> (nelle impostazioni di Sei mesi dopo, ad esempio, il gioco impiegava più di 6 ms per rilasciare un AnimationPlayer quando rimuoveva uno zombi dal mondo. Questa volta è stato ridotto a circa 0,01 ms - 0,03 ms).


[SEZIONE]EQUILIBRIO
 
Rimosso l'attacco che stava sostituendo una pugnalata alla mascella annullata
Aggiunti più nascondigli del pavimento, inclusi alcuni esotici.
Maggiore possibilità di trovare una mappa annotata
Aumentata la possibilità di trovare un sopravvissuto Zed
Raffinato il colore del contorno quando si mira a zed con un'arma da fuoco: ora appare il verde quando la possibilità di ottenere un buon tiro è molto più probabile
Maggiore possibilità di clip trovata nelle pistole o accanto ad essa.
Modificati i tempi di sonno e veglia
Aggiunte trappole distrutte nel mondo in streaming che restituiscono gli stessi oggetti di quando sono state distrutte nella "simulazione fuori schermo"


[SEZIONE][MODELLI MODELLI/ANIM]
 
Regolate più borse e rete del grembiule in modo che non si aggancino tra loro
Fatta la maschera di saldatura che sostituisce i cappelli e viceversa (non può essere indossata contemporaneamente)
Fatto in modo che gli orecchini non si infilassero nei cappucci
 

[SEZIONE]SOLUZIONI
 
Risolto il problema con gli zombi striscianti che colpivano il giocatore in un veicolo durante l'attacco di recinzione/strisciamento della finestra.
Risolto il problema con il focus del controller sulla schermata di caricamento del gioco dopo aver caricato un gioco con il controller attivo.
Risolto il problema con le selezioni dell'inventario e della finestra del bottino che a volte venivano cancellate durante il trascinamento degli oggetti. Ciò ha comportato il mancato rendering degli elementi trascinati.
Risolto il problema con il cruscotto del veicolo che rimaneva nascosto dopo aver nascosto l'interfaccia utente all'interno di un veicolo.
Risolto il problema con l'interfaccia utente di creazione, mappa e meccanica che bloccava tutti gli eventi di pressione dei tasti.
Risolto il problema con i multipli di "Tempo prima della rimozione dei cadaveri" che passavano prima che i cadaveri venissero rimossi.
Risolto il problema con i cadaveri che si spostavano e cambiavano da maschio a femmina durante la decomposizione.
Risolto l'errore Lua durante il caricamento di una sfida se tutti i file Lua venivano ricaricati a causa di mod.
Risolto il problema con i suoni di morte di più giocatori.
Risolto il problema con l'interfaccia utente di ispeziona abbigliamento che mostrava valori di difesa da morso/graffio errati per gli oggetti con il modificatore di protezione del collo < 1.
Risolto il problema con il bonus di difesa da morso/graffio sul collo che veniva ridotto sugli indumenti con il modificatore di protezione del collo < 1.
Risolto il problema con l'impostazione dell'ora di inizio della sandbox alle 5 del mattino a partire dalle 9 del mattino.
Risolto il problema con la visualizzazione di "Versamento" nella finestra dell'inventario durante la combinazione di Thread.
Risolto il problema con le assi nascoste non funzionanti (il contenitore "nascosto" nel pavimento).
Risolto il problema con la visualizzazione della hotbar per gli utenti del controller
Risolto il problema con CTRL+A nell'inventario e nelle finestre del bottino che faceva girare il giocatore.
Risolto il problema con il nome della funzione mancante nei messaggi di eccezione "xxx non definito per operandi in null".
Risolto il problema con la mancata presa di proiettili dai sacchetti per ricaricare un caricatore quando si utilizza il menu radiale. I proiettili nei sacchetti sono stati presi utilizzando il menu contestuale.
Risolto il problema con la possibilità di versare lo sporco sulle piastrelle dell'acqua
Risolto il problema con la rimozione di tappeti/tappeti con determinate azioni che chiamavano addfloor (versare/prendere sporco, costruire pavimento)
Risolto il problema con alcune panche che richiedevano strumenti diversi per diverse direzioni di orientamento
Risolto il problema con gli oggetti che non potevano fare clic o essere aggiunti al menu contestuale quando "sotto/dietro" un muro crollato
Risolto il problema con il versamento della stessa cosa dello stesso tipo più volte su una piastrella (sabbia/ghiaia/terra)
Risolto il problema con il ranger del parco che non faceva funzionare correttamente la sua passeggiata tra gli alberi


[VERSIONE] 41.44

[SEZIONE]NUOVO
Riutilizza i pulsanti del contenitore nelle finestre dell'inventario e del bottino invece di crearne di nuovi ogni volta che le finestre vengono aggiornate.
Usa i pulsanti di opzione invece delle caselle di controllo per i bagagli disponibili nell'interfaccia utente del foraggio.
Gli zaini insanguinati e sporchi ora possono essere lavati.
Rimossa la statistica "Età" dal pannello delle informazioni sul personaggio
Aggiungi messaggio Sì/No dopo aver premuto Esci sul desktop
Organizza meglio i controlli dello schermo delle opzioni quando cambia la risoluzione.
Riattivato il contatore FPS - visualizzato con K per impostazione predefinita. Dovrebbe funzionare bene ora.
DPad-down mostra il menu radiale delle emote. Quando viene visualizzato un sottomenu, evidenziare un'emoticon e premere di nuovo DPad in basso per selezionarla.
Consenti l'espansione dell'inventario compresso e delle finestre del bottino quando il mouse si sposta su di esse quando il giocatore sta mirando se il gioco è in pausa.
Aggiunte nuove acconciature: riga centrale, riga laterale, ecc
Aggiunti modelli 3D di vasetto - maionese ecc. (O mangiali con un cucchiaio o bevili direttamente! wow.)
Aggiunti modelli 3D di taniche di benzina (ora è possibile tenere in mano anche la tanica di benzina)
Vietare il passaggio tra i sedili anteriori e posteriori nell'auto della polizia, poiché c'è un divisorio tra di loro.
Indica visivamente i posti che non possono essere raggiunti dal posto attuale nell'interfaccia utente del posto di scambio.
Aggiunte animazioni per equipaggiare e smontare oggetti e vestiti.
Aggiunta una nuova animazione di seduta utilizzata durante l'esecuzione di azioni a tempo.
Consentire di estrarre canne da pesca, lance ed esche dalle borse quando vengono utilizzate.
Consenti di interrompere gli orologi che squillano e gli orologi nell'inventario mentre ti muovi.
Traduzioni aggiornate.
 

[SEZIONE][SOLUZIONI DI COMBATTIMENTO]

Per risolvere i problemi del giocatore che attacca uno zombi abbattuto piuttosto che una minaccia in arrivo, ora c'è un valore fisso di 1,5 per ignorare gli zombi inclini. Quando c'è uno zombi in piedi entro 1,5 quadrati davanti al giocatore, gli attacchi a terra non si verificheranno. Questo valore è lo stesso indipendentemente dall'arma usata (comprese le mani nude).
Gli zombi dietro al giocatore non impediranno gli attacchi a terra.
Come sempre, gli zombi proni verranno ignorati se c'è uno zombi in piedi all'interno della portata dell'arma, che potrebbe essere maggiore di 1,5.
 
Data la possibilità di scegliere tra due zombi a terra:
[NODOT]<INDENT:40> 1) Dai priorità più alta a uno zombi che si sta alzando.
[NODOT]<INDENT:40> 2) Assegna priorità più alta a uno zombi che striscia (ma priorità più bassa rispetto a uno che si sta alzando).
 
Risolto un bug per cui uno zombi prono poteva essere scelto rispetto a uno che si alzava. Ciò era dovuto al passaggio degli zombi da prono a in piedi a metà dell'animazione di alzarsi.
Risolto il problema con l'exploit di munizioni infinite con le armi da fuoco RackAfterShoot.
Migliorato l'aspetto dei contorni della mira attorno agli zombi e colori migliorati.
Modificata l'opzione "Contorno mira" per avere tre scelte: "Nessuna", "Armi a distanza" e "Qualsiasi arma".
[NODOT]<INDENT:40> "Qualsiasi arma" dovrebbe ridurre la frustrazione per alcune persone che non sanno quale zombi potrebbe essere colpito.

 

[SEZIONE][FITNESS]
[NODOT](Richiederà ancora il bilanciamento e verrà inserito nel pannello della salute accanto alla temperatura ecc. nella prossima patch)
Fare clic con il pulsante destro del mouse in un punto qualsiasi per visualizzare l'interfaccia utente di fitness.
Seleziona un esercizio (alcuni richiedono elementi, come il manubrio), seleziona quanto tempo e fai clic su OK.
Esercizio L'affaticamento sarà indotto circa 12 ore dopo la fine dell'esercizio.
I suggerimenti spiegano quale rigidità fa cosa (fare flessioni provoca dolore alle braccia/al petto, rallentare il combattimento, ecc.)
Più ti alleni, più guadagnerai "regolarità", cioè meno rigidità otterrai da questo esercizio (ogni esercizio ha la sua regolarità).
Il sistema tiene conto dell'impatto della stanchezza sul risultato dell'esercizio, dell'alimentazione, ecc.
Include la versione "lotta" di esercizi per personaggi di livello di forma fisica inferiore.
Alcune professioni hanno regolarità esistente in determinati esercizi (istruttore di fitness, vigile del fuoco..)


[SEZIONE][RIPARAZIONE DELL'ACQUA]
Modificato "Quench Thirst" in "Bere" per gli oggetti contenenti acqua.
Modificato "Rimanente: Percentuale" in "Acqua: Corrente / Max" nei suggerimenti per queste opzioni del menu contestuale dell'oggetto: Informazioni sul barilotto, Informazioni sull'erogatore d'acqua
Modificata "Percentuale piena" in "Acqua: Corrente/Max" nei suggerimenti per queste opzioni del menu di scelta rapida degli elementi: Aggiungi acqua da un oggetto, Bevi (da un oggetto), Riempi (portando acqua da un oggetto a un oggetto), Versa in
Aggiunto un suggerimento che mostra "Acqua: Corrente / Max" quando si beve da un lavandino o da un altro oggetto, nonché se l'acqua è contaminata.
Bere dai lavandini prima che l'acqua si chiuda, o dai fiumi, mostra "Acqua: illimitata".
Visualizza sempre l'opzione del menu contestuale Bevi per bere acqua dagli oggetti.
Bere acqua da oggetti e oggetti ridurrà la sete a zero invece di lasciare una frazione < 0,1.

 

[SEZIONE]EQUILIBRIO

I proiettili vengono prelevati dai sacchetti quando si preme il tasto di ricarica senza utilizzare il menu radiale.
Risolti un paio di punti in cui il peso dell'arma non veniva regolato quando venivano aggiunti o rimossi i proiettili.
Il peso equipaggiato sulle torce è ora mostrato.
Rinominare le verdure arrosto in arrosto
Rottami metallici ora prodotti durante lo smantellamento di rottami di auto
Ribattezzato ".44 Magnum Magazine" in ".44 Magazine". Il Magnum è un revolver quindi non prende una rivista. Il caricatore .44 va nella pistola DE.
Colpire uno zombi mentre si torna indietro in un'auto ora può danneggiare i serbatoi di gas.
Le trappole distrutte possono restituire più articoli, quelle che utilizzano lo spago restituiscono l'intero costo dello spago
Tempeste ora meno buie durante il giorno
La stufa antica ora può generarsi in una cassa in qualsiasi magazzino (molto raro)
Risolti gli elementi sbagliati che apparivano nella tipologia di camera "campeggio"
Risolti gli elementi sbagliati che apparivano nel tipo di stanza "panetteria"
Aggiunto il tipo di stanza 'campingstorage' alle liste: Stessa bottino del campeggio, rotoli migliori, solo casse (scatole di cartone?).
Probabilità di spawn di EggCarton aumentata. Piccola possibilità di trovare due cartoni di uova nei frigoriferi.
Aumento del numero di ripostigli delle assi del pavimento nelle case e del numero di oggetti in esse contenuti.
Aumentate le probabilità che le cose si generino nei sacchi su zed


[SEZIONE][LO POLACCO IN SCACCIA DI FOX]

I muri costruiti dai giocatori che racchiudono uno spazio non crollano più se non ci sono finestre
Risolto il problema con lo spaccato che iniziava non appena il personaggio metteva piede sulle scale
Risolti problemi di caricamento delle sezioni mancanti
Risolto il problema con lo spaccato di recinzioni e muri che iniziava un po' troppo tardi.
Risolto il problema con i cassonetti nei magazzini che non smettono mai di essere tagliati o di avere bordi frastagliati
Risolto il problema con le auto che venivano viste attraverso garage chiusi
Risolti gli spaccati con le proprietà delle tessere mancanti

 

[SEZIONE][MODDING E TRADUZIONE]

Aggiunto il file di traduzione EvolvedRecipeName_EN.txt. Viene utilizzato per la proprietà EvolvedRecipeName degli elementi.
[NODOT]<INDENT:40> In precedenza, utilizzava la vecchia traduzione DisplayName_XXX.
Aggiunta la traduzione ContextMenu_CarBatteryCharger_RemoveBattery.
Aggiunte % sostituzioni alle traduzioni:
[NODOT]<INDENT:40> ContextMenu_Add_Ingredient
[NODOT]<INDENT:40> ContextMenu_Create_From_Ingredient
[NODOT]<INDENT:40> ContextMenu_From_Ingredient.
Aggiunta la traduzione "Scarica 1 round da %1" per rimuovere un singolo round da un revolver (invece di Rack).
Aggiunto "Tag = Cacciavite" al Cacciavite.
Ricette modificate che utilizzano un cacciavite per utilizzare qualsiasi oggetto con Tags=cacciavite.
Ricette modificate che utilizzano un cacciavite per utilizzare qualsiasi oggetto con Tags=cacciavite.
Aggiunti Tags=CanOpener a TinOpener.
Ricette modificate che utilizzavano TinOpener per utilizzare qualsiasi oggetto con Tags=CanOpener
Aggiunti Tags=Canna da Pesca e Tags=Lancia da Pesca a canne e lance.

 

[SEZIONE][MODIFICA ALL'ANIMAZIONE]

ritagliato Bob_RunStumble.X
xml ottimizzato per alzarsi più agevolmente dallo scramble
con cappuccio Bob_JacketLong.X, Kate_Jacket.X e Kate_JacketLong.X
normali unificati Bob_WeddingJacket.X
ha creato la posizione del corpo di ShortSleeveShirt
cambiato alcuni capi di abbigliamento per magliette Posizione del corpo in ShortSleeveShirt in modo che non nascondano gli orologi
nascondere i marsupi con alcuni capi di abbigliamento
rimosso ApronTEXTURE dall'outfit Waiter_Diner
copriva alcuni abiti maschili e femminili
transizione ottimizzata e miscele tra corsa e sprint. anche le versioni sneak fatte.

 

[SEZIONE][RIordino dell'interfaccia utente]

Nascondi il testo post-morte quando è visibile la finestra di dialogo per uscire dal desktop.
Disegna un rettangolo sotto il testo post-morte in modo che sia più facile vederlo su sfondi chiari.
Risolto il problema con il layout di alcune cose con caratteri di dimensioni diverse.



[SEZIONE][OTTIMIZZAZIONE]

Gestione ottimizzata di IsoFlagType da parte di PropertyContainer. Questa è un'ottimizzazione per un elemento fondamentale del codice di PZ, che dovrebbe dare un piccolo impulso a molti, molti elementi del gioco poiché i contenitori di proprietà / gli elementi isoflagtype vengono utilizzati ovunque, in particolare il rendering delle mappe, la logica di gioco ecc. Abbiamo già visto guadagni in centri abitati come West Point.
Molte classi e campi sono stati dichiarati "finali".

 
[SEZIONE]SOLUZIONI
Risolto il problema con DebugScenarios.lua che chiamava Events.LoadGridsquare.Add() anche in modalità non debug.
Risolto il problema con la maschera della porta dell'ambulanza per correggere sinistra e destra
Risolti alcuni indumenti trasparenti sui cadaveri
Risolto il problema con il giocatore che era immune agli attacchi frontali mentre teneva le borse con entrambe le mani.
Risolto il problema con lo zucchero che non aveva valore nutritivo
Risolto il problema con l'ascia di pietra che pesava più degli elementi necessari per assemblarla
Riso Cotto Fisso e Pasta che non marcisce mai
Risolto il problema con la costruzione di una recinzione fino a un muro, la parte in cui si collega al muro non viene tagliata
Risolto il problema con la possibilità di espandere l'inventario e le finestre del bottino se il giocatore stava mirando o spostando la telecamera tramite la tastiera.
Risolto il problema con l'assegnazione di punti esperienza Foraggiamento quando non si riusciva a trovare cose impossibili da trovare, a causa del periodo dell'anno e/o del livello di abilità. Il giocatore potrebbe facilmente aumentare di livello l'abilità di Foraggiamento senza mai diminuire l'abbondanza della zona.
Risolta l'eccezione in IsoCell.CullFullyOccludedSquares().
Risolto il problema con l'orologio dell'animazione che funzionava a una velocità inferiore al previsto e le velocità dell'animazione globale regolate per adattarle
Risolto un piccolo bug che non permetteva di versare più tipi (sabbia/ghiaia/sporco) non funzionanti
Risolto l'errore lua quando il cursore di costruzione si trova su quadrati vuoti (sopra il livello del suolo)
Risolto il problema con il cursore di costruzione che non diventava rosso quando si passavano le tessere non valide, ad esempio quando si trovavano sopra il livello del suolo
Risolto il problema con la possibilità di scavare fosse all'interno
Risolto il problema con la possibilità di scavare fosse sulle piastrelle con una macchia di sporco versato ma senza pavimento naturale sottostante
Risolti gli oggetti che generavano trappole quando venivano rimossi regolarmente (non si rompevano)
Risolto il problema con le interazioni radio che perdevano le linee a causa del tempo di recupero dell'alta velocità (l'avanzamento veloce perde il bug di XP)
Risolto il problema con il non racking di alcune armi dopo ogni colpo.
Risolti problemi con i pesi di armi da fuoco e caricatori.
Risolto il problema con le trame di museruola che non erano visibili al primo colpo.
Risolto il problema con i veicoli vicini che non venivano visualizzati quando il veicolo si trova all'interno della stessa stanza del giocatore.
Risolto il problema con il debug FPSGraph che non veniva renderizzato a meno che l'orologio non fosse visibile.
Risolto il problema con i cadaveri che venivano trascinati sotto i binari della ferrovia e le tombe.
Risolto l'errore Lua con "Inserisci caricatore" quando si faceva clic con il pulsante destro del mouse su un'arma da fuoco.
Risolto il problema con i suggerimenti dei tratti che non venivano visualizzati nell'interfaccia utente delle informazioni sul personaggio quando il personaggio ha un tratto senza una trama.
Risolto il problema con le estensioni di SmallCar che non corrispondevano alla fisicaChassisShape.
Risolto il problema con il mancato trasferimento di accendini o fiammiferi dalle borse quando si fumava. Funziona anche quando si mangia qualsiasi oggetto con RequireInHandOrInventory.
Risolto il problema con il blocco dell'animazione con le emote.
Risolto il problema con il suono di ZombieSurprisedPlayer che veniva riprodotto troppo spesso. Il timer viene azzerato ogni volta che il giocatore vede uno zombi.
Risolti più rumori di tuono assordanti a velocità > 1
Risolta l'eccezione durante lo scavenging se viene trovato più di un tipo di oggetto.
Risolti gli elementi necessari per riparare gli oggetti che non venivano presi dalle borse.
Risolto il problema con "Scava il solco con le mani" che non veniva visualizzato quando si utilizzava un controller.
Risolto il problema con la hotbar visualizzata per i giocatori a schermo diviso che utilizzavano un controller.
Risolto il problema con gli zombi che giravano da dietro a davanti per diventare crawler quando venivano calpestati o sotto un veicolo.
Risolto l'errore lua durante la riparazione di parti del veicolo.
Risolto il problema con il giocatore che inciampava negli alberi in modalità fantasma.
Risolto il problema con l'ottenimento di munizioni gratuite quando si inviava spam al comando di scaricamento del caricatore.
Risolto il problema con gli zombi che a volte cadevano all'indietro quando venivano spinti da dietro. Questo è successo quando hitForce era <= 0,1.
Risolto il problema con gli oggetti drenabili che perdevano il loro stato Preferito quando venivano svuotati dopo essere stati utilizzati nelle ricette.
Risolto il problema con l'utilizzo delle traduzioni per i nomi di oggetti mobili con l'opzione del menu contestuale "Plumb XYZ".
Risolto il problema con la finestra di dialogo per uscire dal desktop che si sovrapponeva ai pulsanti nella parte inferiore dello schermo dopo la morte.
Risolto il problema con gli indumenti che a volte non si bucavano quando dovrebbe.
Risolto il problema con la collisione all'inseguimento dei velocisti
Risolte molte proprietà mancanti.
Risolto il problema con i capelli legati che sono cresciuti ancora con le opzioni "sciogliere".
Risolto il problema con la pesca a lunga distanza
Posizione fissa dell'attacco "museruola" su pistole e revolver (usato per visualizzare lo sprite del lampo della volata).
Risolti gli overlay mancanti nel negozio di torte
Risolti gli alberelli cresciuti dal sistema di erosione che rallentava e graffiava il giocatore
Risolti vari bug di mappatura
Risolto il problema con gli oggetti che non venivano trasferiti dal più leggero al più pesante quando si lasciavano cadere gli oggetti sui pulsanti del contenitore.
Risolto il problema con l'opzione del menu contestuale "Metti dentro il contenitore" che non funzionava quando si faceva clic con il pulsante destro del mouse sulle icone primarie o secondarie equipaggiate a meno che non fosse visualizzato l'inventario del giocatore (non una borsa).
Risolto il problema con NullPointerException che aggiungeva gas a un generatore quando la tanica del gas non era equipaggiata.


[VERSIONE] 41.45
[SEZIONE]NUOVO
Consenti l'uso dei piedi di porco per rimuovere le barricate di legno e usa le animazioni per questo
Aggiunti comandi del menu contestuale per aggiungere tutti i combustibili e tutti i combustibili di un certo tipo a barbecue, falò e caminetti.
Le mani calde ora funzionano con i caminetti.
Aggiunti allegati "mondo" ai modelli di fucili.
Aggiunti un sacco di nuovi nomi maschili, femminili e cognomi presi dal censimento statunitense del 1994, quindi ogni altro personaggio non si chiama Marina Hodgetts. (Grazie a Jam per averli messi insieme.)
Il comando ispeziona abbigliamento trasferirà gli oggetti nell'inventario del giocatore, se necessario.
Il gonfiaggio delle gomme del veicolo si fermerà alla pressione massima invece di aggiungere sempre 5. Era fastidioso dover annullare l'azione al momento giusto.
Riproduci l'animazione "artigianale" quando aggiungi toppe e rimuovi toppe dai vestiti.
Traduzioni aggiornate.
Visualizza "Dormire a terra" invece di "Dormire" nel menu contestuale quando non è selezionato alcun letto.
Il suggerimento "Sonno" mostra la qualità del letto che può essere Cattiva, Media o Buona.
Dispositivo di raffreddamento aggiunto (può essere indossato nelle mani).
Borsa a tracolla aggiunta (3 varianti, può essere indossata sul retro o nelle mani).
Aggiunti spawn di valigette
Aggiunta custodia per pistola.
Aggiornate alcune trame per le borse.

Consenti al giocatore di spingere (e calpestare) prima dopo aver attaccato con un'arma.
L'interfaccia utente di creazione mostra il livello di abilità del giocatore per le ricette con le abilità richieste (come Make Trap Box).
Le abilità richieste sono visualizzate in rosso se il livello del giocatore è inferiore al livello richiesto.
Aggiunti metodi Recipe.getRequiredSkillCount() e Recipe.getRequiredSkill().
Recipe.getRequiredSkill(int index) restituisce un oggetto RequiredSkill con i metodi getPerk() e getLevel().

 

[SEZIONE][IMPIANTO NEBBIA MIGLIORATO]
Nuova fantastica nebbia ora aggiunta
Aggiunta l'opzione di visualizzazione per la nuova nebbia, è possibile alternare tra alta qualità, qualità media e legacy (build 40)
Generazione nebbia modificata, ora durata variabile in base alla temperatura media giornaliera.
Aggiunta la possibilità di effetto nebbia colorata di grigio alle tempeste.
Aggiunto un forte effetto nebbia colorato garantito alla tempesta tropicale, ora molto caratteristico.
Effetti blizzard modificati per funzionare bene con la nuova nebbia.
Aggiunto nuovo pannello di controllo della nebbia al menu di debug.


[SEZIONE][FITNESS]

Il guadagno di Xp dagli esercizi ora può essere diverso.
La regolarità non diminuirà fino a 24 ore dopo aver fatto un esercizio.
Risolto qualche problema con l'animazione del fitness.
Rimuovere l'interfaccia utente fitness quando si entra in un'auto.
Risolto il problema con NullPointerException in Fitness.decreaseRegularity().
Risolta l'eccezione in Fitness.load().
Spostato il pannello da fitness a salute (nuovo pulsante) invece del menu di scelta rapida.
 

[SEZIONE]EQUILIBRIO

Consenti di lavare le bende sporche da fonti di acqua pulita come i lavandini.
Smontare la ricetta della torcia è consentita se è presente una batteria nella torcia.
Ribattezzato due giacche in giacca di pelle. Erano già di pelle.
Aumento del peso della stufa antica da 20,0 a 40,0.
Diminuzione della capacità di spruzzatura del giardinaggio
Dimensioni ridotte del contorno del bersaglio degli zombi del 20%.
Ricaricare una pistola cercherà il caricatore nelle borse e non solo l'inventario principale.
La carta igienica ora può essere utilizzata allo stesso modo dei fazzoletti (equipaggiarsi nelle mani principali o secondarie per ridurre il rumore della tosse).
La carta igienica ora può essere utilizzata per accendere e alimentare un fuoco/barbecue.
Lieve urto nell'abilità furtiva (quando in bella vista, ridurrà il volume di visione/passo zed)
MSR700/MSR788 ora non richiede caricatori.
 

[SEZIONE][OTTIMIZZAZIONE]
ScriptModule.getRecipe() ottimizzato.
SpriteRenderer.instance e SpriteRenderer.ringBuffer dichiarati "finali".
Evita alcuni gc relativi alle stringhe con cutaway (analisi dei nomi degli sprite).
Grande ottimizzazione per il rendering in sezione: spostati i test di TallHoppableW, WallWTrans, TallHoppableN e WallNTrans in IsoFlagTypes poiché eseguivano molti confronti di stringhe e rallentavano il rendering


[SEZIONE][MODIFICA MODELLO E ANIM]
Geometria modificata in modo che la maschera antigas funzioni meglio con i cappelli.
Aggiunta un'altra posizione del corpo a BodyLocations.lua (MaskFull)
La maschera di saldatura è stata resa parte della posizione del corpo MaskFull
Modificate le animazioni di tosse/starnuto/agitazione (lo stato 'ext') in modo che vengano riprodotte come sottostato dello stato 'inattivo'.
TShirt_white riesportata per non avere abbottonatura frontale
 

[SEZIONE]SOLUZIONI
Risolto il problema con l'animazione sbagliata quando si indossavano i cappellini da baseball.
Risolto il problema con NullPointerException in IsoGridSquare.getPuddlesDir(). Questo è successo con un camino.
Risolti alcuni file di traduzione mancanti
Risolto il problema con l'impossibilità di equipaggiare e disequipaggiare oggetti durante la mira.
Risolto il problema con gli attacchi striscianti di zombie fence-flop che colpivano il giocatore attraverso porte chiuse.
Risolto il problema con le ricette senza competenze richieste non funzionanti.
Risolto il problema con gli oggetti che non venivano presi dalle borse quando si equipaggiava una fonte di luce.
Risolto il problema con l'equipaggiamento di un oggetto in una mano quando sembrava che dovesse essere equipaggiato a due mani quando si trascinava un oggetto sulle icone primarie/secondarie.
Risolto il problema con la possibilità di arrampicarsi attraverso le finestre chiuse a volte.
Risolto il problema con la mancata ricarica di un caricatore vuoto durante la mira.
Risolti i problemi con i suoni degli spari e gli effetti del lampo quando si è seduti a terra.
Risolto problema per l'accensione di barbecue o caminetto a gas.
Risolto il problema con le azioni a tempo che non funzionavano durante la riproduzione dell'animazione delle mani calde da un fuoco.
Risolto il problema con l'animazione delle mani calde che poteva continuare molto tempo dopo che il fuoco si è spento.
Risolto il problema con la possibilità di pescare a lunga distanza con le lance. (anche uno dei problemi era se avevi solo una lancia e aprivi l'interfaccia utente, era considerata una canna da pesca!)
Risolto il problema con l'animazione di transizione dallo stare in piedi allo stare seduti a terra senza giocare.
Risolto il problema con gli slot hotbar disponibili che non si aggiornavano quando si utilizzava un controller.
Risolto il problema con le azioni a tempo che non si avviavano mentre si mirava a un veicolo.
Risolto il problema con il giocatore che si bloccava all'uscita da un veicolo se veniva fatto mentre mirava.
Risolto il problema con l'attivazione/disattivazione della mira che non funzionava nei veicoli.
Risolto il problema con il cursore di mira assistita che non scompariva dopo la morte del giocatore.
Risolto il problema con le lunghe righe di testo che si estendevano al di fuori delle finestre di creazione e cambio del sedile del veicolo.
Risolto il problema con lo spostamento automatico degli oggetti sui sedili del veicolo che non spostava un oggetto se utilizzava tutto lo spazio rimanente su un sedile.
Risolto il problema con la reinizializzazione della mappa di regolarità se istruttore di fitness/vigile del fuoco.
Risolto il problema con la barra di avanzamento della regolarità che mostrava valori errati (non poteva mai essere al 100%!)
Risolto il problema con il popup delle informazioni nell'interfaccia utente di professione/tratti che non veniva nascosto quando si passava alla schermata precedente o successiva.
I contenitori fissi con capacità 3 o meno non ricevevano capacità extra dal tratto Organizzato. Ciò ha influenzato i Marsupi.
Risolto il problema con la capacità dell'inventario dei cadaveri influenzata dai tratti Organizzato e Disorganizzato. La capacità dell'inventario dei giocatori non è mai stata influenzata da questi tratti (solo borse).
Risolti i problemi con il comando "Informazioni sul falò" dopo aver fatto clic con il pulsante destro del mouse su un falò che si trova dietro un muro.
Risolto il problema con la possibilità di guidare un veicolo in avanti con la retromarcia.
Risolto il problema con l'impossibilità di guardarsi intorno tenendo premuto il pulsante destro del mouse mentre si era in un veicolo con il finestrino chiuso. Funzionava tenendo premuto il tasto Mira, ma non tenendo premuto il pulsante destro del mouse.
Risolto il problema con "Tutto tutto" che non aggiungeva tutto il carbone a barbecue, falò e caminetti. Aggiungerà un'unità di carbone (30 minuti) alla volta fino a quando tutto sarà utilizzato.
Risolto il problema con gli zombi che si muovevano attraverso i muri dopo aver scavalcato una recinzione a volte. Questo è stato facile da riprodurre a nord della stazione di polizia di West Point durante l'avanzamento veloce.
Risolto il problema con le animazioni di tosse/starnuto/agitazione che venivano riprodotte più frequentemente a framerate più elevati.
Risolto il problema con le traduzioni di cucina del menu contestuale per l'ultima versione di Translatoid
Risolto il problema con la perdita dei dati delle mod dell'abbigliamento quando si invertono i cappucci, si alzano/abbassano i cappucci, ecc.
Risolto il problema con le porte non rivolte durante il blocco e lo sblocco tramite il menu contestuale.
Risolto il problema che non guadagnava solo forza e non fitness exp durante l'esecuzione di alcuni esercizi di fitness.
Risolto il problema con la possibilità di aprire più interfacce utente di fitness.
Risolto il problema con le trappole a doppia porta e a bastoncini che tornavano più di quanto servissero per fabbricare.
Risolti i problemi con i tratti del sonno che non influivano sulla quantità di sonno di un personaggio
Risolto il problema con l'impossibilità di smontare grandi ripiani in metallo
Risolto il problema con l'impossibilità di rimuovere la stanchezza con il sonno irrequieto
Risolto il problema con la forza frontale che non veniva mostrata correttamente nel plotter climatico di debug


[VERSIONE] 41.46
[SEZIONE][ABITI ZED PERSISTENTI]

L'aspetto degli zombi ora è per lo più preservato durante la ricarica.
Aggiunta l'opzione di debug Zombie.Outfit.Random per disabilitare gli abiti persistenti e scegliere quelli casuali quando vengono caricati gli zombi.
Aggiunta la classe AttachedWeaponDefinitions per evitare di analizzare la tabella Lua ogni volta che si genera uno zombi.
Riscritto ZombiesZoneDefinition per evitare di analizzare la tabella Lua ogni volta che si genera uno zombi.
Risolto il problema con le storie dei veicoli delle barricate della polizia che non controllavano correttamente una zona sufficientemente ampia, impedendo loro di spawnare.
DebugChunkState mostra tutte le zone in una posizione.
Client/Definizioni spostato in condiviso/Definizioni. server/recipecode.lua utilizza ClothingRecipesDefinitions.


[SEZIONE][TRAILER AGGIUNTI]
1) Se in debug, usa addVehicle ("Base.Trailer") per generare un trailer.
2) Parcheggiare un veicolo con la parte posteriore vicino alla parte anteriore del rimorchio.
3) Guardando il veicolo o il rimorchio, utilizzare il menu radiale del veicolo e scegliere "Allega rimorchio" (l'icona del segno più).
[NODOT]<BR>
I veicoli dovrebbero avere un attacco denominato "rimorchio" allineato con lo stesso attacco sul rimorchio stesso.
I veicoli senza questo attacco si collegheranno da qualche parte sul retro del veicolo.
La modifica degli allegati sui veicoli è una novità nell'editor dei veicoli.
[NODOT]<BR>
Aggiunto supporto per più forme di collisione sui veicoli. Questo serve per supportare il gancio di traino che si estende in avanti rispetto al corpo del rimorchio. Le forme devono essere aggiunte nella sceneggiatura del veicolo. Possono essere modificati nell'editor del veicolo nella nuova sezione "Fisica".
È supportato un massimo di 10 forme, meno una per physicsChassisShape.
Aggiornate le texture del sangue e dei danni del veicolo. Sul rimorchio vengono applicati danni e trame di ruggine. Tuttavia, al momento non appare la consistenza del sangue.
Simula una fune durante il traino di auto: rompendo troppo a piena velocità e la tua auto trainante ti andrà a sbattere contro.
Aggiunto trailer scoperto Base.Trailer. Base.TrailerCover è la versione coperta.
Al trailer scoperto FBX manca il secondo canale UV.
Le luci dei freni del rimorchio si accendono quando il veicolo che traina le luci dei freni sono accese.
Aggiunto trailer pubblicitario a 4 ruote.

Aggiunti attacchi "mondo" ad alcuni modelli di armi in modo che siano posizionati meglio a terra.
Aggiunti nuovi trailer pubblicitari. Il comando del menu di debug del veicolo "Imposta script" seleziona una skin casuale.
Aggiunta la storia dell'incidente automobilistico del trailer.

[SEZIONE][NUOVO STORIE DI ZED]

A volte nelle foreste, in spiaggia o vicino ai laghi, troverai persone zombificate che svolgono attività diverse.
Feste in spiaggia, gite di pescatori, campeggi nei boschi...
Festa barbecue
Tempo sexy (!)
Campo di cacciatori
Campo di cacciatori di trappole
Di più!


[SEZIONE]GENERALE
Aggiunta lattina di birra e bottiglia di birra.
I suggerimenti delle ricette ora mostrano gli elementi disponibili in testo bianco sopra gli elementi non disponibili in testo grigio.
Interrompi le animazioni delle emote quando viene premuto il tasto "Annulla azione" o il pulsante B del controller.
Aggiunti più modelli di attacchi per pistole, corretti quelli mancanti.
Aggiunte cinghie di munizioni come capo di abbigliamento. Può essere indossato, esistere con proiettili o proiettili, può aumentare la velocità di ricarica (proiettili per fucile/proiettili per il resto).
Aggiunto possibile giubbotto antiproiettile sull'attrezzatura della polizia.
Aggiunti diversi nuovi tagli di capelli
Aggiunti nuovi stili di barba.
Aggiunto un file di definizione HairOutfitDefinitions.lua:
Consenti di generare un taglio di capelli solo su un vestito specifico.
Forza un taglio di capelli su qualche vestito (ZombiesZoneDefinition.lua ha la precedenza su di esso)
Aggiunti alcuni outfit per Zed Stories.
Implementati nuovi cappelli/benda sull'occhio (icone, funzionalità ecc.).
Aggiunta l'opzione JOIN_IDENTICAL_VERTICES durante il caricamento dei modelli. Questo può ridurre notevolmente il numero di vertici in un modello.
Traduzioni aggiornate.


[SEZIONE]EQUILIBRIO

I danni alle parti dell'auto causati dalle armi da mischia ora sono più accurati per il tipo di arma
Danno modificato dal colpire gli zombi con l'auto: la velocità aumenta esponenzialmente il danno. Ha anche tentato di impedire ai velocisti di martellare sul retro dell'auto e di distruggerla troppo velocemente.
Bottiglia di whisky con peso dell'acqua ora più in linea con il peso della bottiglia di whisky
Diminuito il guadagno in ubriachezza dal consumo di bottiglie/lattine di birra rispetto agli alcolici
Ha reso l'alcol->ubriachezza leggermente più potente quando il personaggio ha lo stomaco vuoto
Smontare le lampade ora fornisce una lampadina
Log Stack ricette per utilizzare sempre 2 corde, invece di 1 corda per log
La bevanda ora può essere preparata solo con lo zucchero
Zucchero e caffè ora oggetti drenabili (dovranno essere ripristinati nella prossima patch a causa di ripensamenti interni)
Capote/cofano ora riparabili con lamiere + viti o torcia
La pasta o il riso crudi in una pentola/padella d'acqua ora alla fine marciranno
Capacità bilanciata del bagagliaio e del vano portaoggetti su veicoli e rimorchi
Aumentato il tasso di spawn dell'orologio sugli zombi.


[SEZIONE]ANIM

Aggiunto Zombie_WindowLungeHitReact.X.
Modificato l'anim bob_sitground per finire con la posa corretta
Anim di seduta ottimizzati per fondersi un po' meglio


[SEZIONE][MODDING / SVILUPPO]

Aggiunto supporto per decalcomanie, abbigliamento e outfit personalizzati nelle mod.
[NODOT]<INDENT:40> Ogni mod può avere la propria copia di questi file:
[NODOT]<INDENT:60> media/fileGuidTable.xml
[NODOT]<INDENT:60> media/abbigliamento/abbigliamento.xml
[NODOT]<INDENT:60> media/abbigliamento/abbigliamentoDecals.xml
[NODOT]<INDENT:40> I file mod sopra non sovrascrivono più i file del gioco con lo stesso nome.
[NODOT]<INDENT:40> I gruppi di decalcomanie mod e gli abiti con lo stesso nome definito dal gioco prevarranno su quelli del gioco.
[NODOT]<BR>
Aggiunto supporto per stili di barba e acconciature personalizzati nelle mod.
[NODOT]<BR>
Aggiunta una nuova proprietà dell'elemento dello script denominata AcceptItemFunction che specifica il nome di una funzione Lua per verificare se un elemento è consentito in un contenitore.
[NODOT]<INDENT:40> Questo è in aggiunta alla proprietà OnlyAcceptCategory esistente che verifica InventoryItem:getCategory().
[NODOT]<INDENT:60> Ad esempio, per consentire solo articoli medici in un kit di pronto soccorso, aggiungi una riga a clothing_bags.txt:
[NODOT]<INDENT:60> elemento FirstAidKit
[NODOT]<INDENT:60> {
[NODOT]<INDENT:60> ...
[NODOT]<INDENT:60> AcceptItemFunction = AcceptItemFunction.FirstAidKit,
[NODOT]<INDENT:60> }
[NODOT]<INDENT:40> E aggiungi questa funzione in un file Lua:
[NODOT]<INDENT:60> funzione AcceptItemFunction.FirstAidKit(contenitore, articolo)
[NODOT]<INDENT:60> articolo restituito:getStringItemType() == "Medico"
[NODOT]<INDENT:60> fine
[NODOT]<BR>
Color.HSBtoRGB() modificato per restituire un colore invece di Integer[3]. Se vuoi i valori interi, usa Color.getRedByte(), Color.getGreenByte() e Color.getBlueByte().
Le sfide possono definire una funzione denominata getSpawnRegion() per consentire più punti di spawn e regioni di spawn. In precedenza era supportato un solo punto di spawn fisso.
[NODOT]<INDENT:40>Vedi la funzione Kingsmouth.getSpawnRegion() commentata per un esempio.
La funzione AddPlayer() di una sfida viene ora chiamata durante la creazione di nuovi giocatori in partite esistenti.
[NODOT]<INDENT:40>Questo è usato dalla sfida CDDA per avviare nuovi giocatori nudi e infortunati, per esempio.
La funzione Lua dello script oggetto "OnEat" viene ora chiamata con un terzo parametro denominato 'percentuale' per indicare quale percentuale della quantità rimanente dell'articolo è stata consumata. Inoltre, la funzione viene chiamata prima che il cibo venga consumato.
[NODOT]<INDENT:40>Vedi OnEat_Cigarettes() per un esempio di come viene utilizzato.
Risolti errori di TextureCombiner irreversibili quando non era possibile caricare una trama.
[NODOT]<INDENT:40> Le trame mancanti vengono visualizzate come una trama a scacchiera rossa e bianca.
Visualizza il nome file di una risorsa che non riesce a caricare nel messaggio di eccezione.
Risolto il problema del multithreading con OutfitRNG. I costruttori di ImageData generano eccezioni invece di rilevarle ora.
[NODOT]<BR>
Risolto il problema con il ricaricamento non corretto delle trame modificate che in precedenza non riuscivano a caricare.
[NODOT]<INDENT:40>Questo non gestisce i file di texture che mancavano in precedenza, solo quelli che non sono stati caricati.
Aggiunto un ritardo di due secondi prima che DebugFileWatcher gestisca le modifiche ai file modificati.
[NODOT]<INDENT:40>Questo serve per affrontare due cose:
[NODOT]<INDENT:40>1) Il file potrebbe essere ancora scritto da un'altra applicazione che lo sta salvando.
[NODOT]<INDENT:40>2) A volte ci sono più eventi per lo stesso file, come un evento "crea" seguito da uno o più eventi "modificati".
[NODOT]<BR>
ISSliderPanel ora controlla se si fa clic su Maiusc invece di qualsiasi tasto "Esegui" è associato.
Modificato il rendering delle pozzanghere per utilizzare oggetti del buffer dei vertici, riducendo il numero di chiamate necessarie per renderizzarli.


[SEZIONE][SOLUZIONI DI TAGLIO]
Risolto il problema con le aperture delle finestre allungate
Le prese d'aria fisse non tagliavano / diventavano trasparenti come altri oggetti
Risolto il problema con i muri corti in prigione che non tagliavano in modo carino
Risolto il problema con le doppie aperture delle porte - precedentemente sfalsate su un edificio
Risolto il problema con le scale che non tagliavano correttamente


[SEZIONE]SOLUZIONI
Risolto il problema con la possibilità di scegliere una trama nell'interfaccia utente di creazione del personaggio per gli articoli di abbigliamento che non hanno modelli. Ad esempio, camicia di jeans e guanti di pelle.
Risolto il problema con "Override:true" che non funzionava nelle ricette mod, risultando in ricette duplicate.
Risolto il problema con la trama dello skybox che non si aggiornava dopo l'avanzamento veloce (F5 o F6 o inattivo).
Risolto il problema con SkyBox.update() che assegnava ogni volta Colore e Vector3f.
Risolto il problema con la modifica della dimensione della trama di debug Skybox.Show durante lo zoom.
Risolto il problema con meno di un'unità di spago che veniva restituita quando si distruggeva una trappola a bastoncini.
Risolto il problema con STrapGlobalObject lato server che chiamava CTrapSystem:sendCommand() sul lato client.
Risolto il problema con gli articoli che pesavano meno di 0,005 visualizzati come peso 0,0. Ora gli articoli di peso inferiore a 0,01 vengono visualizzati come 0,01. Ad esempio, Viti.
Risolto il problema con le doppie porte in metallo che davano assi e chiodi quando distrutte.
Risolto il problema con il caricamento della libreria SQL dalla directory Temp dell'utente su Windows a 64 bit.
Risolto il problema con l'animazione mancante per scaricare i proiettili dai fucili senza caricatori.
Risolto il problema con l'impossibilità di rimuovere la chiave dall'accensione quando si fa clic sull'icona della chiave nella dashboard quando l'opzione "Lascia la chiave all'accensione" è attiva.
Risolto il problema con il controller che non era in grado di aprire l'interfaccia utente di fitness (il pulsante Y del controller lo apre dall'interfaccia utente di salute)
Risolto il problema con la spalla mancante dell'arco del motel sunstar.
Risolto il problema con le storie dei veicoli delle barricate della polizia che non controllavano correttamente una zona sufficientemente ampia, impedendo loro di spawnare.
Risolto il problema con la chiusura del pannello della salute dopo l'apertura del pannello fitness.
Risolto un problema con più monitor su Linux. A volte sono state rilevate risoluzioni per il monitor non primario.
Risolti errori di pulizia delle bende usando un lavandino/ecc.
Risolto il problema con il non camminare verso l'oggetto contenente acqua durante la pulizia delle bende da un lavandino/ecc.
Gli zed degli studenti fissi potevano generarsi con 2 borse.
Risolto il problema con i flash della volata che non emettevano luce durante il giorno, anche in stanze buie.
Risolto il problema con la pala che non appariva nelle mani del giocatore quando si riempiva una tomba, se la pala non era già equipaggiata.
Risolto il problema con l'animazione durante la combustione di un cadavere con il gas.
Risolta l'eccezione in InventoryItem.synchWithVisual() quando l'elenco IconsForTexture di un articolo è inferiore al numero di trame di abbigliamento per quell'articolo.
Risolto bug di formattazione in clothing_pants.txt relativo a Shorts_ShortDenim.
Risolto il problema con l'opzione del menu contestuale "Rimuovi vetri rotti" che non veniva mostrata come disabilitata quando il giocatore tiene un oggetto nella mano sinistra.
Risolto il problema con il pannello della salute visualizzato durante la visualizzazione dell'interfaccia utente fitness, quando si utilizza un controller.
Risolti errori nella pressione dei tasti durante la fase di caricamento "Ecco come sei morto".
Risolto il problema con FileNotFoundException durante il caricamento delle mod senza clothing.xml.
Risolta un'eccezione che accendeva o spegneva una radio equipaggiata quando un generatore era nelle vicinanze.
Risolti gli zombi a sorpresa nelle posizioni di spawn, anche se questo era spesso esilarante. Gli zombi vengono ora rimossi dall'interno e intorno all'edificio in cui il giocatore si genera quando crea un nuovo giocatore in un gioco esistente.
Questo non include gli zombi dei giocatori rianimati. Inoltre, gli allarmi domestici sono disabilitati.
Risolto il problema con il giocatore che non si generava nella posizione corretta durante la creazione di un nuovo giocatore in una sfida esistente
Risolto il problema con il massimo beneficio (o danno) dal fumo di parte di una sigaretta.
Risolto il problema con l'impossibilità di interrompere la chiusura di finestre o la rottura di finestre.
Risolto il problema con il giocatore che si girava quando seguiva un percorso molto breve. Ora il giocatore si trasferirà nella nuova posizione senza voltarsi. Ad esempio, quando si rompe il finestrino di un veicolo, il giocatore si gira, cammina nella posizione richiesta, quindi si gira di nuovo verso il veicolo prima di rompere il finestrino.
Risolto il problema con i veicoli che cadevano a terra durante il caricamento o la generazione.
Risolto il problema con PhysicsDebugRenderer che non era thread-safe.
Risolto il problema con gli zed che impiegavano troppo tempo per calpestare la morte in determinate condizioni
Risolto il problema con la possibilità di costruire un piano su terreni agricoli
Risolti gli articoli di reso durante lo smantellamento delle doppie porte
Risolto il problema con il telaio della porta che diventava invisibile quando dipinto di azzurro
Risolto il problema con l'abbigliamento da turista maschile che si generava indossando abiti/gonne.
Risolto il problema con la durata estrema del calpestio richiesto sugli zombi in alcune situazioni.
Risolti vari bug della mappa
Risolto il problema con i nomi non tradotti dei veicoli bruciati visualizzati nel menu radiale.
Risolto il problema con alcune borse che non riproducevano sfx "zip" quando si interagiva con
Risolto il problema con le scatole dipinte che non mostravano il colore correttamente
Risolto il problema con il cappuccio e l'equipaggiamento del cappello che sostituiva l'intera felpa con il cappello, invece di rimuovere il cappuccio e indossare il cappello
Risolto il problema con l'impossibilità di "spegnere" il barbecue
Risolto il problema con più righe di testo non centrate orizzontalmente nel menu radiale.
Risolto il problema del rendering a schermo diviso con le pozzanghere.
Risolto un problema di rendering con l'acqua che produceva linee visibili lungo i bordi dei blocchi (il flusso d'acqua e la velocità non venivano aggiornati quando venivano caricati i blocchi adiacenti).
Risolto un bug per il quale la capacità fissa definita nei veicoli non veniva utilizzata.
Risolto il problema con il tasto Sprint predefinito su MacOS che era LMETA anziché LMENU.
Risolto il problema con le siepi che non rallentavano i giocatori e gli zombi. (I giocatori in modalità fantasma o noclip non vengono rallentati da siepi o alberi.)
Risolto il problema con il ripristino delle condizioni dell'abbigliamento e dell'umidità quando si passava da cappuccio su a cappuccio giù, ecc.
Risolto il problema con il pulsante A del controller che entrava nei furgoni invece di aprire la porta posteriore per accedere al bagagliaio.
Risolto il problema con l'angolo di strafe utilizzato quando si camminava su percorsi brevi.
Risolto il problema con la capacità massima per i veicoli che non venivano salvati.


[VERSIONE] 41.47

[SEZIONE]NUOVO

Aggiunto cappellino da baseball mimetico.
Aggiunti pantaloncini mimetici urbani.
Modificate le definizioni delle armi allegate in modo che possa gestire le armi per l'abbigliamento personalizzato (assicurati che la polizia venga generata con più pistole/mangiatore, banditi con armi...)
HairOutfitDefinitions può anche gestire la barba.
Aggiunte alcune nuove storie di Zed e migliorate alcune esistenti
Traduzioni aggiornate.


[SEZIONE][MAPPA]
Aggiunti vialetti e parcheggi ai nuovi edifici aggiunti all'attuale mappa principale in 41.46 (questi non erano menzionati nel registro delle modifiche)
Corretti vialetti errati nella gated community di Riverside e in alcune altre aree

[SEZIONE]EQUILIBRIO
Requisiti di lavorazione dei metalli durante la riparazione del bagagliaio/cofano al livello 1
Non è più possibile preparare bevande con solo zucchero
Zucchero/caffè non è più un oggetto drenabile (ripristinato dalla patch precedente)
Ora puoi posizionare un forno antico anche a 0 abilità di falegnameria.


[SEZIONE][MODDING / SVILUPPO]
Non cancellare l'elenco degli allegati in una definizione di script "modello" quando lo stesso modello era già definito.
[NODOT]<INDENT:40> Mod, come G.E.A.R. ecc, facevano affidamento su questo per aggiungere allegati a FemaleBody e MaleBody. Questi dovrebbero funzionare di nuovo ora.
Evita di chiamare File.exists() sul thread principale durante il caricamento di trame da file che sappiamo esistere.
[NODOT]<INDENT:40> Ci sono ancora molte chiamate File.exists() per file di texture che non esistono, come le texture WItem.
Aggiunto ISPathFindAction.pathToNearest() che troverà il percorso più breve verso una delle più possibili posizioni di destinazione.
Aggiunti Tags=Scrivi su elementi che possono essere scritti in diari e taccuini
Aggiunto codice di debug per verificare la presenza di abiti con più borse in conflitto.
Aggiunti i metodi BodyLocation.setMultiItem() e isMultiItem() per specificare se sono consentiti più elementi nella stessa posizione.
[NODOT]<INDENT:40> Questo è invece di codificare questo comportamento per le posizioni Sangue, Ferita e ZedDmg.
Risolto il problema con il mancato controllo di BodyLocation.isExclusive() quando si vestivano gli zombi, il che poteva comportare l'uso di capi di abbigliamento in conflitto.


[SEZIONE]SOLUZIONI
Risolto il problema di rendering a schermo diviso con pozzanghere e acqua per i giocatori 3 e 4.
Risolto il problema con il disimpilamento dei tronchi che restituiscono più corde rispetto a quelle utilizzate nell'impilamento
Risolto il problema con la nuova nebbia in ritardo rispetto al movimento della telecamera e al livello di zoom.
Risolto il problema con il file XML dell'articolo di abbigliamento errato utilizzato dopo aver abilitato o disabilitato una mod, quando la mod sovrascriveva il file di un gioco.
Risolto il problema con l'eccezione HumanVisual con la barba.
Le porte del garage fisse sul bordo nord di una piazza bloccavano i veicoli.
Risolto un ciclo infinito dopo aver ricaricato un file Lua nel debugger.
Risolti alcuni dati che non venivano cancellati dopo aver ricaricato i file Lua (AttachedWeaponDefinitions e HairOutfitDefinitions).
Risolte alcune assegnazioni non necessarie relative agli schizzi di sangue.
Risolto il problema con il rendering della nebbia a schermo diviso.
Risolto il problema con il giocatore che non camminava adiacente a veicoli e rimorchi bruciati durante la visualizzazione dell'interfaccia utente meccanica.
Risolto il problema con l'abbondanza di pesca che a volte veniva visualizzata come nan%.
Risolto il problema con l'abbondanza di pesca visualizzata che non si aggiornava mentre il giocatore si muoveva sulla mappa con l'interfaccia utente di pesca aperta.
Risolto l'errore sopra riportato se il giocatore si spostava molto lontano dal quadrato originale su cui era stato fatto clic.
Risolto il problema con la pausa di 15 secondi prima del trasferimento di 1000 sigarette tra i contenitori. (Comunque il framerate ha ancora un impatto)
Risolto il problema con le maschere del veicolo in modo che i danni non fossero visualizzati in verde (segnala tutto ciò che vedi che continua a essere!)
Risolto il problema con il furgone radiofonico con un colore della vernice casuale che mostrava dove si trovano i graffi.
Risolti errori di lettura di map_sand.bin che impedivano il caricamento del gioco.
Risolte le opzioni mancanti per Marsupio e altri contenitori usurati nel sottomenu Sposta in quando si utilizza un controller.
Risolto il problema con l'impossibilità di scrivere su diari e quaderni con penne blu e rosse.
Risolto il problema con il vano portaoggetti mancante su alcuni veicoli durante il caricamento di vecchi salvataggi.
Risolto il problema con GloveBox2.VehicleType che era 1 anziché 2.
Risolto il problema con la possibile NullPointerException in AttachedWeaponDefinitions.
Risolto il problema con l'outfit "Bandit" che poteva generarsi con due borse.
Risolto il problema con il blocco della recinzione di arrampicata nel tutorial
Risolto il problema con il fitness abilitato nel tutorial
Risolto il problema con le porte distrutte che non controllavano le proprietà delle piastrelle e producevano detriti errati
Risolto il problema con il sistema di abbigliamento da zombi in grado di generare due oggetti nella stessa posizione del corpo
Risolto il problema con la nuova riga mancante nella descrizione comando Rimuovi patch.


[VERSIONE] 41.48
[SEZIONE][SPERIMENTALE/NUOVO]
Aggiunta una nuova combinazione di tasti: Attacco manuale al pavimento:
[NODOT]<INDENT:40> - L'impostazione predefinita è ALT SINISTRA.
[NODOT]<INDENT:40> - Quando attacchi (tieni premuto RMB per mirare, premi LMB per attaccare) se tieni premuto anche ALT SINISTRO allora forzerai un attacco a terra, anche se ci sono zombi in piedi/camminanti/attaccanti nelle vicinanze .
[NODOT]<INDENT:40> Questo include anche un'opzione chiamata Attacco manuale al pavimento, che disabilita completamente il rilevamento automatico degli attacchi inclini, il che significa che l'uso di ALT SINISTRA è fondamentale:
 
[NODOT]<INDENT:40> Se impostato su false, il tuo giocatore /!\ MAI /!\ eseguirà un attacco prono/a terra su uno zombi non richiesto, dovrai premere manualmente ALT SINISTRA e attaccarlo con il tuo arma da mischia a terra o SPAZIO per calpestare stando in piedi sopra di lui.
 

[SEZIONE]NUOVO
Aggiunte opzioni di visibilità su pioggia/neve: Sempre, Solo all'aperto, Mai.
Aggiunta una nuova storia SECRET zed
Aggiunta l'opzione sandbox ZoneStoryChance.
Aggiunto un nuovo anim da bere da vino/whisky.
Aggiunti nuovi anim di candeggina per bevande.
Carica della lancia lucidata e migliorata a zeds
Aggiunto un modo per scegliere il giocatore 1 se ci sono più giocatori in un file di salvataggio. Questo può essere fatto nella schermata Carica partita facendo clic sul pulsante "ALTRO...". In questo modo è anche possibile creare un nuovo lettore in un file di salvataggio esistente.
Aggiunto NewMusic_KeepMoving a sound_music.txt.


[SEZIONE]EQUILIBRIO

Il suggerimento "Lavati da solo" mostra la quantità di acqua e sapone utilizzata.
Risolto il problema con "Lavarsi" che si verificava più velocemente quando era disponibile una quantità insufficiente di sapone.
Il fertilizzante per fragole si azzera dopo il raccolto
Non è più possibile ottenere vantaggi dal fumo di sigaretta parziale e dall'annullamento
Le lance ora si rompono dopo un minor numero di uccisioni (circa 2-5 contro 15-20 prima) al livello 0.
Ora puoi realizzare un kit tenda usando un paletto di legno.
Le lavatrici e le asciugatrici ora funzionano per un po' anche quando i vestiti sono già asciutti o puliti, come farebbero gli elettrodomestici del mondo reale.
Rimossa la necessità di disinstallare il cofano del bagagliaio/cofano prima che possano essere riparati
Ora solo le lance possono attaccare attraverso una rete metallica/catena, ecc.
Le lance hanno un po' più di possibilità di rompersi quando vengono impalate.


[SEZIONE] CAMBIAMENTI ANIM E MODELLO

Bottiglia di vino regolata per non passare attraverso la testa del giocatore durante il bere.
WhiskeyBottle.X aggiustato per funzionare con il nuovo drink anim in modo che non si tagli la faccia.
Molotov ridimensionata per adattarsi a nuove dimensioni della bottiglia.
WhiskeyBottle.png e Molotov.png riesportati a 64x64.
Capo di abbigliamento per occhiali riadattato per essere occhiali riflettenti adeguati, icona attualmente segnaposto.
L'articolo di abbigliamento per la maschera da sci è stato modificato per essere di nuovo in versione riflettente o scura.
Ha fatto in modo che gli attacchi con la lancia utilizzino una maschera per la parte superiore del corpo in modo da ridurre le pause durante l'attacco.
Scambiato l'attacco sul pavimento con la lancia con un nuovo anim, Bob_AttackFloorSpear.X.


[SEZIONE][MODDING/SVILUPPO]
Aggiunto caricamento dei file mod dalla directory media/AnimSets.
Aggiunte righe opzionali versionMin= e versionMax= a mod.info in modo che le mod possano specificare con quali versioni del gioco la mod è compatibile.
[NODOT]<INDENT:40> La build 40 non verrà aggiornata con questo per ora.
[NODOT]<INDENT:40> Se la mod funziona solo con la versione 41 o successiva, aggiungi questa riga a mod.info:
[NODOT]<INDENT:60> versioneMin=41.0
[NODOT]<INDENT:40>Se la mod funziona solo fino a una determinata versione della build 41, dovresti usare:
[NODOT]<INDENT:60>versioneMax=41.999
[NODOT]<INDENT:60>Ovviamente sostituendo ".999" con il numero di build.


Aggiunto DefaultClothing.lua per specificare gli articoli di abbigliamento predefiniti per gli abiti che hanno pantaloni o top predefiniti.
[NODOT]<INDENT:60>In precedenza, questi erano codificati in Java.

Salva RADIO_SAVE.txt solo se il contenuto è cambiato.
[NODOT]<INDENT:40> Questo viene salvato ogni 10 minuti del mondo di gioco.
[NODOT]<INDENT:40> Questo viene fatto sul thread principale; dovremmo evitare di eseguire l'I/O del disco da qui.

Aggiunta la proprietà OnCanPeform:XXX alle ricette che specifica il nome di una funzione Lua che verrà chiamata per eseguire ulteriori verifiche sulla possibilità di eseguire una ricetta.
[NODOT]<INDENT:40> Questa è una soluzione più generale rispetto alla proprietà NearItem (usata per le ricette del fabbro).
[NODOT]<INDENT:40> La funzione accetta due argomenti e dovrebbe restituire true o false.
[NODOT]<INDENT:60> funzione CanPerformMyRecipe(ricetta, playerObj)
[NODOT]<INDENT:80> restituisce playerObj:isOutside() e RainManager:isRaining()
[NODOT]<INDENT:60> fine

Aggiunta la proprietà Tooltip:XXX alle ricette per visualizzare testo aggiuntivo nei suggerimenti delle ricette e nell'interfaccia utente di creazione.
[NODOT]<INDENT:40> Può essere utilizzato per informare l'utente di requisiti aggiuntivi quando è presente una funzione OnCanPeform.
[NODOT]<INDENT:40> Il valore dovrebbe essere un nome di traduzione. Il testo della traduzione può avere più righe separate da "<br>".
[NODOT]<INDENT:60> ricetta MyRecipe
[NODOT]<INDENT:60> {
[NODOT]<INDENT:80> ...
[NODOT]<INDENT:80> OnCanPerform:CanPerformMyRecipe,
[NODOT]<INDENT:80> Tooltip:Tooltip_Recipe_MyRecipe,
[NODOT]<INDENT:60> }
[NODOT]<INDENT:40> Tooltip_Recipe_MyRecipe = "Deve essere fuori.<br>Deve piovere.",

[NODOT]<BR>
Aggiunto il possibile colore di capelli/barba forzato per l'outfit in HairOutfitDefinitions.lua (il bandito/punk avrà la possibilità di avere più "colori di capelli pazzi").
[NODOT]<BR>
Aggiunto tipo di abbigliamento sanguigno in ogni possibile posizione del corpo, così puoi facilmente modificare un nuovo abbigliamento per proteggere le parti X o Y:
[NODOT]<INDENT:40>Esempio, voglio realizzare calzini di metallo che proteggano sia i piedi che la parte inferiore delle gambe, aggiungerò semplicemente un BloodLocation = Feet;LowerLegs, nello script dell'oggetto.
Elenco completo delle posizioni per parte del corpo: borsa (schiena), mani, testa, collo, parte superiore del corpo, parte inferiore del corpo, parte inferiore delle gambe, parte superiore delle gambe, parte inferiore delle braccia, parte superiore delle braccia, inguine.
[NODOT]<INDENT:40> Ciascuna posizione coprirà entrambe le parti sinistra e destra, se necessario.
[NODOT]<INDENT:40> Grazie modder Flash per l'idea!


Cattura il "Metodo di confronto viola il suo contratto generale!" eccezione in IsoObjectPicker per evitare di interrompere il gioco.
[NODOT]<INDENT:40>Questa eccezione può verificarsi quando compare(a,b) non è coerente con compare(b,a).
[NODOT]<INDENT:40>Questo non risolve la causa, smette solo di generare eccezioni all'infinito.


Ha reso IsoObjectPicker.ContextPick() un po' più efficiente calcolando il punteggio di ogni ClickObject una volta prima dell'ordinamento, invece di confrontare ogni coppia di elementi ordinati.


[SEZIONE]SOLUZIONI
Risolto il problema con i cadaveri della polizia che a volte avevano due fondine.
Risolto il problema con il messaggio "Premere A per attivare il controller" nel menu principale. È stato visualizzato solo quando è stato collegato un controller XBOX 360, è stato posizionato in modo strano e non è stato tradotto.
Risolto il problema con la creazione di oggetti duplicati quando si scavalcava alti recinti.
Risolto il problema con RMC che strappava un oggetto usurato strappando invece un altro oggetto.
Calzini fissi alla caviglia non strappabili
Risolto il problema con i mobili colorati / i segni di vernice che erano luminescenti al buio
Risolto il problema con i congelatori per ghiaccioli all'esterno degli edifici che non consumavano l'energia del generatore.
Risolto il problema con l'esclusiva MaskEyes e MaskFull LeftEye/RightEye.
Risolto il problema con gli zombi che non battevano la barricata sul lato opposto se la finestra veniva distrutta.
Risolto l'exploit di poter trasportare quantità illimitate semplicemente equipaggiando un'altra borsa.
Risolto il problema con le storie di crash del trailer che generavano solo trailer pubblicitari.
Risolto il problema con la carica della lancia che non si collegava quando avrebbe dovuto.
Risolto il problema con la carica della lancia che non uccideva molto spesso uno zombi (l'anim sbagliato veniva giocato la maggior parte del tempo).
Risolto il problema con la possibilità di scattare istantaneamente dopo aver eseguito un attacco se stavi già scattando
Risolti vari aspetti degli zombi che perdevano interesse per le barricate secondarie/interne ecc. (WIP!)
Risolto il problema con il caricamento dell'eccezione map_meta.bin sul client. Questo interromperà i file map_meta.bin del server.
Risolto il problema con il file Lua delle regioni di spawn non valido creato sul server a causa del mancato caricamento delle traduzioni.
Risolta un'eccezione che riempiva un sacco di sabbia vuoto che era equipaggiato nella mano sinistra del giocatore.
Risolto il problema con i sacchi di sporco, ghiaia e sabbia che non mostravano un modello quando equipaggiati.
Risolto il problema con il clic con il pulsante sinistro del mouse che nascondeva il menu radiale del giocatore a schermo diviso.
Risolto il problema con fame, sete e sonno abilitati nelle sfide La casa nel bosco.
Risolti gli allarmi dell'orologio digitale che apparivano sui cadaveri di zombi nelle sfide House In The Woods.
Risolto il problema con gli oggetti temporanei dell'inventario che venivano creati ogni volta che uno zombi veniva colpito.
Risolto il problema con la pressione dei pulsanti sulla spalla su un controller - quando è visualizzata la finestra dell'inventario - che interferiva con il trascinamento degli oggetti con il mouse.
Risolto il problema con i pavimenti non renderizzati che non rivelavano i livelli sottostanti
Risolta la mancanza di notifica sonora quando si raggiunge un livello di abilità (forma fisica e forza)
Risolto il problema con la possibilità di strappare i vestiti preferiti
Risolto il problema con "Candela accesa" che non cambiava il suo nome o stato dopo essere stata spenta
Risolto il problema con il menu di lavorazione dei metalli che non mostrava l'uso corretto della torcia a propano
Risolto il problema con l'impossibilità di difendersi da (o vedere) gli zombi nell'armadio eclissati dalla porta
Risolto il problema con la doppia opzione del menu contestuale per mettere/prendere la corda del foglio sui telai delle finestre
Risolto il problema con l'impossibilità di indossare una felpa con cappuccio con cappuccio + orecchini
Risolto il problema con i veicoli collegati e i rimorchi che si muovevano quando parcheggiati. Questo è stato risolto disattivando la fisica sui veicoli collegati.
Risolto il problema con l'applicazione di grandi forze ai veicoli vicino alle recinzioni. Ciò era dovuto alla proprietà della piastrella HitByCar sulle recinzioni fragili.
Risolto il problema con i rimorchi attaccati al veicolo del giocatore che non venivano salvati ogni 10 secondi o quando si entrava o si esce dal veicolo. Se il gioco si arresta in modo anomalo, il trailer potrebbe essere lasciato molto lontano dal veicolo.
Risolto il problema con la possibilità di colpire uno zombi attraverso una finestra barricata.
Risolto il problema con alcune lance che emettevano il suono del pipistrello quando si colpivano con esse.
Risolto il problema con il suono ritardato della morte quando si impalava uno zombi.
Risolto il problema con la possibilità di tagliare erba/foraggio ecc. mentre si è in macchina.
Risolto il problema con il ciclo infinito durante il riposo + facendo fitness.
Risolto il problema con l'abilitazione e la disabilitazione delle mod con i pacchetti di texture che non aggiornavano le trame utilizzate dal gioco.
Risolto il problema con i file mod lua nella directory del server che non venivano caricati dopo averne modificato uno in modalità debug.


[VERSIONE] 41.49
[SEZIONE]NUOVO
Aggiunto fucile a doppia canna segato.
Riduci notevolmente la possibilità di colpire se si spara da un'auto in movimento (dipende dalla velocità dell'auto).
Aggiunta la tinta della giacca dell'abito, la tinta formale della camicia a maniche corte, la tinta della costa della vita.
Aggiunto un nuovo campo facoltativo denominato ignoreZombieDensity alle tabelle di distribuzione degli elementi Lua.
Quando ignoreZombieDensity=true, la possibilità di spawn di un oggetto non è influenzata dalla densità di zombi in quella parte della mappa.
Aggiunto PiercingBullets=TRUE all'M16 per impedire a ogni colpo di colpire potenzialmente 2 zombi non allineati.
[NODOT]<BR>
Aggiornamento combattimento con la lancia: fateci sapere cosa ne pensate
[NODOT]<INDENT:40> L'attacco swing non ti radicherà.
[NODOT]<INDENT:40> L'attacco con la pugnalata farà il root del giocatore.
[NODOT]<INDENT:40> L'attacco con la pugnalata deve essere entro un certo raggio, ma ora controllerà anche se un altro zombi è nelle vicinanze, in modo da non radicare il giocatore in modo ingiusto.
[NODOT]<INDENT:40> L'attacco con la pugnalata ora fa più danni e ha più possibilità di essere un critico.
Risolti problemi con le lance e la nuova funzione di pressione alternata.

Traduzioni aggiornate
 

[SEZIONE]EQUILIBRIO

I coltelli possono consentire di nuovo di attaccare attraverso recinzioni metalliche, come le lance.
Sostituiti i precedenti oggetti "lampada" inutili con quelli funzionanti (da mobile)
Aggiunta più distribuzione del bottino in loco (gigamart, negozio di articoli per la casa...)
Aggiunta la generazione di libri di sartoria nelle case.
Impasto aggiunto alla cucina della pizza.
Valore della fame dei vermi nerfati.
Nerfed un po' di spazio nell'inventario della borsa del pacco di Alice.
McCoys ora avrà degli zombi fuori.
Modificato RandomizedBuildingBase.addRandomRangedWeapon() per scegliere potenziamenti casuali delle armi invece di sceglierne sempre un numero nello stesso ordine.
Aumentata un po' la durata della lancia.
Possibilità di rottura della forca da giardino ridotta.
Rimosso il ritardo dopo le animazioni di caduta del giocatore (quando cade da un'altezza).


[SEZIONE]SOLUZIONI
Risolto il problema con l'esportazione anticipata di alcune aree della mappa
Risolto il problema con gli zombi che cadevano da un livello alto e non cadevano a terra e rimosso l'"ATTERRAGGIO SUPER EROE!"
Risolto il problema con l'atterraggio degli zombi da una caduta che veniva ucciso quando atterravano e rimanevano bloccati.
Risolto il problema con la vetrina ruotata della pizza che non generava il bottino corretto.
Risolto il problema con più vetrine nei negozi che non generavano il bottino corretto.
Risolto il problema con la cucina del bar che non generava il bottino corretto.
Risolto il problema con la generazione di "radio" inutili.
Risolto il problema con la cucina della tavola calda che non generava il bottino corretto.
Risolto il problema con il bancone pensile in cucina che non generava il bottino corretto.
Risolto il problema con il martello a penna a sfera che non si generava.
Risolto il problema con D=vetrina che non veniva considerata come un tavolo (i registratori di cassa cadevano attraverso di essi)
Risolto il problema con alcuni registratori di cassa che non venivano considerati come registratori di cassa.
Risolto il problema con molte recinzioni che non potevano essere distrutte dalle auto.
Risolti alcuni problemi con alcuni posti a sedere (futon, ecc.) che ti permettevano di attraversarli.
Risolto il problema con molti divani che non erano smontabili.
Risolto il problema con alcuni distributori automatici che non potevano essere smontati.
Risolte le icone dei cadaveri mancanti.
Risolto il problema con gli articoli medici presi dalle borse quando ne era disponibile una nell'inventario principale.
Risolto un problema con l'oggetto Radio obsoleto nella ricetta Smonta Radio.
Risolte le animazioni di ricarica mancanti per i fucili senza caricatore e il fucile a canne mozze, quando ci si trova a bordo di un veicolo.
Risolto il problema con item.getName() invece di item.getType() quando si sceglievano potenziamenti casuali per le armi.
Risolto il problema con le trappole rotte che a volte non facevano cadere oggetti.
Risolto il problema con la mancata visualizzazione del modello Torcia ossidrica durante la costruzione di oggetti in metallo.
Risolto il problema con la riproduzione dell'animazione di martellamento o saccheggio durante la costruzione di oggetti in metallo.
Risolti alcuni loop infiniti di esercizi di fitness (durante il sonno, ecc.)
Risolto il problema con la camicia formale mancante colorata negli abiti da zombi.
Risolto il problema con la cartella considerata come una borsa per attaccare l'arma sul retro.
Risolti alcuni bug con i nuovi vestiti di sangue per le cose dei modder.
Risolti i calzini lunghi che non coprivano la parte inferiore delle gambe.
Risolto il problema con le armi diverse da lance/coltelli che non potevano attaccare attraverso piccole recinzioni.
Risolto il problema con il ciclo infinito con fitness se si dormiva contemporaneamente.
Risolto un problema con il nullpointer in Zed Stories
Risolto bug RandomizedBuildingBase.addRandomRangedWeapon() con la scelta di parti di armi casuali.


[VERSIONE] 41.50
[SEZIONE]NUOVO
 

Aggiunti alcuni doppio clic contestuale sugli articoli nell'inventario:
[NODOT]<INDENT:40> Se non è nell'inventario, lo trasferirà semplicemente (come prima)
[NODOT]<INDENT:40> Fai doppio clic sull'arma per equipaggiarla/disarmarla
[NODOT]<INDENT:40> Fai doppio clic su vestiti/Borse per indossarli/svestirli
[NODOT]<INDENT:40> Fai doppio clic sul cibo per mangiarlo

Gli zombi in eccesso ora sono disegnati con una solida silhouette nera. La silhouette è animata utilizzando cinque fotogrammi di due diverse animazioni: idle e walking.
Traduzione aggiornata.
 

[SEZIONE]LA SALSA SPECIALE SEGRETA DI SPIFFO II
Contenuto redatto (per ora)
 

[SEZIONE]EQUILIBRIO

Aggiunti alcuni elementi mancanti nelle distribuzioni (porta aghi da sutura, guinzaglio, vaschetta per l'acqua, filo...)
Fatica ridotta a causa del foraggiamento di una grande quantità.
Risolti alcuni elementi che non potevano essere uniti (ora è possibile combinare filo usato, spago, ecc.)
Peso regolato di diversi cappelli.
Risolti problemi con le bottiglie di birra.
Aggiunta bottiglia smash per la bottiglia di birra.
Aggiunta protezione da morsi/graffi per il giubbotto antiproiettile.
Gli articoli nei negozi non avranno la loro durata (per armi) o delta usati (per drenabili, come pillole, spago ecc.), saranno sempre al 100%.
Generazione di libri di sartoria potenziati nelle case residenziali
Generazione di libri sull'agricoltura potenziata, ora appare anche nei negozi e nelle fattorie


[SEZIONE]ANIM

Bob_WalkHeavyLimpL_2H_Heavy.X riesportato in modo che l'arma sia tenuta correttamente


[SEZIONE]SOLUZIONI
Risolto il problema con l'impossibilità di aggiungere vermi come esca nella trappola.
Risolti alcuni combattimenti vicino alle recinzioni senza una lancia.
Risolti problemi di pelle sottile/spessa relativi a quanto eri incline a subire danni da zed
Risolto il problema con l'uso di una pila di vestiti quando si selezionavano più vestiti e li si indossava (es. selezionando più magliette e facendo clic con il tasto destro/l'abbigliamento indosserà solo il primo, se hai selezionato maglietta + pantaloni li equipaggerà comunque entrambi)
Risolto il problema con gli zombi finti morti e striscianti che attaccavano i giocatori invisibili
Risolto il problema con il conteggio errato del numero di zombi che circondavano il giocatore durante il controllo se il giocatore veniva trascinato verso il basso.
Orecchino fisso che non si vede a terra
Risolto un bug del multithreading che mostrava cadaveri e manichini usando la trama sbagliata a volte.
Risolto il problema con l'opzione del menu contestuale di consolidamento mancante per thread & wire.
Risolto il problema con la possibile NullPointerException in RVSTrailerCrash se lo script trailer non è definito.
Risolto il problema con l'equipaggiamento di armi rotte facendo doppio clic.
Risolto il problema con i nuovi giocatori a schermo diviso con la stessa professione che condividevano gli stessi moltiplicatori di XP.



[VERSIONE] 41.51
[SEZIONE]
[NODOT] <CENTRO><SIZE:large> L'aggiornamento beta 41.51 di Project Zomboid IWBUMS contiene ottimizzazioni significative al nostro sistema di salvataggio. Pertanto, tutte le partite salvate giocate in 41.50 NON saranno operative.
 

[SEZIONE][NUOVO/QOL]
Ora in esecuzione su Java 15
Ora in esecuzione sull'ultimo LWJGL (3.2.3)
[NODOT]<BR>
In precedenza, per seminare/annaffiare/raccogliere, era necessario fare clic con il pulsante destro del mouse su ogni pianta e selezionare un'azione. Ora una volta selezionati i semi, l'acqua o il raccolto, avrai un cursore per annaffiare facilmente più piante.
Maiusc+doppio clic ora può essere utilizzato sugli articoli di abbigliamento nell'inventario per indossare l'oggetto
Il livello di abilità più recente guadagnato è ora evidenziato quando viene aperto il pannello delle abilità
Aggiunta l'icona del filtro al pannello dell'inventario per aggiungere ulteriori opzioni di filtro/ordinamento, attualmente ha "peso"
Fonte d'acqua ora visualizzata tra parentesi per l'opzione Bevi/Lava (in parte per diagnosticare problemi con pozzanghere e pioggia)
Gli orologi analogici non hanno più allarmi
Il display dell'orologio digitale ora ha un pulsante di allarme che può essere premuto sull'interfaccia utente
Opzione di trasmissione "Solo saliva" - il giocatore è immune alle infezioni da graffi
Aggiunto suggerimento per mostrare quale caricatore di armi verrà riempito
Ora sono mostrati gli oggetti necessari per curare piante e colture.
Gli zombi che piantano la faccia su vetri rotti ora ottengono molto sangue sulla testa/collo e alcuni sulla parte superiore del busto.
Le sveglie ora mostrano la stessa campana degli orologi digitali quando è impostata una sveglia.
Quando si tenta di riparare una porta su un veicolo tramite il menu dei meccanici, viene visualizzato un suggerimento che dice al giocatore che è necessario disinstallare la porta prima di poterla riparare. Possono anche riparare le porte dal loro inventario.
Quando premi Maiusc+E da qualsiasi portiera del passeggero, ti sposterai direttamente al lato del conducente se non c'è già nessuno.
Aggiunti modelli di auto più distrutti.
Gli zombi ora possono trovare percorsi attraverso oggetti distruggibili. Preferiscono andare in giro, ma se non c'è un altro percorso, colpiranno muri e casse, ecc.
Aggiunte traduzioni radio portoghesi brasiliane
Gel per capelli aggiunto. Mohawk ora sarà appiattito se indossi un cappello. Ora ho bisogno di gel per capelli per risolverlo.
Aggiunte nuove opzioni per aggiungere imbottiture/toppe sui capi. Questo riparerà tutti i buchi se ce ne sono alcuni e quindi aggiungerà imbottitura alle altre parti.
Aggiunta un'opzione per rimuovere tutti i padding/patch.
Aggiunto un piccolo guadagno di XP quando si strappano vestiti/lenzuola. Guadagnando piccole quantità di XP quando si riceve un po' di thread dagli oggetti in modo da non poterne abusare.
Aggiunta l'opzione sandbox per il decadimento degli oggetti che vengono fatti cadere / cadono dagli zombi
Aggiunta una certa varietà alle auto incidentate
Utilizzare un cursore per scegliere quali pareti o oggetti dipingere o intonacare, quando si utilizza il mouse e la tastiera. Questo cursore era già utilizzato durante la riproduzione con un controller.
Aggiunta una casella combinata al Visualizzatore elenco elementi per scegliere a quale lettore a schermo diviso dare gli elementi.
Cappelli/Guanti aggiunti all'elenco di rimozione/decadimento. Anche l'impostazione predefinita ora è impostata su 24 ore.
Caratteri e traduzioni coreani aggiornati e traduzioni della community aggiornate.
Aggiunto "Controlla le versioni beta di PZ Steam per la versione 41.50." per WorldVersion 175 salva.
Richiede Windows 10 versione 1803 (build 17134) o successiva per abilitare il Garbage Collector più recente, le versioni precedenti verranno eseguite senza di esso e non riceveranno l'ottimizzazione.
Aggiunta TrailerCover a VehicleDistributions.
Consentire la riparazione della carrozzeria del rimorchio mediante saldatura.
Aggiunto un cursore per rimuovere cespugli, piante e rampicanti.
Sostituisci i wallframe dell'angolo nord-ovest con due oggetti wallframe separati (la prima volta che vengono caricati). Il giocatore non può aggiornare gli oggetti dell'angolo nord-ovest.
Le storie di auto ora possono generare cadaveri di zombi decomposti.
 

[SEZIONE][MODELLI E ANIMALI]
Aggiunto uno stile di capelli lunghi per quando si indossano i cappelli
Aggiustati alcuni vestiti per adattarsi alle nuove acconciature del cappello lungo
Aggiustati un paio di cappelli femminili
Capelli lunghi femminili del cappello modificati per fermare lo sfarfallio dei pixel
Aggiunte alcune nuove acconciature
Aggiunte alcune acconciature intrecciate
Aggiustate alcune definizioni dell'acconciatura poiché indicavano un'acconciatura inesistente e successivamente erano invisibili quando si indossavano alcuni cappelli.
Sostituito l'anim "land gentile" con l'atterraggio più pesante
Modifiche per girare 180 anime, primo passaggio
Modificata la posa di Zombie_Idle_FloorOnBack.X in modo che corrisponda all'anim di morte degli zombi
 

[SEZIONE]EQUILIBRIO

Aggiunti coltelli da burro bloccati negli zombi.
Numero ridotto di coltelli da caccia bloccati negli zombi.
Sopravvissuto zombi ridotto nel tasso di spawn dell'orda.
Ridotta possibilità di alice pack sugli zombi sopravvissuti.
Aumento dei valori nutrizionali della carne secca.
Peso bilanciato di munizioni/scatola di munizioni per essere più coerente/logico (il peso della scatola è leggermente inferiore alla pila di proiettili completa)
Gli animali morti (tranne topo/topo) danno infelicità quando li mangi crudi, basta cuocerli per rimuoverlo (è stato aggiunto un suggerimento per spiegare).
Espositore bianco (principalmente in macelleria) ora funge anche da frigorifero
Aggiunti più libri di sartoria in cucina.
Aggiunti fucili nel capannone/garage.
Gli zombi ora infliggono più danni alle recinzioni quando si affollano contro/sopra di esse
Ora è possibile recuperare e riparare un'arma usata nella creazione della Lancia
Il revolver M36 ora ha solo una capacità di cinque colpi
Il personaggio ora può aprire automaticamente le scatole delle unghie
La lattina di birra ora restituisce una lattina vuota dopo che è stata bevuta
Ora è possibile utilizzare scarafaggi e cavallette per adescare lo StickTrap
La lattina di tonno non richiede più l'apertura di un apriscatole
Aumento dei punti salute dei muri costruiti dai giocatori.
Ridotta la forza del motore e la velocità totale di retromarcia con un'auto.
L'aggiunta di più oggetti a cibi artigianali parzialmente consumati aggiungerà nuovi valori alimentari al cibo originale, non parzialmente consumato
L'insalata di frutti di bosco ora riduce la sete
Quantità ridotta di acqua in una bottiglia di candeggina.
Aumento del rinculo di pistole/revolver.
Aumento della possibilità di creare crawler quando si colpiscono gli zombi con le auto.
La professione di Park Ranger/Lumberjack ora dà un bonus per camminare tra gli alberi.
Le fratture alle gambe ora riducono la velocità in base alla loro gravità.
Le stecche aumentano la velocità di camminata con una frattura, a seconda del livello medico del medico.
Ora puoi aggiungere sale e pepe ai panini.
Gli zombi che si generano nelle storie dei veicoli ora hanno un'alta probabilità di avere una chiave per un veicolo correlato.
Aumentato l'effetto degli infortuni sulla velocità di scatto.
Aumento del tempo di "lavaggio veicolo".
Sbattere un'auto contro oggetti ora può danneggiare il motore se le condizioni del cofano sono troppo basse.
Le borse in mano/equipaggiate ora riducono la velocità di corsa e la velocità di camminata. Più il sacco è pieno, maggiore sarà il rallentamento. Le borse equipaggiate in seconda mano possono anche ridurre la velocità di combattimento.
Le stazioni di servizio non hanno più carburante illimitato.
Aggiunta l'opzione sandbox nella categoria mondiale "gas della stazione di rifornimento iniziale", che va da "Vuoto" a "Pieno" con "Basso/Molto alto" ecc. nel mezzo
Occorrono almeno due zombi che scavalcano un recinto contemporaneamente per danneggiare il recinto. Le recinzioni metalliche subiscono la metà dei danni rispetto alle recinzioni in legno.
Ha reso gli indumenti dei vigili del fuoco leggermente più pesanti e ha aumentato di conseguenza il loro modificatore di velocità di corsa e combattimento.
Capacità del marsupio ridotta
Aumento del peso della bomboletta a vuoto da 0,3 a 1,5.
Aggiunta la difesa dai proiettili nel suggerimento sui vestiti.
Alcuni coltelli (principalmente Coltello di Pietra) hanno un danno leggermente ridotto.
Tratto atletico ora escluso selezionando Molto sottopeso.
Peso corretto delle scatole di munizioni.
Ha reso le tende gonfiabili in modo che gli zombi possano distruggerle.
Le cornici delle pareti in legno posizionate dal mappatore diventano IsoThumpable che possono essere aggiornate, come quelle posizionate dall'utente.
Ha fatto un po' di equilibrio sul guadagno di Exp furtivo/piede leggero: ora devi essere piuttosto vicino (15 tessere) a uno zombi per guadagnare exp, inoltre non devi essere preso di mira da uno zombi.
Diminuzione dei danni ai piedi quando si cammina a piedi nudi.
Diminuzione dei danni causati dagli alberi quando si cammina attraverso di essi.
Aumentata la possibilità di deporre le uova che nutrono zed.
Diminuzione delle possibilità che gli zed ti avvistino
Imposta tutto il peso della bandana su 0,1.


[SEZIONE][VARIAZIONI DEL SUONO PRE RUMORE]
Precarica i dati del campione in anticipo in modo che i suoni possano essere riprodotti immediatamente all'avvio.
Risolti alcuni suoni che iniziavano in modo casuale a silenziati a causa del fatto che il parametro Occlusion non veniva reinizializzato al valore corretto.
Non impostare l'Occlusione su 1.0 poiché sembra silenziare completamente alcuni suoni.
Metti in pausa la musica quando il gioco è in pausa.
Risolto il problema con il suono BreakObject che non veniva riprodotto durante la distruzione di oggetti di falegnameria.
 

[SEZIONE][DEBUG]

Aggiunta l'opzione del menu contestuale "[DEBUG] UI > Spawn Points" per teletrasportare il giocatore in vari punti di spawn per controllarne la posizione.
Aggiunto un menu contestuale all'editor "[DEBUG] UI > Spawn Points". Questo può essere utilizzato per riposizionare e rimuovere i punti esistenti.
[NODOT]<INDENT:40> Per salvare le modifiche, utilizzare l'opzione di menu "Copia tutto negli appunti" e incollare il file spawnpoints.lua appropriato.
Aggiunto un menu separato "[DEBUG] Veicolo > Imposta script (distrutto)" per i veicoli distrutti.
Consenti l'eliminazione di map_zone.bin dall'interfaccia utente di caricamento del gioco "Altro..." in modalità di debug.


[SEZIONE][MODIFICA DELLA DISTRIBUZIONE DEL BOTTINO]
Nuovo sistema parzialmente implementato Le tabelle dei bottini non ancora toccate rimangono le stesse di prima.
[NODOT]<BR>
Nuovo sistema di posizionamento/contenitore del bottino più artigianale utilizzato per luoghi come Giga-Mart e cucine residenziali ora applicato al resto della mappa. I luoghi che in precedenza hanno generato borse casuali di bottino (come quello di Spiffo) dovrebbero avere il loro contenuto ordinato in elenchi pertinenti: se stai cercando un'arma a lama o delle braciole fresche, prova a guardarti intorno nella cucina di qualsiasi posto che venda carne (cioè non una panetteria) per la stazione di taglio della carne. Se hai bisogno di prodotti da forno, cerca dove sono conservati i sacchi di farina: probabilmente saranno accanto a un mattarello.
[NODOT]<BR>
I minimarket, i negozi all'angolo e le stazioni di servizio hanno sistemato il contenuto degli scaffali in modo che le sigarette sciolte non si mescolino più con i lecca-lecca. I giocatori che visitano la farmacia hanno già un'idea di come sono disposti gli scaffali: alcuni hanno snack, altri bevande. È meno probabile che tu trovi medicine in una stazione di servizio, ma non è inaudito - idem forniture per auto in uno Zippee. Se desideri il massimo da un particolare tipo di articolo, è meglio attenersi all'attività pertinente. Il tylenol della stazione di servizio è comunque una fregatura.
[NODOT]<BR>
Le sedi mediche ora ordinano i loro contenuti in strumenti, medicine e cose relative ai medici come guanti, maschere e camici. Bar, saloni di bellezza, macellerie, caffè e negozi di liquori hanno tutti lo stesso approccio. Gli elenchi di bottini giganti "catch all" dovrebbero eventualmente essere sostituiti con selezioni su misura di oggetti rilevanti per il luogo in cui vengono generati.


[SEZIONE][MOBILI]

Risolto il problema con gli oggetti mobili, come le radio delle auto, che avevano le condizioni corrette quando posizionati e raccolti di nuovo.
I mobili ora possono essere smantellati dall'inventario, ad eccezione degli oggetti con più tessere, ad esempio: i letti.
Aggiunto MovableRecipe che non ha definizioni di script, invece viene creato al volo da definizioni mobili.
Refactored alcune cose in modo che MovableRecipe abbia le stesse possibilità, XP, resultitems, equipitems ecc. dello smantellamento degli oggetti del mondo.
Gli elementi mobili a riquadro singolo sono ora definiti come "Moveables.world_object_sprite_here" invece di essere tutti "Moveables.Moveable". Ciò significa anche che questi mobili possono essere facilmente istanziati direttamente ora


[SEZIONE][AGGIORNAMENTO CONTROLLER]
 
Rimossa la vecchia libreria JInput usata per i controller. La libreria GLFW, parte di LWJGL 3, è ora utilizzata.
GLFW ha un database di diverse centinaia di controller simili a Xbox, inclusi i controller PlayStation, quindi questi dovrebbero avere buone possibilità di funzionare. I controller riconosciuti sono elencati in media\gamecontrollerdb.txt.
L'utente può creare il proprio file gamecontrollerdb.txt nella directory User\Zomboid\joypads. Questo può essere fatto per aggiungere nuovi controller o per sovrascrivere un controller nel media\gamecontrollerdb.txt del gioco.
Il gioco dovrebbe gestire la disconnessione e la riconnessione dei controller durante il gioco. Se il controller del giocatore 1 è disconnesso, può scegliere di ripristinare l'input da tastiera e mouse.
Il pulsante X del controller ora ruota gli oggetti in modalità Posiziona.


[SEZIONE]SOLUZIONI
Risolto il problema con "elimina tutto" sui contenitori non funzionanti.
Risolto il problema con il libro di sartoria/rivista agricola che non si generava negli scaffali.
Contenitore acqua fisso in ufficio del peso di 3.
Risolto il problema con il bancone bianco che non raffreddava il cibo.
Risolto il problema con gli zombi che non riuscivano a trovare il percorso attraverso gli ostacoli che circondavano i veicoli.
Risolti alcuni problemi di ricerca del percorso minori.
Risolto il problema con gli zombi che battevano le finestre quando non sentivano alcun suono o non vedevano il giocatore, quando l'opzione sandbox "Attacchi ambientali" era disabilitata.
Risolto il problema con l'impossibilità di intonacare gli stipiti delle porte costruiti al livello 7 di falegnameria
Risolto il problema con gli sprite allungati negli spaccati, comprese le tegole del tetto, le porte del garage e alcune finestre
Risolto il problema con i contenitori dell'acqua riscaldabile che non si riscaldavano se messi nel fuoco/barbecue prima di essere accesi
Risolte ferite profonde che avevano un'emivita più breve rispetto a graffi o lacerazioni prima della guarigione
Risolto il problema con GameWindow.StringUTF che scriveva caratteri spazzatura alla fine delle stringhe. (Corregge i salvataggi)
Risolto il problema con le luci che perdevano il colore personalizzato. (Ad esempio, l'insegna blu Pharmahug era blu solo la prima volta che è stata caricata. Le luci mobili hanno perso il loro colore personalizzato quando sono state spostate.)
Risolti i problemi di modelli di porte fuori posto sulle auto con modelli di porte.
Risolto il problema con i nomi dei tasti della tastiera che erano gli stessi dei tasti della tastiera principale.
Risolto il problema con le forbici che non permettevano la pugnalata alla mascella.
Risolto il problema con i cadaveri che attraversavano mobili e pareti con la storia di RBShopLooted.
Risolto il problema con i file FMOD .bank che non venivano trovati quando la directory di lavoro corrente non è la stessa dell'opzione -Duser.dir di Java.
Risolte alcune macchine volanti
Risolto il problema con gli zombi striscianti che si bloccavano mentre si muovevano vicino ai muri.
Risolto il problema con gli zombi striscianti che non battevano le recinzioni come fanno con le porte.
Risolto il problema con gli zombi striscianti che cercavano di passare attraverso le finestre aperte.
Risolto il problema con gli zombi striscianti che cercavano di strisciare attraverso le recinzioni quando c'era un modo per aggirare nelle vicinanze.
Risolto il problema con gli zombi che a volte colpivano i telai dei muri attraverso i quali potevano arrampicarsi.
Risolto il problema con l'ID WorldDictionary che non veniva ripristinato al nuovo gioco.
Risolto il problema con il "bug del fuoco". in alcuni casi gli sprite non venivano impostati correttamente su IsoObject, ciò potrebbe aver influenzato anche gli oggetti di erosione.
Risolto il problema con la colorazione dell'elemento di modifica non funzionante.
Risolti problemi con la mappa.
Risolto il problema con l'aspetto dell'interfaccia utente di pesca che non cambiava quando un controller veniva disconnesso.
Risolto il problema con l'impossibilità di aggiungere condimenti a un hamburger trovato nel gioco
Risolto il problema con la lattina pop vuota che appariva dopo che char aveva bevuto una birra
Risolto il problema con il fucile Sawed-off JS-2000 riparabile solo con un altro Sawed-off.
Risolto il problema con la felpa con cappuccio disequipaggiata quando si incappucciava + cappello da baseball
Risolto il problema con la cottura del cibo che aumentava il peso del piatto in modo incoerente
Risolto il problema con il giocatore che poteva mangiare facendo doppio clic quando era pieno fino a scoppiare
Risolto il problema con Bourbon che aveva due opzioni per svuotare la bottiglia
Risolto il problema con la pistola M9 e la pistola D-E con le icone confuse
Risolto il problema con l'asciugamano da bagno bagnato che perdeva lo stato preferito dopo l'asciugatura
Risolto il problema con i nuovi tipi di munizioni che non erano smontabili
Risolto il problema con l'opzione "Dormire a terra" nell'auto quando char è ridicolmente stanco
Risolto il problema con alcuni mobili che non potevano essere colpiti dagli zombi.
Risolto il problema con il tipo di capelli correlato al "Cappello" non nascosto.
Risolto il problema con le dissolvenze alfa errate su oggetti che non si aggiornavano come cornicioni del tetto e mobili.
Risolto il problema con la possibilità di sopravvivere alla morte con candeggina mangiando citronella
Risolto il problema con l'impossibilità di riparare le doppie porte
Risolto il problema con il filetto di pesce/pollo che si comportava in modo strano se usato in insalata
Risolto il problema con il riempimento di una bottiglia/secchio vuota da un fiume o da un lago che mostrava erroneamente "Pozzanghera" come fonte
Risolto il problema con l'impossibilità di tenere premuto RMB e utilizzare F per accendere la torcia
Risolto il problema con "Utilizzo facile" che causava l'apertura di tutti i bagagliai delle auto, non solo lo sblocco
Risolto il problema con gli orologi analogici che non avevano allarmi se è selezionata la lingua spagnola
Risolto il problema con i lucchetti che si generavano nei negozi spesso chiamati "chiave di casa" + una stringa di numeri
Risolto il problema con l'impossibilità di congelare uova separate
Risolto il problema con l'incoerenza in rmb -> grab e l'azione di trasferimento di base dell'inventario.
Risolto il problema con alcune definizioni delle piastrelle (spaccato del bunker, macchina del venditore su rotaia, scaffali cambiati in appendiabiti su alcuni contenitori per negozio di abbigliamento).
Cesto portabiancheria fisso che funge da asciugatrice.
Risolto il problema con la generazione di zombi all'esterno di edifici molto grandi (es. Mall) quando si vedevano per la prima volta stanze inesplorate.
Risolto il problema con il bere dalla ciotola per zuppa/stufato con un cucchiaio che non utilizzava il cucchiaio.
Risolto il problema con la possibilità di fasciare una parte del corpo fratturata.
Risolto il problema con la cura delle mosche/muffa sulle piante che causavano un arresto anomalo.
Risolto il problema con la pianta di raccolta mentre la finestra delle informazioni sulla pianta era aperta causando un arresto anomalo.
Risolto il problema con alcuni alimenti (in particolare molti nelle storie di Zed) con valori nutrizionali pari a zero
Risolto il problema con l'impossibilità di lavare le macchie di sangue dai finestrini del veicolo
I mobili fissi a volte svaniscono mentre il giocatore è ancora abbastanza vicino da poter vedere l'interno.
Risolto il problema con l'impossibilità di congelare le uova selvatiche
Risolto il problema con la stranezza della denominazione dei posti rimuovendo gli elementi "BigCarSeat" e "SportCarSeat" e rinominando gli elementi "NormalCarSeat" solo in "Seat".
Risolto il problema con il generatore di veicoli casuali che causava la selezione ogni volta di "Sedile standard".
Risolto il problema con la possibilità di fare esercizi di fitness quando non dovevi.
Risolto un bug di fisica che impediva all'auto sportiva di accelerare fino alla velocità massima di 120 km/h. Ciò ha anche causato la spinta verso il basso dei veicoli a velocità più elevate.
Erogatore fisso per l'acqua da ufficio del peso di soli 5.
Risolto il problema con la tenda blu dell'ospedale che richiedeva il sollevamento dell'abilità elettrica.
Risolto il problema con le varianti "Cappello" delle acconciature mostrate nel menu "Cambia" nell'interfaccia utente delle informazioni sul personaggio. Alcune acconciature (ad esempio TopCurls) hanno un'acconciatura "Cappello" nelle loro "Scelte di taglio".
Risolto il problema con la caduta del contenitore equipaggiato mentre era sovraccaricato duplicando il contenitore a terra.
Risolto il problema con la possibilità di afferrare oggetti attraverso le recinzioni.
Risolto il problema con la possibilità di fare fitness durante l'arrampicata.
Risolto il problema con i suoni dell'allarme della casa e dell'elicottero che ignoravano il volume del suono principale.
Risolto il problema con la visualizzazione dell'interfaccia utente sulle immagini in miniatura del file di salvataggio.
Risolto il problema con l'orologio che non era centrato nello schermo diviso e si sovrapponeva ai prompt dei pulsanti.
Risolto il problema con i salvataggi a schermo diviso che occupavano uno screencap al centro dello schermo. Le miniature verranno ora create dalla schermata del giocatore 1.
Risolte le eccezioni OpenGL durante la creazione di un nuovo gioco dovute al tentativo di creare l'immagine in miniatura nel thread di GameLoadingState.
Risolto l'errore "impossibile creare il giocatore in" quando si tornava dalla schermata delle professioni del personaggio e si avviava una sfida.
